/* trim function prototype declaration */
function  trim(str)
{
    for(var  i  =  0  ;  i<str.length  &&  str.charAt(i)==' ';  i++  )  ;
    for(var  j  =str.length;  j>0  &&  str.charAt(j-1)==' ';  j--)  ;
    if(i>j)  return '';  
    return  str.substring(i,j);  
} 
/* trim function prototype declaration finished */


var ajaxObj;

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}
               
function SaveAlarmLimit(id, itemId)
{
  var haValue = trim(document.getElementById('edit-ha-' + id).value);  
  var hwValue = trim(document.getElementById('edit-hw-' + id).value);
  var laValue = trim(document.getElementById('edit-la-' + id).value);
  var lwValue = trim(document.getElementById('edit-lw-' + id).value);
  var trimReferenceValue = trim(document.getElementById('edit-ref-' + id).value);
  var operatingStatus = trim(document.getElementById('operatingstatus').innerHTML);        

  if(document.getElementById('edit-alerttype-' + id).value == 2)
  {
      if(trimReferenceValue == '' || trimReferenceValue == -9999 || trimReferenceValue == 0)
      {
          alert('Please set a correct reference value.');
          return false;
      }
  }

  if((trimReferenceValue.length > 8) || (haValue.length > 8) 
      ||(hwValue.length > 8) || (laValue.length > 8) ||(lwValue.length > 8))
  {            
       alert('The length of entered value is too long');     
       return false;
  }
  
  if(document.getElementById('bid-' + id).innerHTML == 43) 
  { 
      if((laValue.length > 0) ||(lwValue.length > 0))           
      {
          alert('Low warning and low alarm are not applicable to Strap Resistance');  
          return false;
      }

	  if( IsValidNumber(haValue) == false || IsValidNumber(hwValue) == false )
	  {            
	       alert('Entered value must be a valid number');     
	       return false;
	  }
	
  	  if(isFloat(trimReferenceValue) || isFloat(haValue) || isFloat(hwValue))
      {      	   
           alert("Whole number should be used for this item");
           return false;
      }            
              	
      laValue = '-9999';
      lwValue = '-9999';
  }     
  
  
  if( IsValidNumber(haValue) == false || IsValidNumber(hwValue) == false || IsValidNumber(laValue)==false || IsValidNumber(lwValue)==false)
  {            
       alert('Entered value must be a valid number');     
       return false;
  }

  if((
       document.getElementById('bid-' + id).innerHTML != 43 &&
       (parseFloat(hwValue) >= parseFloat(haValue) || parseFloat(laValue) >= parseFloat(lwValue) || parseFloat(lwValue) >= parseFloat(hwValue) 
       ))
       || parseFloat(hwValue) >= parseFloat(haValue))            
  {       
       alert('Wrong sequence, correct sequence should be high alarm > high warning > low warning > low alarm');  
       return false;
  }
  
   if(document.getElementById('bid-' + id).innerHTML == 31 || 
           document.getElementById('bid-' + id).innerHTML == 32 ||
           document.getElementById('bid-' + id).innerHTML == 33 ||
	       document.getElementById('bid-' + id).innerHTML == 34 || 
  	       document.getElementById('bid-' + id).innerHTML == 43 ||
  	       document.getElementById('bid-' + id).innerHTML == 22)
   {
        if(isFloat(trimReferenceValue) || isFloat(haValue) || isFloat(hwValue) || isFloat(laValue) || isFloat(lwValue))
        {
            alert("Whole number should be used for this item");
        	return false;
        }            
   }   
  
  if(trimReferenceValue.length < 1)
  {      
     trimReferenceValue = '-9999';
  }
  else if (IsValidNumber(trimReferenceValue) == false)
  {
    alert('Reference value must be a valid number');     
  	return false;
  }
  
  if( document.getElementById('loading_notification') != null ) {
	  document.getElementById('loading_notification').style.display = "inline";
	  document.getElementById('glass-panel').style.display = "inline";
  }
  
  if((document.getElementById('bid-' + id).innerHTML == 34 || document.getElementById('bid-' + id).innerHTML == 22)&& 
  (document.getElementById('gtempscale').innerHTML == "Fahrenheit" || document.getElementById('gtempscale').innerHTML == "fahrenheit"))
  {
 	  trimReferenceValue = FarenheitToCelsius(trimReferenceValue);			  
	  if(document.getElementById('edit-alerttype-' + id).value == 1)
	  {	  	  
		  haValue = FarenheitToCelsius(haValue);
		  hwValue = FarenheitToCelsius(hwValue);
		  laValue = FarenheitToCelsius(laValue);
		  lwValue = FarenheitToCelsius(lwValue);
	  }	  					   	 	
  }
  
  //check if it is G 
  //Removed this part as it does not make sense to make an extra check for the conductance type only
//  if(itemId>=31 && itemId<=33)
//  {
//      var count = CheckAlertLimitAtBatteryLevel(itemId);
//      if(count==-1){
//          alert(document.getElementById('need-login').innerHTML);
//      	  return false;
//      } else if(count==-2){
//          alert(document.getElementById('system-error').innerHTML);
//      	  return false;
//      } else if (count>0){
//      	  if(confirm(document.getElementById('confirm-delete-battery-alarm-limit').innerHTML)){
//      	      DeleteAlertLimitAtBatteryLevel(itemId);
//      	  }
//      }
//  }
  
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/alarmlimit/savealarmlimit.do';
  var para = 'id=' + id;

  para = para + '&ref=' + trimReferenceValue;
  para = para + '&ha=' + haValue;
  para = para + '&hw=' + hwValue;
  para = para + '&la=' + laValue;
  para = para + '&lw=' + lwValue;
  para = para + '&alerttype=' + document.getElementById('edit-alerttype-' + id).value;
  para = para + '&enable=' + document.getElementById('edit-enable-' + id).value;
  para = para + '&operatingstatus=' + operatingStatus;
  
   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
	  
      if(ajaxObj.readyState == 4) 
      {
    	  if( document.getElementById('loading_notification') != null ) {
    		  document.getElementById('loading_notification').style.display = "none";
   	  	  	  document.getElementById('glass-panel').style.display = "none";
    	  }
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;
              analyze(result);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
 
  ajaxObj.send(para);
}




function ValidateInfoStringSys()
{
      if((document.getElementById('ssreferencevalue').value.length > 8) || 
           (document.getElementById('sshighalertlimit').value.length > 8) ||
           (document.getElementById('sshighwarninglimit').value.length > 8) ||
           (document.getElementById('sslowalertlimit').value.length > 8) ||
           (document.getElementById('sslowwarninglimit').value.length > 8))
      {            
         alert('The length of entered value is too long');     
         return false;
      }

     if((IsValidNumber(document.getElementById('ssreferencevalue').value)) || 
           (IsValidNumber(document.getElementById('sshighalertlimit').value)) ||
           (IsValidNumber(document.getElementById('sshighwarninglimit').value)) ||
           (IsValidNumber(document.getElementById('sslowalertlimit').value)) ||
           (IsValidNumber(document.getElementById('sslowwarninglimit').value)))
      {
         alert('Entered value must be valid number');     
         return false;
      }
      
      return true;
}


function ValidateInfoString()
{
	  if(document.getElementById('num-sub-sites')!=null) {
		  var siteCounter = document.getElementById('num-sub-sites').innerHTML;
		  if(siteCounter > 300 && siteCounter < 1500) {
			  var r = confirm("Due to the large number of sites ( " + siteCounter + " ), this will take several minutes to complete. Do you still want to continue?"); 
			    if (r==false)
			    {
			        return false;
			    }
		  }	
		  else if(siteCounter >= 1500) {
			  var minutes = Math.round(siteCounter/1500)*10;
			  var r = confirm("Due to the large number of sites ( " + siteCounter + " ), this will take about " + minutes + " minutes to complete. Do you still want to continue?"); 
			    if (r==false)
			    {
			        return false;
			    }
		  }	
	  }
      if((trim(document.getElementById('sreferencevalue').value).length > 8) || 
           (trim(document.getElementById('shighalertlimit').value).length > 8) ||
           (trim(document.getElementById('shighwarninglimit').value).length > 8) ||
           (trim(document.getElementById('slowalertlimit').value).length > 8) ||
           (trim(document.getElementById('slowwarninglimit').value).length > 8))
      {            
         alert('The length of entered value is too long');     
         return false;
      }

      if(document.getElementById('salerttype').value == 2)
      {
			if(IsValidNumber(document.getElementById('sreferencevalue').value) == false)
			{      
			  alert('Reference value must be a valid number');     
			  return false;
			}
      }
      
      if(  IsValidNumber(document.getElementById('shighalertlimit').value) == false ||
           IsValidNumber(document.getElementById('shighwarninglimit').value) == false ||
           IsValidNumber(document.getElementById('slowalertlimit').value) == false ||
           IsValidNumber(document.getElementById('slowwarninglimit').value) == false
        )
      {
         alert('Alert value must be valid number');     
         return false;
      }
      
      if((document.getElementById('salerttype').value == 1) && document.getElementById('sreferencevalue').value.length > 0)
      {
         if(IsValidNumber(document.getElementById('sreferencevalue').value) == false)
         {
            alert('Reference value is not float or contains only spaces');
            return false;
         }
      }
      
      if((document.getElementById('salarmitem').value != 43 &&
    		  (parseFloat(document.getElementById('shighwarninglimit').value) >= parseFloat(document.getElementById('shighalertlimit').value) ||
			   parseFloat(document.getElementById('slowalertlimit').value) >=  parseFloat(document.getElementById('slowwarninglimit').value) ||           				
               parseFloat(document.getElementById('slowwarninglimit').value) >= parseFloat(document.getElementById('shighwarninglimit').value)
            )) ||
            parseFloat(document.getElementById('shighwarninglimit').value) >= parseFloat(document.getElementById('shighalertlimit').value))            
      {       
         alert('Wrong sequence, correct sequence should be high alarm > high warning > low warning > low alarm');  
         return false;
      }
      
      if( document.getElementById('loading_notification') != null ) {
    	  document.getElementById('loading_notification').style.display = "inline";
    	  document.getElementById('glass-panel').style.display = "inline";
      }
      var itemId = document.getElementById('salarmitem').value;
      var operatingStatus = trim(document.getElementById('operatingstatus').innerHTML); 
      var sobjectLevel = document.getElementById('sobjectlevel').value; 
	  if(itemId>=20 && itemId<=22) //check and ask if user want to delete alert limits at the string level
	  {
		  var stringVoltage =  0;
		  var batteryModel =  0;
		  if(sobjectLevel == "5" ){
			  //console.log("Validate string at string level");
		  }
		  if(sobjectLevel == "4"){
			 // console.log("Validate string at string system level");
			  stringVoltage =  document.getElementById('stringvoltageitem').value;
			  batteryModel =  document.getElementById('stringbatterytypeitem').value;
		  }
		  if(sobjectLevel == "3"){
			  //console.log("Validate string at site level");
			  stringVoltage =  document.getElementById('stringvoltageitem').value;
			  batteryModel =  document.getElementById('stringbatterytypeitem').value;
		  }	 
		  if(sobjectLevel == "8"){
			  //console.log("Validate string at entity level");
			  stringVoltage =  document.getElementById('stringvoltageitem').value;
			  batteryModel =  document.getElementById('stringbatterytypeitem').value;
		  }	 
		  if(sobjectLevel == "0"){
			 // console.log("Validate string at system level");
			  stringVoltage =  document.getElementById('stringvoltageitem').value;
			  batteryModel =  document.getElementById('stringbatterytypeitem').value;
		  }
		  
		  var count = CheckAlertLimitAtStringLevel(itemId, stringVoltage, batteryModel, operatingStatus, sobjectLevel);
		  //console.log("Check String AlertLimit at lower level, got result :" + count);
	      if(count==-1){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }
	          alert(document.getElementById('need-login').innerHTML);
	      	  return false;
	      } else if(count==-2){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }	          alert(document.getElementById('system-error').innerHTML);
	      	  return false;
	      }	else if(count==-4){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }
	          alert(document.getElementById('ie-error').innerHTML);
	      	  return false;
	      } else if (count>0){
	    	  var confirmResult = confirm(document.getElementById('confirm-delete-string-alarm-limit').innerHTML);
	      	  if(confirmResult == true){
	      	      var result = DeleteAlertLimitAtStringLevel(itemId, stringVoltage, batteryModel, operatingStatus, sobjectLevel);
			      if(result==-1){
			    	  if( document.getElementById('loading_notification') != null ) {
			    		  document.getElementById('loading_notification').style.display = "none";
			    		  document.getElementById('glass-panel').style.display = "none";
			    	  }
			          alert(document.getElementById('need-login').innerHTML);
			      	  return false;
			      } else if(result==-2){
			    	  if( document.getElementById('loading_notification') != null ) {
			    		  document.getElementById('loading_notification').style.display = "none";
			    		  document.getElementById('glass-panel').style.display = "none";
			    	  }
			          alert(document.getElementById('system-error').innerHTML);
			      	  return false;
			      }
			      
	       	  }
	      	  else {
	      		if( document.getElementById('loading_notification') != null ) {
		    		  document.getElementById('loading_notification').style.display = "none";
		    		  document.getElementById('glass-panel').style.display = "none";
		    	  }
	      		  return false;
	      	  }
	      }    
  	  }
      return true;
}

function ValidateInfoBattery()
{
	if(document.getElementById('num-sub-sites')!=null) {
		var siteCounter = document.getElementById('num-sub-sites').innerHTML;
		  if(siteCounter > 300 && siteCounter < 1500) {
			  var r = confirm("Due to the large number of sites ( " + siteCounter + " ), this will take several minutes to complete. Do you still want to continue?"); 
			    if (r==false)
			    {
			        return false;
			    }
		  }	
		  else if(siteCounter >= 1500) {
			  var minutes = Math.round(siteCounter/1500)*10;
			  var r = confirm("Due to the large number of sites ( " + siteCounter + " ), this will take about " + minutes + " minutes to complete. Do you still want to continue?"); 
			    if (r==false)
			    {
			        return false;
			    }
		  }	
	  }

      if((trim(document.getElementById('referencevalue').value).length > 8) || 
           (trim(document.getElementById('highalertlimit').value).length > 8) ||
           (trim(document.getElementById('highwarninglimit').value).length > 8) ||
           (trim(document.getElementById('lowalertlimit').value).length > 8) ||
           (trim(document.getElementById('lowwarninglimit').value).length > 8))
      {            
         alert('The length of entered value is too long');     
         return false;
      }    

      if(document.getElementById('alerttype').value == 2)
      {
      	  var referencevalue = document.getElementById('referencevalue').value;
          if(referencevalue == '' || referencevalue == -9999 || referencevalue == 0)
          {
              alert('Please set a correct reference value');
              return false;
          }
      }


      if(document.getElementById('alarmitem').value == 43)
      {       	  
          if(trim(document.getElementById('lowalertlimit').value).length > 0 ||
             trim(document.getElementById('lowwarninglimit').value).length > 0)
          {                  
              alert('Low warning and low alarm are not applicable to strap resistance');     
              return false;
          }
          
		  if(IsValidNumber(document.getElementById('highwarninglimit').value) == false ||
		     IsValidNumber(document.getElementById('highalertlimit').value) == false)
		  {
	         alert('Entered value must be valid number');     
	         return false;
		  } 
		  
		  if(isFloat(document.getElementById('highalertlimit').value) || isFloat(document.getElementById('highwarninglimit').value))
	      {      	   
	           alert("Whole number should be used for this item");
	           return false;
	      } 
          
          if (parseFloat(document.getElementById('highwarninglimit').value) >= 
            	parseFloat(document.getElementById('highalertlimit').value))            
	      {       
	         alert('Wrong sequence, correct sequence should be high alarm > high warning > low warning > low alarm');  
	         return false;
	      }  
      }
      else
      {
		  if(IsValidNumber(document.getElementById('highwarninglimit').value) == false ||
		     IsValidNumber(document.getElementById('highalertlimit').value) == false ||
		     IsValidNumber(document.getElementById('lowwarninglimit').value) == false ||
		     IsValidNumber(document.getElementById('lowalertlimit').value) == false)
		  {
	         alert('Entered value must be valid number');     
	         return false;
		  }          
          
          if (parseFloat(document.getElementById('highwarninglimit').value) >= 
            			parseFloat(document.getElementById('highalertlimit').value) ||
              parseFloat(document.getElementById('lowalertlimit').value) >= 
            			parseFloat(document.getElementById('lowwarninglimit').value) ||
              parseFloat(document.getElementById('lowwarninglimit').value) >= 
            			parseFloat(document.getElementById('highwarninglimit').value))            
	      {       
	         alert('Wrong sequence, correct sequence should be high alarm > high warning > low warning > low alarm');  
	         return false;
	      }  
      }                   

      if((document.getElementById('alerttype').value == 1) && document.getElementById('referencevalue').value.length > 0)
      {
         if(IsValidNumber(document.getElementById('referencevalue').value) == false)
         {
            alert('Reference value is not a valid number');
            return false;
         }
      }
      
//  As of 8.6, for Strap Resistance, the low alert and low warning has been grayed out, no need to set default value
//      if(document.getElementById('alarmitem').value == 43)
//      { 
//         document.getElementById('lowalertlimit').value = '-9999';
//         document.getElementById('lowwarninglimit').value = '-9999';
//      }      
      if( document.getElementById('loading_notification') != null ) {
		  document.getElementById('loading_notification').style.display = "inline";
		  document.getElementById('glass-panel').style.display = "inline";
	  }
      var operatingStatus = trim(document.getElementById('operatingstatus').innerHTML); 
	  var itemId = document.getElementById('alarmitem').value;
	  var objectLevel = document.getElementById('objectlevel').value; 
	  if(itemId>=30 && itemId<=43) //check and ask whether to delete alert limits at the battery level
	  {
		  var batteryVoltage = 0;
		  var batteryModel = 0;
		  if(objectLevel == "6" ){
			  //console.log("Validate battery at location level");
		  }
		  if(objectLevel == "5" ){
			  //console.log("Validate battery at string level");
		  }
		  if(objectLevel == "4"){
			  //console.log("Validate battery at string system level");
			  batteryVoltage =  document.getElementById('batteryvoltageitem').value;
			  batteryModel =  document.getElementById('batterytypeitem').value;
		  }
		  if(objectLevel == "3"){
			 // console.log("Validate battery at site level");
			  batteryVoltage =  document.getElementById('batteryvoltageitem').value;
			  batteryModel =  document.getElementById('batterytypeitem').value;
		  }	 
		  if(objectLevel == "8"){
			 // console.log("Validate battery at entity level");
			  batteryVoltage =  document.getElementById('batteryvoltageitem').value;
			  batteryModel =  document.getElementById('batterytypeitem').value;
		  }	 
		  if(objectLevel == "0"){
			  //console.log("Validate battery at system level");
			  batteryVoltage =  document.getElementById('batteryvoltageitem').value;
			  batteryModel =  document.getElementById('batterytypeitem').value;
		  }
		 
		  var count = CheckAlertLimitAtBatteryLevel(itemId, batteryVoltage, batteryModel, operatingStatus, objectLevel);
		  //console.log("Check battery AlertLimit at lower level, got result :" + count);
	      if(count==-1){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }
	          alert(document.getElementById('need-login').innerHTML);
	      	  return false;
	      } else if(count==-2){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }
	          alert(document.getElementById('system-error').innerHTML);
	      	  return false;
	      } else if(count==-3){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }
	          alert(document.getElementById('no-such-voltage-battery-combination').innerHTML);
	      	  return false;
	      }	else if(count==-4){
	    	  if( document.getElementById('loading_notification') != null ) {
	    		  document.getElementById('loading_notification').style.display = "none";
	    		  document.getElementById('glass-panel').style.display = "none";
	    	  }
		          alert(document.getElementById('ie-error').innerHTML);
		      	  return false;
	      } else if (count>0){
	    	  var confirmResult = confirm(document.getElementById('confirm-delete-battery-alarm-limit').innerHTML);
	      	  if(confirmResult == true){
	      	      var result = DeleteAlertLimitAtBatteryLevel(itemId, batteryVoltage, batteryModel, operatingStatus, objectLevel );
			      if(result==-1){
			    	  if( document.getElementById('loading_notification') != null ) {
			    		  document.getElementById('loading_notification').style.display = "none";
			    		  document.getElementById('glass-panel').style.display = "none";
			    	  }
			          alert(document.getElementById('need-login').innerHTML);
			      	  return false;
			      } else if(result==-2){
			    	  if( document.getElementById('loading_notification') != null ) {
			    		  document.getElementById('loading_notification').style.display = "none";
			    		  document.getElementById('glass-panel').style.display = "none";
			    	  }
			          alert(document.getElementById('system-error').innerHTML);
			      	  return false;
			      }
			 
	       	  }
	      	  else {
	      		if( document.getElementById('loading_notification') != null ) {
		    		  document.getElementById('loading_notification').style.display = "none";
		    		  document.getElementById('glass-panel').style.display = "none";
		    	  }
	      		  return false;
	      	  }
	      	  
	      }    
  	  }
      return true;
}


/* Validation finished */    

function DeleteAlarmLimit(object)
{
    var s = document.getElementById('hello'); 
    var r = confirm(s.innerHTML); 
    if (r==false)
    {
        return;
    }
    location.href = '../alarmlimit/deletealarmlimit.do?object=' + object + '&level=' + document.getElementById('level').innerHTML;
}

function analyze(result)
{
  if (result=='-1')
  {
    alert(document.getElementById('insert-error').innerHTML);;
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-4')
 {
	alert(document.getElementById('ie-error').innerHTML);
  }
  else
  {
    EndEdit(result);
  }
}

function BeginEditAlarmLimit(id)
{
 if(document.getElementById('num-sub-sites')!=null) {
	 var siteCounter = document.getElementById('num-sub-sites').innerHTML;
	  if(siteCounter > 300 && siteCounter < 1500) {
		  var r = confirm("Due to the large number of sites ( " + siteCounter + " ), this will take several minutes to complete. Do you still want to continue?"); 
		    if (r==false)
		    {
		        return false;
		    }
	  }	
	  else if(siteCounter >= 1500) {
		  var minutes = Math.round(siteCounter/1500)*10;
		  var r = confirm("Due to the large number of sites ( " + siteCounter + " ), this will take about " + minutes + " minutes to complete. Do you still want to continue?"); 
		    if (r==false)
		    {
		        return false;
		    }
	  }	 
  }
  if (document.getElementById('edit-flag').innerHTML == '1')
  {
     return;
  }
  percentTr = document.getElementById(id+'-32');
  if(percentTr == null)
  {
      percentTr = document.getElementById(id+'-33');
      if(percentTr == null)
	  {
	      document.getElementById('edit-ref-' + id).value = document.getElementById('span-ref-' + id).innerHTML;
          document.getElementById('span-ref-' + id).style.display = 'none';
          document.getElementById('edit-ref-' + id).style.display = '';  
	  }
  }

  document.getElementById('edit-ha-' + id).value = document.getElementById('span-ha-' + id).innerHTML;
  document.getElementById('span-ha-' + id).style.display = 'none';
  document.getElementById('edit-ha-' + id).style.display = '';  

  document.getElementById('edit-hw-' + id).value = document.getElementById('span-hw-' + id).innerHTML;
  document.getElementById('span-hw-' + id).style.display = 'none';
  document.getElementById('edit-hw-' + id).style.display = '';
 
  document.getElementById('edit-la-' + id).value = document.getElementById('span-la-' + id).innerHTML;
  document.getElementById('span-la-' + id).style.display = 'none';
  document.getElementById('edit-la-' + id).style.display = '';  
 
  document.getElementById('edit-lw-' + id).value = document.getElementById('span-lw-' + id).innerHTML;
  document.getElementById('span-lw-' + id).style.display = 'none';
  document.getElementById('edit-lw-' + id).style.display = '';  

  var typenum = Number(document.getElementById('limittype-' + id).innerHTML);
  
  switch(typenum)
  {
      case 1: document.getElementById('edit-alerttype-' + id).value = 1;
              break;
      case 2: document.getElementById('edit-alerttype-' + id).value = 2;              
              break;
      case 3: document.getElementById('edit-alerttype-' + id).value = 3;              
              break;
      default:alert('Wrong Limit Type');break;
  }
  document.getElementById('span-alerttype-' + id).style.display = 'none';
  document.getElementById('edit-alerttype-' + id).style.display = '';  
      
  document.getElementById('edit-enable-' + id).value = document.getElementById('span-enable-' + id).innerHTML;    
  document.getElementById('span-enable-' + id).style.display = 'none';
  document.getElementById('edit-enable-' + id).style.display = '';  
  
  document.getElementById('edit-'+ id).style.display = 'none';
  if(document.getElementById('delete-' + id) != null){
	  document.getElementById('delete-' + id).style.display = 'none';
  }
  document.getElementById('save-' + id).style.display = '';
  document.getElementById('cancel-' + id).style.display = '';

  document.getElementById('edit-flag').innerHTML = '1';
}

function CancelEditAlarmLimit(id)
{

  document.getElementById('span-ref-' + id).style.display = '';
  document.getElementById('edit-ref-' + id).style.display = 'none';

  document.getElementById('span-ha-' + id).style.display = '';
  document.getElementById('edit-ha-' + id).style.display = 'none';

  document.getElementById('span-hw-' + id).style.display = '';
  document.getElementById('edit-hw-' + id).style.display = 'none';

  document.getElementById('span-la-' + id).style.display = '';
  document.getElementById('edit-la-' + id).style.display = 'none';

  document.getElementById('span-lw-' + id).style.display = '';
  document.getElementById('edit-lw-' + id).style.display = 'none';

  document.getElementById('span-alerttype-' + id).style.display = '';
  document.getElementById('edit-alerttype-' + id).style.display = 'none';

  document.getElementById('span-enable-' + id).style.display = '';
  document.getElementById('edit-enable-' + id).style.display = 'none';

  document.getElementById('edit-'+ id).style.display = '';
  if(document.getElementById('delete-' + id) != null){
	  document.getElementById('delete-' + id).style.display = '';
  }
  document.getElementById('save-' + id).style.display = 'none';
  document.getElementById('cancel-' + id).style.display = 'none';

  document.getElementById('edit-flag').innerHTML = '0';
}


function EndEdit(id)
{
  document.getElementById('span-ha-' + id).style.display = '';
  document.getElementById('edit-ha-' + id).style.display = 'none';
  document.getElementById('span-ha-' + id).innerHTML = document.getElementById('edit-ha-' + id).value;  
 
  document.getElementById('span-hw-' + id).style.display = '';
  document.getElementById('edit-hw-' + id).style.display = 'none';
  document.getElementById('span-hw-' + id).innerHTML = document.getElementById('edit-hw-' + id).value;

  document.getElementById('span-la-' + id).style.display = '';
  document.getElementById('edit-la-' + id).style.display = 'none';
  if(document.getElementById('edit-la-' + id).value == '-9999')
  {
      document.getElementById('span-la-' + id).innerHTML = '';
  }
  else
  {
      document.getElementById('span-la-' + id).innerHTML = document.getElementById('edit-la-' + id).value;
  }

  document.getElementById('span-lw-' + id).style.display = '';
  document.getElementById('edit-lw-' + id).style.display = 'none';
  if(document.getElementById('edit-lw-' + id).value == '-9999')
  {
      document.getElementById('span-lw-' + id).innerHTML = '';
  }
  else
  {
     document.getElementById('span-lw-' + id).innerHTML = document.getElementById('edit-lw-' + id).value;
  }

  document.getElementById('span-ref-' + id).style.display = '';
  document.getElementById('edit-ref-' + id).style.display = 'none';
  if(document.getElementById('edit-ref-' + id).value == '-9999')
  {
      document.getElementById('span-ref-' + id).innerHTML = '';
  }
  else
  {
      document.getElementById('span-ref-' + id).innerHTML = document.getElementById('edit-ref-' + id).value;
  }
  

  document.getElementById('span-alerttype-' + id).style.display = '';
  document.getElementById('edit-alerttype-' + id).style.display = 'none';
  
  var typenum = Number(document.getElementById('edit-alerttype-' + id).value);
  switch(typenum)
  {
      case 1: document.getElementById('span-alerttype-' + id).innerHTML = 'Absolute';
              document.getElementById('limittype-' + id).innerHTML = 1;
              break;
      case 2: document.getElementById('span-alerttype-' + id).innerHTML = 'Relative';
              document.getElementById('limittype-' + id).innerHTML = 2;
              break;
      case 3: document.getElementById('span-alerttype-' + id).innerHTML = 'ROC';
              document.getElementById('limittype-' + id).innerHTML = 3;
              break;
      default:alert('Wrong Limit Type');break;
  }

  document.getElementById('span-enable-' + id).style.display = '';
  document.getElementById('edit-enable-' + id).style.display = 'none';
  document.getElementById('span-enable-' + id).innerHTML = document.getElementById('edit-enable-' + id).value;
  
  document.getElementById('edit-' + id).style.display = '';
  if(document.getElementById('delete-' + id) != null){
	  document.getElementById('delete-' + id).style.display = '';
  }
  document.getElementById('save-' + id).style.display = 'none';
  document.getElementById('cancel-' + id).style.display = 'none';

  document.getElementById('edit-flag').innerHTML = '0';
}

function checkPercent()
{
  alarmItemID = document.getElementById('alarmitem').value;
  if(alarmItemID == 32 || alarmItemID == 33)
  {
    document.getElementById('referencevalue').value = 100;
    document.getElementById('referencevalue').readOnly = true;
  }
  else
  {
    document.getElementById('referencevalue').value = "";
    document.getElementById('referencevalue').readOnly = false;
  }
}


function IsValidNumber(floatValue)
{
   var theFloat = trim(floatValue);
   if(theFloat == '.') return false;
   if(theFloat == '-') return false;
   var len=theFloat.length;
   var dotNum=0;
   var minusNum=0;
   if (len==0) return false;
   for(var i=0;i<len;i++)
   {
      oneNum=theFloat.substring(i,i+1);
      if (oneNum==".") {dotNum++; continue;}
      else if (oneNum=="-") {minusNum++; continue;}
      else if (oneNum=="0") continue;
      else if (oneNum=="1") continue;
      else if (oneNum=="2") continue;
      else if (oneNum=="3") continue;
      else if (oneNum=="4") continue;
      else if (oneNum=="5") continue;
      else if (oneNum=="6") continue;
      else if (oneNum=="7") continue;
      else if (oneNum=="8") continue;
      else if (oneNum=="9") continue;
      else return false;
   }
   
   if(minusNum>1)
   {
       return false;
   }
   
   if(dotNum>1)
   {
       return false;
   }
   
   return true;
} 

function isFloat(floatValue)
{
	//to judge if it is float type     
   var theFloat = trim(floatValue);
   var len=theFloat.length;   
   
   for(var i=0;i<len;i++)
   {
      oneNum=theFloat.substring(i,i+1);
      if(oneNum == ".")
         return true;           
   }   
   return false;
}

function NotWholeNumberOnly()
{
  var operatingStatus = trim(document.getElementById('operatingstatus').innerHTML); 
  var alarmItemID = 0;
  var salarmItemID = 0;   
  
  if(operatingStatus == 1)
  {
  	    alarmItemID = document.getElementById('alarmitem')[0].value;
  	    if(document.getElementById('level').innerHTML == 6)
  	    {
  	    	 salarmItemID = -9;
  	    }
  	    else
  	    {
  	    	 salarmItemID = document.getElementById('salarmitem')[0].value;
  	    }          
  }
  else
  {
  	    alarmItemID = -9;
        salarmItemID = document.getElementById('salarmitem')[0].value;   
  }
  
  if(alarmItemID == 31 || alarmItemID == 34 || alarmItemID == 43 || 
      alarmItemID == 32 || alarmItemID == 33)
  {
  	  if(isFloat(document.getElementById('referencevalue').value) ||
  	      isFloat(document.getElementById('highalertlimit').value) ||
  	      isFloat(document.getElementById('highwarninglimit').value) ||
  	      isFloat(document.getElementById('lowalertlimit').value) ||
  	      isFloat(document.getElementById('lowwarninglimit').value))
  	  return true;
  }
  else if(salarmItemID == 22)
  {
  	   if(isFloat(document.getElementById('sreferencevalue').value) ||
  	      isFloat(document.getElementById('shighalertlimit').value) ||
  	      isFloat(document.getElementById('shighwarninglimit').value) ||
  	      isFloat(document.getElementById('slowalertlimit').value) ||
  	      isFloat(document.getElementById('slowwarninglimit').value)) 
  	  return true;
  }
  return false;
}

function FarenheitToCelsius(originalValue)
{
	return parseFloat((parseFloat(originalValue) - 32)/1.8);
}

function CheckAlertLimitAtBatteryLevel(itemID, batteryVoltage, batteryModel, operatingStatus, objectLevel)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/alarmlimit/balis.do';
  var para = 'id=' + itemID;
  para = para + '&action=c&systemobj=' + document.getElementById("obj").innerHTML + '&voltage='+batteryVoltage + 
  '&batterymodel='+batteryModel + '&operatingstatus=' + operatingStatus + '&systemlevel=' + objectLevel;
  
  ajaxObj.open('POST', url, false);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
  ajaxObj.send(para);
  return ajaxObj.responseText;
}

function CheckAlertLimitAtStringLevel(itemID, stringVoltage, batteryModel, operatingStatus, sobjectLevel)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/alarmlimit/salis.do';
  var para = 'id=' + itemID;
  para = para + '&action=c&systemobj=' + document.getElementById("obj").innerHTML + '&voltage='+stringVoltage + 
         '&batterymodel='+batteryModel + '&operatingstatus='+operatingStatus + '&systemlevel=' + sobjectLevel;
  
  ajaxObj.open('POST', url, false);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
  ajaxObj.send(para);
  return ajaxObj.responseText;
}


function DeleteAlertLimitAtBatteryLevel(itemID, batteryVoltage, batteryModel, operatingStatus, objectLevel)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/alarmlimit/balis.do';
  var para = 'id=' + itemID;
  para = para + '&action=d&systemobj=' + document.getElementById("obj").innerHTML + '&voltage=' + batteryVoltage + 
  '&batterymodel='+batteryModel + '&operatingstatus=' + operatingStatus + '&systemlevel=' + objectLevel;
  
  ajaxObj.open('POST', url, false);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
  ajaxObj.send(para);
  return ajaxObj.responseText;
}

function DeleteAlertLimitAtStringLevel(itemID, stringVoltage, batteryModel, operatingStatus, sobjectLevel)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/alarmlimit/salis.do';
  var para = 'id=' + itemID;
  para = para + '&action=d&systemobj=' + document.getElementById("obj").innerHTML+ '&voltage='+stringVoltage + 
  '&batterymodel='+batteryModel + '&operatingstatus='+operatingStatus + '&systemlevel=' + sobjectLevel;
  
  ajaxObj.open('POST', url, false);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
  ajaxObj.send(para);
  return ajaxObj.responseText;
}


