var ajaxObj;

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 	
}

function CheckKey(e)
{ 
    // Allow only backspace and delete
    if ( e.keyCode == 46 || e.keyCode == 8 ) 
    {
        return true;
    }
    else 
    {
         // Ensure that it is a number and stop the keypress
         if (e.keyCode >= 48 && e.keyCode <= 57 ) 
         {
         	return true;
         }       
    }  
    return false;
}

function AlertSnooze()
{
   var system_object_id = document.getElementById('system_object_id').innerHTML;
   var measurement_item_id = document.getElementById('measurement_item_id').innerHTML;
   var alert_type_id = document.getElementById('alert_type_id').innerHTML;
   var days = document.getElementById('snoozedays').value;
     
   if (days <= 0) 
   {
       return false;
   }
   
   if (ajaxObj==null)
   {
     ajaxObj = createRequestObject();
   }
   
   var url = document.getElementById("root").innerHTML + '/user/alertsnooze.do';
   var para = 'system_object_id=' + system_object_id;
   para = para + '&measurement_item_id=' + measurement_item_id;
   para = para + '&alert_type_id=' + alert_type_id;
   para = para + '&days=' + days;
   
   
   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;
              analyze(result);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
  ajaxObj.send(para);	
}

function analyze(result)
{
  if (result=='-1')
  {
    top.location.href = '../relogon.do';
  }
  else if(result=='-2')
  {
    alert(document.getElementById('server-error').innerHTML);
  }
  else
  {
  	var snoozed = document.getElementById('snoozed').innerHTML;
  	alert(snoozed);
  	HideSnoozePopup();
    window.parent.frames["main"].window.location.href=self.location;
  }
}

function AlertOptClk()
{
    if(document.getElementsByName("alert_type")[0].checked == true) 
    {
       document.getElementById("battery_alert_list").style.display = '';
       document.getElementById("string_alert_list").style.display = 'none';
    }
    else
    {
       document.getElementById("battery_alert_list").style.display = 'none';
       document.getElementById("string_alert_list").style.display = '';
    }
}

function ViewSnoozeInput(system_object_id, measurement_item_id, alert_type_id)
{
    document.getElementById('system_object_id').innerHTML = system_object_id;
    document.getElementById('measurement_item_id').innerHTML = measurement_item_id;
    document.getElementById('alert_type_id').innerHTML = alert_type_id;
    document.getElementById('alertSnooze').style.display = "block";
    document.getElementById('filter').style.display = "block";
}

function HideSnoozePopup()
{
    document.getElementById('alertSnooze').style.display = "none";
    document.getElementById('filter').style.display = "none";
    document.getElementById('snoozedays').value = '';   
}


