/**
 * ================================================================
 * Aug 23,2010,add by khuang,celltraq 6.0
 * -------------------------------------------------------------------------------------------------------------------
 *
 * ------------------------------------------------------------------------------------------------------------------- 
 * ================================================================
 */

/**
 * url ="../batteryspec/list.do".
 * @param {Object} url
 * @param {Object} batteryTypeID
 * @param {Object} mfgID
 */
function querySpecListByChangeMfc(url,batteryTypeID,mfgID)
{
    requestServer(url
	              ,"POST"
	              ,"batteryTypeID="+batteryTypeID +"&mfgID="+mfgID
	              ,true
	              ,null
	              ,"createCommonSpecList"
	              ,null);		  
}

function getSelectSpecID()
{
    var batterySpecIDs = document.getElementsByName("batterySpecID");
	var batterySpecID = "";
	if(batterySpecIDs != null && batterySpecIDs.length > 0){
		for(var i =0 ; i <batterySpecIDs.length; i++){
			if(batterySpecIDs[i].checked){
				batterySpecID = batterySpecIDs[i].value;
				break;
			}
		}
	}
    return batterySpecID;
} 

function buildSpecHead()
{
	var head =" <thead><tr> " +
					"	<th class='tableHead' style='width:30px'>&nbsp;</th> " +
					"	<th class='tableHead' style='width:180px' >"+batSpecTh_Manufact+"</th> " +
					"	<th class='tableHead'>"+batSpecTh_ModelNumber+"</th> " +
					"	<th class='tableHead'>"+batSpecTh_BatteryType+"</th> " +
					"	<th class='tableHead'>"+batSpecTh_BatteryVolt+"</th> " +
					"	<th class='tableHead'>"+batSpecTh_Conducatane+"</th> " +										
					"</tr></thead> " ;  
	return head;
} 
/**
 * 
 * @param {Object} tHead
 * @param {Object} tSpecRows
 */
function buildSpecTable(tHead ,tSpecRows)
{
	var table ="<table style='max-height:200px;width:100%' id='specList' class='list fancyTable' cellpadding='0' cellspacing='1'> " +
					 tHead+
					 tSpecRows+
					"</table> " ;
	return table;
} 
/**
 * 
 * @param {Object} result
 * @param {Object} specListDiv
 * @param {Object} rowEvents
 */
function buildSpecList(result,specListDiv,rowEvents)
{
	var head = buildSpecHead();
	var specRows = buildSpecRows(result,rowEvents);
	var specTable = buildSpecTable(head,specRows);
    document.getElementById(specListDiv).innerHTML = specTable;	 

    //alert(document.body.clientHeight - 250);
    
    $('#specList').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    });
}
/**
 * 
 * @param {Object} result
 * @param {Object} rowEvents
 */
function buildSpecRows(result,rowEvents)
{
	var result = eval( "("+result.responseText + ")" );
	var specs =  result.list.specs;
	var specList = "";
	
   if(specs != null  && specs.length > 0){
		var specsSize = specs.length;
		var specRow = "";
		for(var i =0 ; i <specsSize; i++){
			  specRow =  "<tr> " +
				"	<td class='normal'> " +
				"	<input type='radio' name='batterySpecID' id='batterySpecID' value='"+specs[i].specId+"' "+rowEvents+" > " +
				"	</td> " +
				"	<td class='normal'>"+specs[i].mfg+"</td> " +
				"	<td class='normal'>"+specs[i].model+"</td> " +
				"	<td class='normal'>"+specs[i].typeName+"</td> " +
				"	<td class='normal'>"+specs[i].volt+"</td> " +	
				"	<td class='normal'>"+ (specs[i].conduct=='0' ? "" : specs[i].conduct) + "</td> " +	
				"</tr> " ;
			specList += specRow;
		}
   }			
	return specList;
} 
/**
 * 
 * @param {Object} result
 */
function createCommonSpecList(result)
{
	buildSpecList(result,"specListDiv","");
}

function setAutoSelectSpecId(){
	var specID = document.getElementById('specID');
	if(specID && specID.value != ""){
	    var elements = document.getElementsByName("batterySpecID");
		if(elements != null && elements.length > 0){
			for(var i =0 ; i <elements.length; i++){
				if(elements[i].value.Trim() == specID.value.Trim()){
					elements[i].checked =true;
					break;
				}
			}
		}
	}
}




