var ajaxObj;

/* trim function prototype declaration */
function  trim(str)
{
    for(var  i  =  0  ;  i<str.length  &&  str.charAt(i)==' ';  i++  )  ;
    for(var  j  =str.length;  j>0  &&  str.charAt(j-1)==' ';  j--)  ;
    if(i>j)  return '';  
    return  str.substring(i,j);  
} 
/* trim function prototype declaration finished */

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}
 
function checkRecipient(){
	  var testRecipient = trim(document.getElementById('test-recipient').value);   
	  document.getElementById('test-email').disabled = !CheckEmail(testRecipient);
}

function SaveEditInformation()
{
  document.getElementById('test-success-message').style.display = "none";
  document.getElementById('test-success-recipient').style.display = "none";
  document.getElementById('test-success-timestamp').style.display = "none";
  document.getElementById('test-failure-message').style.display = "none";
	
  var server = trim(document.getElementById('edit-email-server').value);    
  var sender = trim(document.getElementById('edit-email-address').value);
  var reply = trim(document.getElementById('edit-reply-address').value);
  
  if(sender.length == 0){
     alert('Input error: sender address is required.');
     return;
  }
	  
  if(!(CheckEmail(trim(sender)))){  
	     alert("Input error: Wrong sender address");   
	     return;
  }      

  if(server.length == 0){
     alert('Input error: email server is required.');
     return;
  }
	  
  if(reply.length > 0 && (!(CheckEmail(reply)))) {     
     alert("Input error: Wrong reply address");
     return;
  }

  if (ajaxObj==null){
    ajaxObj = createRequestObject();
  }        
 
  var filterContent = "";
  
  if(document.getElementById('edit-flag').innerHTML == '1'){
	  var footerContent = tinyMCE.getInstanceById('edit-email-footer').getHTML();
	  filterContent = footerContent.replace(/&nbsp;/g,"space-indicator");
  }
 
  var url = document.getElementById("root").innerHTML + '/system/getemail.do';
  
  var post = 'sender=' + trim(document.getElementById('edit-email-address').value);
  post = post + '&SMTPServer=' + trim(document.getElementById('edit-email-server').value);
  post = post + '&port=' + trim(document.getElementById('edit-email-server-port').value);
  post = post + '&auth=' + trim(document.getElementById('edit-email-server-authentication').value);
  post = post + '&ssl=' + trim(document.getElementById('edit-email-server-ssl').value);
  post = post + '&language=' + trim(document.getElementById('edit-email-language').value);
  post = post + '&ReminderInterval=' + trim(document.getElementById('edit-email-reminder-interval').value);
  post = post + '&celltraq=' + trim(document.getElementById('edit-celltraq-url').value);
  post = post + '&link_expiration=' + trim(document.getElementById('edit-celltraq-url-expiration').value);
  post = post + '&ReplyAddress=' + trim(document.getElementById('edit-reply-address').value);
  post = post + '&userName=' + trim(document.getElementById('edit-email-user').value);
  post = post + '&userPassword=' + trim(document.getElementById('edit-email-password').value);
  post = post + '&salutation=' + trim(document.getElementById('edit-email-salutation').value);
  post = post + '&footer=' + filterContent;
  post = post + '&update_type=update_email';  
  post = post + '&edit=' + document.getElementById('edit-flag').innerHTML;
  post = post + '&action=' + document.getElementById('user-action').value;
  post = post + '&recipient=' + document.getElementById('test-recipient').value;

  ajaxObj.open('POST', url, true);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');    

  ajaxObj.onreadystatechange = function()  {
      if(ajaxObj.readyState == 4)  {
          if(ajaxObj.status == 200) {
              var result = ajaxObj.responseText;
              analyzeEmailResponse(result);
          } else {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
          }
      }
  };
  ajaxObj.send(post);
}


function SaveEditAlertType()
{
  if (ajaxObj==null){
    ajaxObj = createRequestObject();
  }
  var url = document.getElementById("root").innerHTML + '/system/getemail.do';
  var post = 'highAlarm=' + trim(document.getElementById('edit-ha').value);
  post = post + '&highWarning=' + trim(document.getElementById('edit-hw').value);
  post = post + '&lowAlarm=' + trim(document.getElementById('edit-la').value);
  post = post + '&lowWarning=' + trim(document.getElementById('edit-lw').value);
  post = post + '&update_type=update_alert';

  ajaxObj.open('POST', url, true);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');    
  ajaxObj.onreadystatechange = function() {
      if(ajaxObj.readyState == 4) {
          if(ajaxObj.status == 200){
              var result = ajaxObj.responseText;
              analyzeAlertResponse(result);
          } else {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
          }
      }
  };
  ajaxObj.send(post);
}

function SaveEditLocation() {
  if (ajaxObj==null){
    ajaxObj = createRequestObject();
  }
  var url = document.getElementById("root").innerHTML + '/system/getemail.do';
  var post = 'batteryPlant=' + trim(document.getElementById('edit-batteryplant').value);
  post = post + '&string=' + trim(document.getElementById('edit-string').value);
  post = post + '&battery=' + trim(document.getElementById('edit-battery').value);
  post = post + '&update_type=update_battery';
  
  ajaxObj.open('POST', url, true);

  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');    
  ajaxObj.onreadystatechange = function() 
  {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;
              analyzeBatteryResponse(result);
          }
          else
          {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
          }
      }
  };
  ajaxObj.send(post);
}

function analyzeEmailResponse(result)
{
  if (result=='-1') {
    alert(document.getElementById('system-error').innerHTML);
  } else if(result=='-2') {
    alert(document.getElementById('invalid-parameter').innerHTML);
  } else if(result=='-3') {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../relogon.do";
  } else if(result=='test-success') {
    document.getElementById('test-success-recipient').innerHTML = document.getElementById('test-recipient').value;
    
    var now = new Date();
	var currHour = now.getHours();
    var currMin = now.getMinutes();
    var currSec = now.getSeconds();
    var nowString = "(" + currHour + ":" + currMin + ":" + currSec + ")."; 
    document.getElementById('test-success-timestamp').innerHTML = nowString; 
    document.getElementById('test-success-message').style.display = "inline";
    document.getElementById('test-success-recipient').style.display = "inline";
    document.getElementById('test-success-timestamp').style.display = "inline";
    document.getElementById('test-failure-message').style.display = "none";
  } else if(result=='test-failure') {
    document.getElementById('test-success-message').style.display = "none";
    document.getElementById('test-success-recipient').style.display = "none";
    document.getElementById('test-success-timestamp').style.display = "none";
    document.getElementById('test-failure-message').style.display = "inline";
  } else {
    EndEditEmail();
  }
}

function analyzeAlertResponse(result)
{
  if (result=='-1')
  {
    alert(document.getElementById('system-error').innerHTML);
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../logon.jsp";
  }
  else
  {
    var i;
    	
    groups  = result.split(';');
    for(i=0; i<groups.length; i++)
    {
        set = groups[i];
        ValueName = set.split(':');
        
        //for test purpose
        //alert(ValueName[0]);
        
        
        switch(i)
        {case 57:
            document.getElementById('edit-ha').value = ValueName[0];
         break;
         case 58:
            document.getElementById('edit-hw').value = ValueName[0];
         break;
         case 59:
            document.getElementById('edit-la').value = ValueName[0];
         break;
         case 60:
            document.getElementById('edit-lw').value = ValueName[0];
         break;
         default:break;
         }             
    }
    
    EndEditAlert();
  }
}

function analyzeBatteryResponse(result)
{
  if (result=='-1')
  {
    alert(document.getElementById('system-error').innerHTML);
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../logon.jsp";
  }
  else
  {
    var i;
    	
    groups  = result.split(';');
    for(i=0; i<groups.length; i++)
    {
        set = groups[i];
        ValueName = set.split(':');
        
        //for test purpose
        //alert(ValueName[0]);
             
        switch(i)
        {case 61:
            document.getElementById('edit-batteryplant').value = ValueName[0];
         break;
         case 62:
            document.getElementById('edit-string').value = ValueName[0];
         break;
         case 63:
            document.getElementById('edit-battery').value = ValueName[0];
         break;
         default:break;
         }       
    }
    
    EndEditBattery();
  }
}

function BeginEditInformation()
{
	  if (document.getElementById('edit-flag').innerHTML == '1')
	  {
	     return;
	  }
	  
	  document.getElementById('span-email-address').style.display = 'none';
	  document.getElementById('edit-email-address').style.display = 'inline-block';  
	  document.getElementById('edit-email-address').value = document.getElementById('span-email-address').innerHTML;
	
	  document.getElementById('span-email-server').style.display = 'none';
	  document.getElementById('edit-email-server').style.display = 'inline-block';
	  document.getElementById('edit-email-server').value = document.getElementById('span-email-server').innerHTML;
	  
	  
	  document.getElementById('span-email-server-port').style.display = 'none';
	  document.getElementById('edit-email-server-port').style.display = 'inline-block';
	  document.getElementById('edit-email-server-port').value = document.getElementById('span-email-server-port').innerHTML;
	  
	  document.getElementById('span-email-server-authentication').style.display = 'none';
	  document.getElementById('edit-email-server-authentication').style.display = 'inline-block';
	  document.getElementById('edit-email-server-authentication').value = document.getElementById('span-email-server-authentication-value').innerHTML;
	  
	  document.getElementById('span-email-server-ssl').style.display = 'none';
	  document.getElementById('edit-email-server-ssl').style.display = 'inline-block';
	  document.getElementById('edit-email-server-ssl').value = document.getElementById('span-email-server-ssl-value').innerHTML;

	  document.getElementById('span-email-language').style.display = 'none';
	  document.getElementById('edit-email-language').style.display = 'inline-block';
	  document.getElementById('edit-email-language').value = document.getElementById('edit-email-language-code').value;
	  
	  document.getElementById('span-email-reminder-interval').style.display = 'none';
	  document.getElementById('edit-email-reminder-interval').style.display = 'inline-block';
	  document.getElementById('edit-email-reminder-interval').value = document.getElementById('span-email-reminder-interval').innerHTML;
	  
	  document.getElementById('span-celltraq-url').style.display = 'none';
	  document.getElementById('edit-celltraq-url').style.display = 'inline-block';
      var fullUrl = top.location.href;
      var index = fullUrl.indexOf('/logon');
      if(document.getElementById('edit-celltraq-url').value == ''){
    	  document.getElementById('edit-celltraq-url').value = fullUrl.substring(0, index+1);
      }
	  document.getElementById('edit-celltraq-url').value = document.getElementById('edit-celltraq-url').value.replace("localhost", "127.0.0.1");
	  document.getElementById('edit-celltraq-url').value = document.getElementById('edit-celltraq-url').value.replace("127.0.0.1", document.getElementById('server-ip').value);
	  
	  document.getElementById('span-celltraq-url-expiration').style.display = 'none';
	  document.getElementById('edit-celltraq-url-expiration').style.display = 'inline-block';
	  document.getElementById('edit-celltraq-url-expiration').value = document.getElementById('span-celltraq-url-expiration').innerHTML;	  
	  
	  document.getElementById('span-reply-address').style.display = 'none';
	  document.getElementById('edit-reply-address').style.display = 'inline-block';
	  document.getElementById('edit-reply-address').value = document.getElementById('span-reply-address').innerHTML;
	  
	  document.getElementById('span-email-user').style.display = 'none';
	  document.getElementById('edit-email-user').style.display = 'inline-block';
	  document.getElementById('edit-email-user').value = document.getElementById('span-email-user').innerHTML;
	  
	  document.getElementById('span-email-password').style.display = 'none';
	  document.getElementById('edit-email-password').style.display = 'inline-block';
	  document.getElementById('edit-email-password').value = document.getElementById('span-email-password').innerHTML;
	  
	  document.getElementById('span-email-salutation').style.display = 'none';
	  document.getElementById('edit-email-salutation').style.display = 'inline-block';
	  document.getElementById('edit-email-salutation').value = document.getElementById('span-email-salutation').innerHTML;
	  
	  document.getElementById('span-email-footer').style.display = 'none';
	  document.getElementById('edit-email-footer').style.display = 'inline-block';
	  document.getElementById('edit-email-footer').value = document.getElementById('span-email-footer').innerHTML;
	  setTextareaToTinyMCE('edit-email-footer');  
	    
	  document.getElementById('edit-information').style.display = 'none';
	  document.getElementById('save-information').style.display = 'inline-block';
	  document.getElementById('cancel-information').style.display = 'inline-block';
	  
	  document.getElementById('edit-flag').innerHTML = '1';
}
  
function BeginEditAlertType()
{

  if (document.getElementById('edit-flag').innerHTML == '1')
  {
     return;
  }
  document.getElementById('span-ha').style.display = 'none';
  document.getElementById('edit-ha').style.display = 'inline-block';
  document.getElementById('edit-ha').value = document.getElementById('span-ha').innerHTML;
  
  document.getElementById('span-hw').style.display = 'none';
  document.getElementById('edit-hw').style.display = 'inline-block';
  document.getElementById('edit-hw').value = document.getElementById('span-hw').innerHTML;
  
  document.getElementById('span-la').style.display = 'none';
  document.getElementById('edit-la').style.display = 'inline-block';
  document.getElementById('edit-la').value = document.getElementById('span-la').innerHTML;

  document.getElementById('span-lw').style.display = 'none';
  document.getElementById('edit-lw').style.display = 'inline-block';
  document.getElementById('edit-lw').value = document.getElementById('span-lw').innerHTML;

  document.getElementById('edit-alerttype').style.display = 'none';
  document.getElementById('save-alerttype').style.display = 'inline-block';
  document.getElementById('cancel-alerttype').style.display = 'inline-block';
  
  document.getElementById('edit-flag').innerHTML = '1';
}

function BeginEditLocation()
{
  if (document.getElementById('edit-flag').innerHTML == '1')
  {
     return;
  }
  document.getElementById('span-batteryplant').style.display = 'none';
  document.getElementById('edit-batteryplant').style.display = 'inline-block';
  document.getElementById('edit-batteryplant').value = document.getElementById('span-batteryplant').innerHTML;
  
  document.getElementById('span-string').style.display = 'none';
  document.getElementById('edit-string').style.display = 'inline-block';
  document.getElementById('edit-string').value = document.getElementById('span-string').innerHTML;

  document.getElementById('span-battery').style.display = 'none';
  document.getElementById('edit-battery').style.display = 'inline-block';
  document.getElementById('edit-battery').value = document.getElementById('span-battery').innerHTML;

  document.getElementById('edit-location').style.display = 'none';
  document.getElementById('save-location').style.display = 'inline-block';
  document.getElementById('cancel-location').style.display = 'inline-block';
  
  document.getElementById('edit-flag').innerHTML = '1';
}

function CancelEditAlertType()
{

  document.getElementById('span-ha').style.display = 'inline-block';
  document.getElementById('edit-ha').style.display = 'none';

  document.getElementById('span-hw').style.display = 'inline-block';
  document.getElementById('edit-hw').style.display = 'none';

  document.getElementById('span-la').style.display = 'inline-block';
  document.getElementById('edit-la').style.display = 'none';

  document.getElementById('span-lw').style.display = 'inline-block';
  document.getElementById('edit-lw').style.display = 'none';

  document.getElementById('edit-alerttype').style.display = 'inline-block';
  document.getElementById('save-alerttype').style.display = 'none';
  document.getElementById('cancel-alerttype').style.display = 'none';
  
  document.getElementById('edit-flag').innerHTML = '0';
}

function CancelEditLocation()
{
  document.getElementById('span-batteryplant').style.display = 'inline-block';
  document.getElementById('edit-batteryplant').style.display = 'none';

  document.getElementById('span-string').style.display = 'inline-block';
  document.getElementById('edit-string').style.display = 'none';

  document.getElementById('span-battery').style.display = 'inline-block';
  document.getElementById('edit-battery').style.display = 'none';

  document.getElementById('edit-location').style.display = 'inline-block';
  document.getElementById('save-location').style.display = 'none';
  document.getElementById('cancel-location').style.display = 'none';
  
  document.getElementById('edit-flag').innerHTML = '0';
}

function CancelEditInformation()
{
  document.getElementById('span-email-address').style.display = 'inline-block';
  document.getElementById('edit-email-address').style.display = 'none';

  document.getElementById('span-email-server').style.display = 'inline-block';
  document.getElementById('edit-email-server').style.display = 'none';
  
  document.getElementById('span-email-server-port').style.display = 'inline-block';
  document.getElementById('edit-email-server-port').style.display = 'none';
  
  document.getElementById('span-email-reminder-interval').style.display = 'inline-block';
  document.getElementById('edit-email-reminder-interval').style.display = 'none';
  
  document.getElementById('span-email-server-authentication').style.display = 'inline-block';
  document.getElementById('edit-email-server-authentication').style.display = 'none';
  
  document.getElementById('span-email-server-ssl').style.display = 'inline-block';
  document.getElementById('edit-email-server-ssl').style.display = 'none';
  
  document.getElementById('span-email-language').style.display = 'inline-block'; 
  document.getElementById('edit-email-language').style.display = 'none';
  
  document.getElementById('span-celltraq-url').style.display = 'inline-block';
  document.getElementById('edit-celltraq-url').style.display = 'none';
  
  document.getElementById('span-celltraq-url-expiration').style.display = 'inline-block';
  document.getElementById('edit-celltraq-url-expiration').style.display = 'none';
  
  document.getElementById('span-reply-address').style.display = 'inline-block';
  document.getElementById('edit-reply-address').style.display = 'none';
  
  document.getElementById('span-email-user').style.display = 'inline-block';
  document.getElementById('edit-email-user').style.display = 'none';
  
  document.getElementById('span-email-password').style.display = 'inline-block';
  document.getElementById('edit-email-password').style.display = 'none';
  
  document.getElementById('span-email-salutation').style.display = 'inline-block';
  document.getElementById('edit-email-salutation').style.display = 'none';
  
  document.getElementById('span-email-footer').style.display = 'inline-block';
  unsetTextareaToTinyMCE('edit-email-footer');
  document.getElementById('edit-email-footer').style.display = 'none';  

  document.getElementById('edit-information').style.display = 'inline-block';
  document.getElementById('save-information').style.display = 'none';
  document.getElementById('cancel-information').style.display = 'none';
  
  document.getElementById('edit-flag').innerHTML = '0';
}


function EndEditEmail()
{  
  document.getElementById('span-email-address').style.display = 'inline-block';
  document.getElementById('edit-email-address').style.display = 'none';
  document.getElementById('span-email-address').innerHTML = document.getElementById('edit-email-address').value;

  document.getElementById('span-email-server').style.display = 'inline-block';
  document.getElementById('edit-email-server').style.display = 'none';
  document.getElementById('span-email-server').innerHTML = document.getElementById('edit-email-server').value;

  document.getElementById('span-email-server-port').style.display = 'inline-block';
  document.getElementById('edit-email-server-port').style.display = 'none';
  document.getElementById('span-email-server-port').innerHTML = document.getElementById('edit-email-server-port').value;

  document.getElementById('span-email-reminder-interval').style.display = 'inline-block';
  document.getElementById('edit-email-reminder-interval').style.display = 'none';
  document.getElementById('span-email-reminder-interval').innerHTML = document.getElementById('edit-email-reminder-interval').value;

  document.getElementById('span-email-server-authentication').style.display = 'inline-block';
  document.getElementById('edit-email-server-authentication').style.display = 'none';
  document.getElementById('span-email-server-authentication-value').innerHTML = document.getElementById('edit-email-server-authentication').value;
  if(document.getElementById('edit-email-server-authentication').value=='true')
  {
	  document.getElementById('span-email-server-authentication').innerHTML = document.getElementById('span-email-server-authentication-true').innerHTML;
  }
  else
  {
	  document.getElementById('span-email-server-authentication').innerHTML = document.getElementById('span-email-server-authentication-false').innerHTML;
  }

  document.getElementById('span-email-server-ssl').style.display = 'inline-block';
  document.getElementById('edit-email-server-ssl').style.display = 'none';
  document.getElementById('span-email-server-ssl-value').innerHTML = document.getElementById('edit-email-server-ssl').value;
  if(document.getElementById('edit-email-server-ssl').value=='true')
  {
	  document.getElementById('span-email-server-ssl').innerHTML = document.getElementById('span-email-server-ssl-true').innerHTML;
  }
  else
  {
	  document.getElementById('span-email-server-ssl').innerHTML = document.getElementById('span-email-server-ssl-false').innerHTML;
  }

  $('#span-email-language').html($('#edit-email-language').find("option:selected").text());
  $('#edit-email-language-code').val($('#edit-email-language').find("option:selected").attr("value"));
  document.getElementById('span-email-language').style.display = 'inline-block';
  document.getElementById('edit-email-language').style.display = 'none';

  document.getElementById('span-celltraq-url').style.display = 'inline-block';
  document.getElementById('edit-celltraq-url').style.display = 'none';
  document.getElementById('span-celltraq-url').innerHTML = document.getElementById('edit-celltraq-url').value;

  document.getElementById('span-celltraq-url-expiration').style.display = 'inline-block';
  document.getElementById('edit-celltraq-url-expiration').style.display = 'none';
  document.getElementById('span-celltraq-url-expiration').innerHTML = document.getElementById('edit-celltraq-url-expiration').value;

  document.getElementById('span-reply-address').style.display = 'inline-block';
  document.getElementById('edit-reply-address').style.display = 'none';
  document.getElementById('span-reply-address').innerHTML = document.getElementById('edit-reply-address').value;

  document.getElementById('span-email-user').style.display = 'inline-block';
  document.getElementById('edit-email-user').style.display = 'none';
  document.getElementById('span-email-user').innerHTML = document.getElementById('edit-email-user').value;

  document.getElementById('span-email-password').style.display = 'inline-block';
  document.getElementById('edit-email-password').style.display = 'none';
  document.getElementById('span-email-password').innerHTML = document.getElementById('edit-email-password').value;

  document.getElementById('span-email-salutation').style.display = 'inline-block';
  document.getElementById('edit-email-salutation').style.display = 'none';
  document.getElementById('span-email-salutation').innerHTML = document.getElementById('edit-email-salutation').value;

  document.getElementById('span-email-footer').style.display = 'inline-block';
  unsetTextareaToTinyMCE('edit-email-footer');
  document.getElementById('edit-email-footer').style.display = 'none';
  document.getElementById('span-email-footer').innerHTML = document.getElementById('edit-email-footer').value;  

  document.getElementById('edit-information').style.display = 'inline-block';
  document.getElementById('save-information').style.display = 'none';
  document.getElementById('cancel-information').style.display = 'none';           
  
  document.getElementById('edit-flag').innerHTML = '0';
  
}

function EndEditAlert()
{
   document.getElementById('span-ha').style.display = 'inline-block';
   document.getElementById('edit-ha').style.display = 'none';
   document.getElementById('span-ha').innerHTML = document.getElementById('edit-ha').value;

   document.getElementById('span-hw').style.display = 'inline-block';
   document.getElementById('edit-hw').style.display = 'none';
   document.getElementById('span-hw').innerHTML = document.getElementById('edit-hw').value;

   document.getElementById('span-la').style.display = 'inline-block';
   document.getElementById('edit-la').style.display = 'none';
   document.getElementById('span-la').innerHTML = document.getElementById('edit-la').value;

   document.getElementById('span-lw').style.display = 'inline-block';
   document.getElementById('edit-lw').style.display = 'none';
   document.getElementById('span-lw').innerHTML = document.getElementById('edit-lw').value;
   
   document.getElementById('edit-alerttype').style.display = 'inline-block';
   document.getElementById('save-alerttype').style.display = 'none';
   document.getElementById('cancel-alerttype').style.display = 'none';
   
   document.getElementById('edit-flag').innerHTML = '0';

}

function EndEditBattery()
{
   document.getElementById('span-batteryplant').style.display = 'inline-block';
   document.getElementById('edit-batteryplant').style.display = 'none';
   document.getElementById('span-batteryplant').innerHTML = document.getElementById('edit-batteryplant').value;

   document.getElementById('span-string').style.display = 'inline-block';
   document.getElementById('edit-string').style.display = 'none';
   document.getElementById('span-string').innerHTML = document.getElementById('edit-string').value;
  

   document.getElementById('span-battery').style.display = 'inline-block';
   document.getElementById('edit-battery').style.display = 'none';
   document.getElementById('span-battery').innerHTML = document.getElementById('edit-battery').value;
   
   document.getElementById('edit-location').style.display = 'inline-block';
   document.getElementById('save-location').style.display = 'none';
   document.getElementById('cancel-location').style.display = 'none';
   
   document.getElementById('edit-flag').innerHTML = '0';
}

function mceInit()
{
    tinyMCE.init({
	   mode : "none",	   
	   theme : "advanced",
	   plugins : "insertdatetime,paste,directionality",
	   theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,fontselect,fontsizeselect",
	   theme_advanced_buttons2 : "insertdate,inserttime,|,forecolor,backcolor",		
	   theme_advanced_buttons3 : "",	   	   
	   //preformatted : "true",	   
	   //cleanup_on_startup : "true",	   
	   //apply_source_formatting : "true",	   
	   //remove_linebreaks : "true",	   	
	   //remove_trailing_nbsp : "true",   
	   //invalid_elements : "nbsp",
	   //convert_newlines_to_brs : "true",
	   //entities : "160,nbsp,38,amp,34,quot,162,cent,8364,euro,163,pound,165,yen,169,copy,174,reg,8482,trade,8240,permil,60,lt,62,gt,8804,le,8805,ge,176,deg,8722,minus",	   	   	   
	   theme_advanced_toolbar_location : "top",
	   theme_advanced_toolbar_align : "center",
	   theme_advanced_path_location : "bottom",
	   extended_valid_elements : "a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]"
	
    }); 
        
}

function setTextareaToTinyMCE(sEditorID) 
{
	var oEditor = document.getElementById(sEditorID);
	if(oEditor) 
	{
		tinyMCE.execCommand('mceAddControl', true, sEditorID);			
	}
	return;
}

function unsetTextareaToTinyMCE(sEditorID) 
{        
	var oEditor = document.getElementById(sEditorID);
	if(oEditor) 
	{		
		tinyMCE.execCommand('mceRemoveControl', true, sEditorID);
	}
	return;
}

function CheckEmail(form)
{ 	 
	var pattern = /^([a-zA-Z0-9-_\.])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/; 
	flag = pattern.test(form); 
	if(!flag)
	{ 			        	 				 
		return (false); 
	} 
	return (true); 
}

