var ajaxObj;

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}
               
function SaveConfig()
{
  if(document.getElementById('backup-interval').value != '' && document.getElementById('backup-interval').value != '0')
  {
    //check hour
  	if(document.getElementById('b_hour').value == '')
  	{
  		alert(document.getElementById('backup-time-is-required').innerHTML);
  		document.getElementById('b_hour').focus();
  		return;
  	}
  	else if (parseInt(document.getElementById('b_hour').value) > 12)
  	{
  		alert(document.getElementById('backup-time-is-wrong').innerHTML);
  		document.getElementById('b_hour').focus();
  		return;
  	}
  	else if (parseInt(document.getElementById('b_hour').value) == 0)
  	{
  		alert(document.getElementById('backup-time-is-wrong').innerHTML);
  		document.getElementById('b_hour').focus();
  		return;
  	}
  	//check minute
  	if(document.getElementById('b_minute').value == '')
  	{
  		alert(document.getElementById('backup-time-is-required').innerHTML);
  		document.getElementById('b_minute').focus();
  		return;
  	}  	
  	else if (parseInt(document.getElementById('b_minute').value) > 59)
  	{
  		alert(document.getElementById('backup-time-is-wrong').innerHTML);
  		document.getElementById('b_minute').focus();
  		return;
  	}
  }

  if(document.getElementById('compression-interval').value != '' && document.getElementById('compression-interval').value != '0')
  {
    //check hour
  	if(document.getElementById('c_hour').value == '')
  	{
  		alert(document.getElementById('compression-time-is-required').innerHTML);
  		document.getElementById('c_hour').focus();
  		return;
  	}
  	else if (parseInt(document.getElementById('c_hour').value) > 12)
  	{
  		alert(document.getElementById('compression-time-is-wrong').innerHTML);
  		document.getElementById('c_hour').focus();
  		return;
  	}
  	else if (parseInt(document.getElementById('c_hour').value) == 0)
  	{
  		alert(document.getElementById('compression-time-is-wrong').innerHTML);
  		document.getElementById('c_hour').focus();
  		return;
  	}
  	//check minute
  	if(document.getElementById('c_minute').value == '')
  	{
  		alert(document.getElementById('compression-time-is-required').innerHTML);
  		document.getElementById('c_minute').focus();
  		return;
  	}  	
  	else if (parseInt(document.getElementById('c_minute').value) > 59)
  	{
  		alert(document.getElementById('compression-time-is-wrong').innerHTML);
  		document.getElementById('c_minute').focus();
  		return;
  	}
  }

  if(false == confirm(document.getElementById('save-prompt').innerHTML))
  {
  	return;
  }
  
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/user/maintenance.do';
  var para = 'email1=' + document.getElementById("email1").value;
  para = para + '&email2=' + document.getElementById("email2").value;
  para = para + '&b_interval=' + document.getElementById("backup-interval").value;
  para = para + '&c_interval=' + document.getElementById("compression-interval").value;
  para = para + '&b_hour=' + document.getElementById("b_hour").value;
  para = para + '&b_minute=' + document.getElementById("b_minute").value;
  para = para + '&b_ampm=' + document.getElementById("b_ampm").value;
  para = para + '&c_hour=' + document.getElementById("c_hour").value;
  para = para + '&c_minute=' + document.getElementById("c_minute").value;
  para = para + '&c_ampm=' + document.getElementById("c_ampm").value;
  para = para + '&location=' + document.getElementById("location").value;
  
  var deleteAfterIntervalObj = document.getElementsByName("deleteAfterInterval");
  var deleteAfterIntervalValue = "";

  for (var i=0;i<deleteAfterIntervalObj.length;i++ ){
	  if(deleteAfterIntervalObj[i].checked){
		  deleteAfterIntervalValue = deleteAfterIntervalObj[i].value ;
		  break;
	  }
  }

  para = para + '&deleteAfterInterval=' +deleteAfterIntervalValue ;
  
   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;
              analyzeConfig(result);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
  ajaxObj.send(para);
}

function analyzeConfig(result)
{
  if (result=='-1')
  {
    alert(document.getElementById('system-error').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../relogon.do";
  }
  else
  {
	  if(result != '') {
		  var patt=new RegExp("%");
		  if(patt.test(result)) {  // If all the data
			  // Get Next Backup Date			  
			  var dates = result.split("%");
			  document.getElementById('nextBackupDate').innerHTML = dates[0];
			  
			  if(dates.length > 1) {
				  	document.getElementById('nextCompressDate').innerHTML = dates[1];
			  }
						  
		  } else {
			  // Get Next Compress Date			  
			  document.getElementById('nextCompressDate').innerHTML = result;
		  }
	  }
	  
	  
	  alert(document.getElementById('save-ok').innerHTML);
  }
}

function checkDigital(obj, event)
{
  if((event.keyCode>=48) && (event.keyCode<=57)) 
  {
    return true;
  }
  if((event.keyCode==46) || (event.keyCode==8) || (event.keyCode==9)) 
  {
    return true;
  }
  return false;
}

function keyUp(event)
{
	if(document.getElementById('backup-interval').value=='' || document.getElementById('backup-interval').value=='0')
	{
		document.getElementById('b_hour').disabled = true;
		document.getElementById('b_minute').disabled = true;
		document.getElementById('b_ampm').disabled = true;
		document.getElementById('location').disabled = true;
	}
	else
	{
		document.getElementById('b_hour').disabled = false;
		document.getElementById('b_minute').disabled = false;
		document.getElementById('b_ampm').disabled = false;
		document.getElementById('location').disabled = false;
		if(document.getElementById('b_hour').value == '')
		{
			document.getElementById('b_hour').value = '12';
		}
		if(document.getElementById('b_minute').value == '')
		{
			document.getElementById('b_minute').value = '00';
		}
	}
	if(document.getElementById('compression-interval').value=='' || document.getElementById('compression-interval').value=='0')
	{
		document.getElementById('c_hour').disabled = true;
		document.getElementById('c_minute').disabled = true;
		document.getElementById('c_ampm').disabled = true;
		document.getElementsByName('deleteAfterInterval')[0].disabled = true;
		document.getElementsByName('deleteAfterInterval')[1].disabled = true;
		document.getElementsByName('deleteAfterInterval')[2].disabled = true;		
	}
	else
	{
		document.getElementById('c_hour').disabled = false;
		document.getElementById('c_minute').disabled = false;
		document.getElementById('c_ampm').disabled = false;
		document.getElementsByName('deleteAfterInterval')[0].disabled = false;
		document.getElementsByName('deleteAfterInterval')[1].disabled = false;
		document.getElementsByName('deleteAfterInterval')[2].disabled = false;
		if(document.getElementById('c_hour').value == '')
		{
			document.getElementById('c_hour').value = '12';
		}
		if(document.getElementById('c_minute').value == '')
		{
			document.getElementById('c_minute').value = '00';
		}
	}
}
