var ajaxObj;

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}

function GetDate(type)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  url = document.getElementById("root").innerHTML + '/string/gettrenddate.do'
  		+ '?id=' + document.getElementById("objectID").innerHTML;  
  ajaxObj.open('POST', url, true);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
    
  ajaxObj.onreadystatechange = function() 
  {  	  
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;    
              	analyzeTrend(result, type);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
  ajaxObj.send("");
}

function analyzeTrend(result, type)
{
	 var i;		 
	 document.getElementById("datechecks").innerHTML = "";
     groups  = result.split(':');
     var tableString = "";
     
     
     if(type == 1) {
    	 
         for(i=1; i<groups.length; i++)
         {
             set = groups[i];         
             tableString += "<tr><td class=\"normal\"><input type=\"checkbox\" name=\"dates\"";
             tableString += "value=\"" + set + "\"></td><td class=\"normal\">"  + set +  "</td></tr>";        
         }
    	 
	     if(groups.length > 1)
	     {
	     	  document.getElementById('nodate').style.display = 'none';				                 
	     	  document.getElementById('choosedate').style.display = '';
	          tableString = "<table cellpadding=\"0\" cellspacing=\"1\">" + tableString + "</table>";
	          document.getElementById("datechecks").innerHTML = tableString;          
	          document.getElementById('DivAddDates').style.display = 'block';
	          document.getElementById('trend_submit').disabled = false;	          	 
	     }
	     else
	     {
	     	  document.getElementById('nodate').style.display = 'inline';				                 
	     	  document.getElementById('choosedate').style.display = 'none';     	  
	     	  document.getElementById('DivAddDates').style.display = 'block';	 
	          document.getElementById('trend_submit').disabled = true;
	     }  
     } else if(type ==2) {
    	 
         for(i=1; i<groups.length; i++)
         {
             set = groups[i];         
             tableString += "<tr><td class=\"normal\"><input type=\"checkbox\" name=\"averagedates\"";
             tableString += "value=\"" + set + "\"></td><td class=\"normal\">"  + set +  "</td></tr>";        
         }
    	 
    	 if(groups.length > 1)
	     {
	     	  document.getElementById('nodateAverage').style.display = 'none';				                 
	     	  document.getElementById('choosedateAverage').style.display = '';
	          tableString = "<table cellpadding=\"0\" cellspacing=\"1\">" + tableString + "</table>";
	          document.getElementById("datechecksAverage").innerHTML = tableString;          
	          document.getElementById('DivAddDatesForAverage').style.display = 'block';
	          document.getElementById('trend_submit').disabled = false;	          	 
	     }
	     else
	     {
	     	  document.getElementById('nodateAverage').style.display = 'inline';				                 
	     	  document.getElementById('choosedateAverage').style.display = 'none';     	  
	     	  document.getElementById('DivAddDatesForAverage').style.display = 'block';	 
	          document.getElementById('trend_submit').disabled = true;
	     } 
     }
     
     // for compare battery popup
else if(type ==3) {
    	 
         for(i=1; i<groups.length; i++)
         {
             set = groups[i];         
             tableString += "<tr><td class=\"normal\"><input type=\"checkbox\" name=\"comparedates\"";
             tableString += "value=\"" + set + "\"></td><td class=\"normal\">"  + set +  "</td></tr>";        
         }
    	 
    	 if(groups.length > 1)
	     {
	     	  document.getElementById('nodateCompare').style.display = 'none';				                 
	     	  document.getElementById('choosedateCompare').style.display = '';
	          tableString = "<table cellpadding=\"0\" cellspacing=\"1\">" + tableString + "</table>";
	          document.getElementById("datechecksCompare").innerHTML = tableString;          
	          document.getElementById('DivCompareBattPopUp').style.display = 'block';
	          	          	 
	     }
	     else
	     {
	     	  document.getElementById('nodateCompare').style.display = 'inline';				                 
	     	  document.getElementById('choosedateCompare').style.display = 'none';     	  
	     	  document.getElementById('DivCompareBattPopUp').style.display = 'block';	 
	          document.getElementById('trend_submit').disabled = true;
	     } 
     }
       
	  document.getElementById('filter').style.display = 'block';
}

function DisplayTrendChart()
{
	
	var sortRadio = document.getElementsByName("sortType");
	
	for(var i = 0; i < sortRadio.length; i++)
	{
	    if(sortRadio[i].checked) {
	    	var sortType = sortRadio[i].value;
	    }
	           
	}
	
	var count = 0;
    var c_value = "";    
            
    for (var i=0; i < document.getElementsByName("dates").length; i++)
    {       
       if (document.getElementsByName("dates")[i].checked)
       {
           c_value = c_value + document.getElementsByName("dates")[i].value + ":";
           count++;
           if(count > 5)
           {
               alert(document.getElementById("more-than-5").innerHTML);
               return false;	
           }
       }
    }    
    
    if(count <= 0)
    {
    	return false;
    }
    
	var height = document.body.clientHeight - 290;
	var width = document.body.clientWidth - 205;
	
	if(sortType == "byBattery") {
		document.getElementById('trend_chart').src = '../gettrendchart.do' +
	    '?id=' + document.getElementById("objectID").innerHTML +
	    '&datelist=' + c_value +
	    '&width=' + width + 
	    '&height=' + height + 
	    '&time=' + (new Date()).getTime();
		
		document.getElementById('trendchartdiv').style.width = '' + (width + 10) + 'px';
		document.getElementById('trendchartdiv').style.height = '' + (height + 10) + 'px';
		
		
	    SwitchView('trend');
	    EndAddDates();   
		
	} else {
					
		if(document.getElementById('itemID').value == '' || document.getElementById('itemID2').value != '') {
            alert("When trending by date, only one measurement type can be selected.");
            return false;
		}
		
		
		document.getElementById('trend_chart').src = '../gettrendchartbydate.do' +
	    '?id=' + document.getElementById("objectID").innerHTML +
	    '&datelist=' + c_value +
	    '&width=' + width + 
	    '&height=' + height + 
	    '&time=' + (new Date()).getTime();
		
		document.getElementById('trendchartdiv').style.width = '' + (width + 10) + 'px';
		document.getElementById('trendchartdiv').style.height = '' + (height + 10) + 'px';
		
		
	    SwitchView('trend');
	    EndAddDates();   
		
	}
	
 	
    
    //document.getElementById('btn_report').disabled=true;
}	 




function CancelAddDates()
{
	 document.getElementById('DivAddDates').style.display = 'none';
	 document.getElementById('filter').style.display = 'none';
}

function EndAddDates()
{
	 document.getElementById('DivAddDates').style.display = 'none';
	 document.getElementById('filter').style.display = 'none';
}

function DisplayAverageChart()
{
	
	var count = 0;
    var c_value = "";    
            
    for (var i=0; i < document.getElementsByName("averagedates").length; i++)
    {       
       if (document.getElementsByName("averagedates")[i].checked)
       {
           c_value = c_value + document.getElementsByName("averagedates")[i].value + ":";
           count++;
           if(count > 5)
           {
               alert(document.getElementById("more-than-5-average").innerHTML);
               return false;	
           }
       }
    }    
    
    if(count <= 0)
    {
    	return false;
    }
    
	
	var height = document.body.clientHeight - 290;
	var width = document.body.clientWidth - 205;
	

	document.getElementById('trend_chart').src = '../gettrendchartbyaverage.do' +
    '?id=' + document.getElementById("objectID").innerHTML +
    '&datelist=' + c_value +
    '&width=' + width + 
    '&height=' + height + 
    '&time=' + (new Date()).getTime();

	
	document.getElementById('trendchartdiv').style.width = '' + (width + 10) + 'px';
	document.getElementById('trendchartdiv').style.height = '' + (height + 10) + 'px';
	
	
    SwitchView('trend');
    EndAddDatesAverage();    	
    
    //document.getElementById('btn_report').disabled=true;
}	 

function CancelAddDatesAverage()
{
	 document.getElementById('DivAddDatesForAverage').style.display = 'none';
	 document.getElementById('filter').style.display = 'none';
}

function EndAddDatesAverage()
{
	 document.getElementById('DivAddDatesForAverage').style.display = 'none';
	 document.getElementById('filter').style.display = 'none';
}




function SwitchView(view)
{
	document.getElementById('view').value = view;
	
	console.log('switchView- '+view);
	if(view=='line')
	{
		document.getElementById('chartdisplayed').innerHTML = '1';
		document.getElementById('tablelistdiv').style.display = 'none';
		document.getElementById('linechartdiv').style.display = 'block';
		document.getElementById('barchartdiv').style.display = 'none';
		document.getElementById('trendchartdiv').style.display = 'none';	
	    document.getElementById('btn_report').disabled=false;
	    document.getElementById('btnExportToExcel').disabled=false;
	    var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
	    if(historyDiv != null){
	    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'block';
	    }
	    document.getElementById('middleSectionCompareBatteryDiv').style.display = 'none';
	    document.getElementById('rptype').innerHTML = 24;
	    document.getElementById('div-history-excel').style.display = 'block';
	    document.getElementById('div-compare-excel').style.display = 'none';
	   
	}
	else if(view=='bar')
	{
		document.getElementById('chartdisplayed').innerHTML = '2';
		document.getElementById('tablelistdiv').style.display = 'none';
		document.getElementById('linechartdiv').style.display = 'none';
		document.getElementById('barchartdiv').style.display = 'block';
		document.getElementById('trendchartdiv').style.display = 'none';	
	    document.getElementById('btn_report').disabled=false;
	    document.getElementById('btnExportToExcel').disabled=false;
	    var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
	    if(historyDiv != null){
	    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'block';
	    }
	    document.getElementById('middleSectionCompareBatteryDiv').style.display = 'none';
	    document.getElementById('rptype').innerHTML = 24;
	    document.getElementById('div-history-excel').style.display = 'block';
	    document.getElementById('div-compare-excel').style.display = 'none';
	}
	else if(view=='trend')
	{
		document.getElementById('chartdisplayed').innerHTML = '3';
		document.getElementById('tablelistdiv').style.display = 'none';
		document.getElementById('linechartdiv').style.display = 'none';
		document.getElementById('barchartdiv').style.display = 'none';
		document.getElementById('trendchartdiv').style.display = 'block';	
	    document.getElementById('btn_report').disabled=false;
	    document.getElementById('btnExportToExcel').disabled = true;
	    var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
	    if(historyDiv !=null ){
	    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'block';
	    }
	    document.getElementById('middleSectionCompareBatteryDiv').style.display = 'none';
	    document.getElementById('rptype').innerHTML = 24;
	    document.getElementById('div-history-excel').style.display = 'block';
	    document.getElementById('div-compare-excel').style.display = 'none';
	    document.getElementById('view').value = '';
	}
	else if(view=='trendbydate')
	{
		document.getElementById('chartdisplayed').innerHTML = '3';
		document.getElementById('tablelistdiv').style.display = 'none';
		document.getElementById('linechartdiv').style.display = 'none';
		document.getElementById('barchartdiv').style.display = 'none';
		document.getElementById('trendchartdiv').style.display = 'block';	
	    document.getElementById('btn_report').disabled=false;
	    document.getElementById('btnExportToExcel').disabled = true;
	    var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
	    if(historyDiv != null){
	    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'block';
	    }
	    document.getElementById('middleSectionCompareBatteryDiv').style.display = 'none';
	    document.getElementById('rptype').innerHTML = 24;
	    document.getElementById('div-history-excel').style.display = 'block';
	    document.getElementById('div-compare-excel').style.display = 'none';
	   
	}
	else if(view=='trendbydate')
	{
		document.getElementById('chartdisplayed').innerHTML = '3';
		document.getElementById('tablelistdiv').style.display = 'none';
		document.getElementById('linechartdiv').style.display = 'none';
		document.getElementById('barchartdiv').style.display = 'none';
		document.getElementById('trendchartdiv').style.display = 'block';	
	    document.getElementById('btn_report').disabled=false;
	    document.getElementById('btnExportToExcel').disabled = true;
	    var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
	    if(historyDiv != null){
	    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'block';
	    }	    
	    document.getElementById('middleSectionCompareBatteryDiv').style.display = 'none';
	    document.getElementById('rptype').innerHTML = 24;
	    document.getElementById('div-history-excel').style.display = 'block';
	    document.getElementById('div-compare-excel').style.display = 'none';
	}
	else if(view=='compareBatteries')
	{
	document.getElementById('chartdisplayed').innerHTML = '0';
	document.getElementById('tablelistdiv').style.display = 'none';
	document.getElementById('linechartdiv').style.display = 'none';
	document.getElementById('barchartdiv').style.display = 'none';
	document.getElementById('trendchartdiv').style.display = 'none';
    document.getElementById('middleSectionCompareBatteryDiv').style.display = 'block';
    var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
    if(historyDiv != null){
    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'none';
    }
    document.getElementById('rptype').innerHTML = 25;
    document.getElementById('div-history-excel').style.display = 'none';
    document.getElementById('div-compare-excel').style.display = 'block';
    checkMiddleSectionBatteryCompareDiv();
    document.getElementById('view').value = '';
	}
	else
	{
		document.getElementById('chartdisplayed').innerHTML = '0';
		document.getElementById('tablelistdiv').style.display = 'block';
		document.getElementById('linechartdiv').style.display = 'none';
		document.getElementById('barchartdiv').style.display = 'none';
		document.getElementById('trendchartdiv').style.display = 'none';
		document.getElementById('btnExportToExcel').disabled = false;
		var historyDiv = document.getElementById('middleSectionBatteryHistoryDiv');
	    if(historyDiv != null){
	    	document.getElementById('middleSectionBatteryHistoryDiv').style.display = 'block';
	    }
	    var compareDiv = document.getElementById('middleSectionCompareBatteryDiv');
	    if( compareDiv != null){
			document.getElementById('middleSectionCompareBatteryDiv').style.display = 'none';
	    }
		document.getElementById('rptype').innerHTML = 24;
		document.getElementById('div-history-excel').style.display = 'block';
		document.getElementById('div-compare-excel').style.display = 'none';
		
		resizeTable(tableview, 300);		
	}
}

