var ajaxObj;

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}


function toggleAjax(id)
{
    if(document.getElementById("table-" + id) == null)
    {
    	viewAjax(id);
    	return;
    }
    
    if (document.getElementById("table-" + id).style.display=="none")
    {
    	viewAjax(id);
    	return;
    }
    else
    {
        var oldActiveID = document.getElementById("active-id").innerHTML;
    	document.getElementById("active-id").innerHTML = id;
    	document.getElementById("plus-minus-" + id).src = "images/plus.gif";
		if (document.getElementById("table-" + id) != null)
		{
			document.getElementById("table-" + id).style.display="none";
		}
        document.getElementById(oldActiveID).className = "";      
        document.getElementById(id).className = "selected";      
    }
}

function select(id)
{
	var oldActiveID = document.getElementById("active-id").innerHTML;
	document.getElementById("active-id").innerHTML = id;
	if (document.getElementById("table-" + id) != null)
	{
		document.getElementById("table-" + id).style.display="";
	}
	if (document.getElementById(oldActiveID) != null)
	{
		document.getElementById(oldActiveID).className = "";
	} 	     
	if (document.getElementById(id) != null)
	{
		document.getElementById(id).className = "selected";
	} 	           
}


function viewAllAjax(site, stringSystem, string)
{
    var theTable = "";
	if (site != '')
	{
	    theTable = document.getElementById('table-' + site);
		if (theTable != null)
		{
		    if(theTable.style.display == 'none')
		    {
		    	viewAjax(site);
		    }
		}
		else
		{
	    	viewAjax(site);
		}
	}
	
	if (stringSystem != '')
	{
    	viewAjax(stringSystem);
	}
	
	if (string != '')
	{
    	viewAjax(string);
	}
	
}


function SetTreeEvent(site, stringsystem, string)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/settreeevent.do';
  var para = '?site=' + site
         + '&stringsystem=' + stringsystem
         + '&string=' + string;
  
  url = url + para;  
  
   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseXML;
          }
          else
          {
	          alert(document.getElementById('request-error').innerHTML + ajaxObj.status);
          }
      }
  };
  ajaxObj.send(para);
}


function RemoveTreeEvent(type)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/removetreeevent.do';
  var para = '?t=' + type;
  
  url = url + para;  
  
   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseXML;
          }
          else
          {
	          alert(document.getElementById('request-error').innerHTML + ajaxObj.status);
          }
      }
  };
  ajaxObj.send(para);
}

function viewAjax(id)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/getchildrenlist.do';
  var para = 'o=' + id;
  
  //url = url + para;
  
   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseXML;
              analyze(id, result);
          }
          else
          {
	          alert(document.getElementById('request-error').innerHTML + ajaxObj.status);
          }
      }
  };
  ajaxObj.send(para);
}


function analyze(id, result)
{
    var activeId = document.getElementById("active-id").innerHTML;
    document.getElementById("active-id").innerHTML = id;
    if (document.getElementById(activeId) != null)
    {
    	document.getElementById(activeId).className = "";
    }
    document.getElementById(id).className = "selected";
    document.getElementById('plus-minus-' + id).src = './images/minus.gif';
    //alert(activeId);
    //alert(id);

    var newTable = false;
    var td = document.getElementById("td-" + id);
    
    var offset = document.getElementById("offset-" + id).innerHTML;
	var theTable = document.getElementById("table-" + id);
	if (theTable == null)
	{	
	    newTable = true;
	    theTable = document.createElement('table');
	    theTable.setAttribute('id','table-' + id); 
	}
	else
	{
		removeAllRows(theTable);
    	theTable.style.display="";
	}	
	
    var tbody = document.createElement('tbody');
	
	var newSiteId = result.getElementsByTagName("site-id")[0].firstChild.nodeValue;
	var oldSiteId = document.getElementById('site-id').innerHTML;
	
	if (oldSiteId != '')
	{ 
	    if (oldSiteId != newSiteId)
	    {
	    	document.getElementById("plus-minus-" + oldSiteId).src = "images/plus.gif";
	    	document.getElementById("table-" + oldSiteId).style.display="none";
    	}
	}
	document.getElementById('site-id').innerHTML = newSiteId;
	
	var root = result.getElementsByTagName("child");
	for(var i=0; i<root.length; i++)
	{
		var child = root[i];				
		var id1 = child.getElementsByTagName('id')[0].firstChild.nodeValue;
		var name = child.getElementsByTagName('name')[0].firstChild.nodeValue;
		var type = child.getElementsByTagName('type')[0].firstChild.nodeValue;
		var state = child.getElementsByTagName('state')[0].firstChild.nodeValue;
		
		addRows(tbody, id1, name, type, state, offset);
	}
	
	theTable.appendChild(tbody);
	
	if (newTable)
	{
		td.appendChild(theTable);
	}
	
	//alert(document.getElementById('anchor-' + id ));
	//eval('alert(document.all.anchor-' + id + ')');
	if (document.all['anchor-' + id] != null)
	{
		document.all['anchor-' + id].scrollIntoView();
	}
	//window.scrollTo(0, document.anchors['anchor-' + id].y);
	//location.href = location.href + "#anchor-" + id; 
	//alert("over");
}

function removeAllRows(table)
{
    while(table.hasChildNodes())
    {
		table.removeChild(table.firstChild);
    }
}

function addRows(theTable, id, name, type, state, offset)
{
    var row = document.createElement('tr');
	row.setAttribute('id','tr-' + id); 

    var cell = document.createElement('td');
	cell.setAttribute('id','td-' + id);
	
	var anchor = document.createElement('a');
	anchor.setAttribute('name', 'anchor-' + id);
	cell.appendChild(anchor);	

	var txt = document.createElement("span");
	txt.innerHTML = Space( parseInt(offset) + 3);
	cell.appendChild(txt); 	
	
	var plus = document.createElement('img');
	if(type == 4)  
	{
		plus.setAttribute('src','./images/dot.gif');
	}
	else
	{
		plus.setAttribute('src', './images/plus.gif');
		plus.style.cursor = 'hand';
		plus.onclick = function() { toggleAjax(id); };
	}
	
	plus.setAttribute('id','plus-minus-' + id);
	cell.appendChild(plus);
	
	var img = document.createElement('img');
	img.setAttribute('src','./images/' + GetImage(type, state));
	cell.appendChild(img);
	

	var link = document.createElement('a');
	link.setAttribute('id', id);
	link.setAttribute('target', 'main');
	link.setAttribute('href', GetLink(id, type));
	if(type < 4)
	{
		link.onclick = function() {viewAjax(id);};
	}
	else
	{
		link.onclick = function() {select(id);};
	}
	link.innerHTML = "&nbsp;" + name + "&nbsp;";
	cell.appendChild(link);	


	var offsetSpan = document.createElement('span');
	offsetSpan.setAttribute('id', 'offset-' + id);
	offsetSpan.style.display = 'none';
	offsetSpan.innerHTML = parseInt(offset) + 3;
	cell.appendChild(offsetSpan);

	row.appendChild(cell);
	theTable.appendChild(row);
}

function GetImage(type, state)
{
  	var typeArray = new Array();
	typeArray[0] = "system";
	typeArray[1] = "node";
	typeArray[2] = "site";
	typeArray[3] = "string_system";
	typeArray[4] = "string";
	typeArray[5] = "battery";
  
    
  	var stateArray = new Array();
	stateArray[0] = "green";
	stateArray[1] = "yellow";
	stateArray[2] = "red";
	stateArray[3] = "red";
  
    return typeArray[type] + "_" + stateArray[state] + ".bmp";
}

function GetLink(id, type)
{
  	var typeArray = new Array();
	typeArray[0] = "system/selectMode.do?select=";
	typeArray[1] = "node/selectMode.do?select=";
	typeArray[2] = "site/selectMode.do?select=";
	typeArray[3] = "stringsystem/selectMode.do?select=";
	typeArray[4] = "string/selectMode.do?select=";
	typeArray[5] = "location/selectMode.do?select=";
    return typeArray[type] + id + "&tree=1&t=" + type;
}

function Space(length)
{
  var result = "";
  for(i=0; i<length; i++)
  {
    result = result + "&nbsp;";
  }
  return result;
}


function ViewSite(node, site)
{
  if(node=='')
  {
  	node = "system";
  }
  if(document.getElementById('table-' + node) == null)
  {
    SetTreeEvent(site, '', '');
  	view(node);
  }
  else if(document.getElementById('table-' + node).style.display == 'none')
  {
    SetTreeEvent(site, '', '');
  	view(node);
  }
  else
  {
	viewAjax(site);
  }
  
} 


function ViewStringSystem(node, site, stringSystem)
{
  if(document.getElementById("table-" + site) == null)
  {
	SetTreeEvent('', stringSystem, '');
  	ViewSite(node, site);
  }
  else if(document.getElementById(stringSystem) == null)
  {
	SetTreeEvent('', stringSystem, '');
  	ViewSite(node, site);
  }
  else
  {
	viewAjax(stringSystem);
  }
  
} 

function ViewString(node, site, stringSystem, string)
{
  if(document.getElementById("table-" + stringSystem) == null)
  {
 	 SetTreeEvent('', '', string);
   	 ViewStringSystem(node, site, stringSystem);
  }
  else if(document.getElementById(string) == null)
  {  
	 SetTreeEvent('', '', string);
  	 ViewStringSystem(node, site, stringSystem);
  }  
  else
  {
	 select(string);
  }  
}

function ChangeName(id, name)
{
  if (id=="") return;
  if (document.getElementById(id) == null) return;
  document.getElementById(id).innerHTML = name;
} 



