var ajaxObj;

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}
               
function GetStringList()
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/string/getstringlist.do';
  var para = 'stringsystemid=' + document.getElementById("stringsystem").value;

   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;
              analyzeString(result);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
  ajaxObj.send(para);
}

function analyzeString(result)
{
  if (result=='-1')
  {
    alert(document.getElementById('insert-error').innerHTML);;
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../relogon.do";
  }
  else
  {
    document.getElementById('selectedstring').innerHTML = select_innerHTML(document.getElementById("string"), result);
    document.getElementById("string").value = document.getElementById('selectedstring').innerHTML;
    if(document.getElementById("string").value == '' || document.getElementById("string").value == 'null'){
    	document.getElementById("btnSubmit").setAttribute("disabled","disabled");
    } else {
    	document.getElementById("btnSubmit").removeAttribute('disabled');
    }
    GetCellList();
  }
}

function GetCellList()
{
  if(document.getElementById("string").value == '' || document.getElementById("string").value == 'null'){
  	document.getElementById("btnSubmit").setAttribute("disabled","disabled");
  } else {
  	document.getElementById("btnSubmit").removeAttribute('disabled');
  }
	
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  
  var url = document.getElementById("root").innerHTML + '/string/getcelllist.do';
  var para = 'stringid=' + document.getElementById("string").value;
  if(document.getElementById("string").value == "")
  {
  	para = 'stringid=' + document.getElementById('selectedstring').innerHTML;
  }
  else
  {
  	para = 'stringid=' + document.getElementById("string").value;
  }

   ajaxObj.open('POST', url, true);
   ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');        
   ajaxObj.onreadystatechange = function() 
   {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
              var result = ajaxObj.responseText;
              analyzeCell(result);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
  ajaxObj.send(para);
}

function analyzeCell(result)
{
  if (result=='-1')
  {
    alert(document.getElementById('insert-error').innerHTML);;
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../relogon.do";
  }
  else
  {
    document.getElementById('selectedcell').innerHTML = select_innerHTML(document.getElementById("cell"), result);
    document.getElementById('cell').value = document.getElementById('selectedcell').innerHTML; 
    if(document.getElementById('selectedcell').innerHTML == '30110')
    {
    	document.getElementById("cellspan").style.display = "";
    }
    else
    {
    	document.getElementById("cellspan").style.display = "none";
    }
  }
}

function select_innerHTML(objeto,innerHTML){
/******
* select_innerHTML - corrige o bug do InnerHTML em selects no IE
* Veja o problema em: http://support.microsoft.com/default.aspx?scid=kb;en-us;276228
* Vers?o: 2.1 - 04/09/2007
* Autor: Micox - Niron Jos C. Guimar?es - micoxjcg@yahoo.com.br
* @objeto(tipo HTMLobject): o select a ser alterado
* @innerHTML(tipo string): o novo valor do innerHTML
*******/
    objeto.innerHTML = "";
    var selTemp = document.createElement("micoxselect");
    var opt;
    selTemp.id="micoxselect1";
    document.body.appendChild(selTemp);
    selTemp = document.getElementById("micoxselect1");
    selTemp.style.display="none";
    if(innerHTML.indexOf("<OPTION")<0)
    {
        innerHTML = "<OPTION>" + innerHTML + "</OPTION>";
    }
    innerHTML = innerHTML.replace(/<OPTION/g,"<SPAN").replace(/<\/OPTION/g,"</SPAN");
    selTemp.innerHTML = innerHTML;
    
    var newValue = "";
    
    for(var i=0;i<selTemp.childNodes.length;i++)
    {
      var spantemp = selTemp.childNodes[i];
      if(spantemp.tagName)
      {     
        opt = document.createElement("OPTION");
        if(document.all)
        { //IE
          objeto.add(opt);
        }
        else
        {
          objeto.appendChild(opt);
        }       
    
        //getting attributes
        for(var j=0; j<spantemp.attributes.length ; j++)
        {
          var attrName = spantemp.attributes[j].nodeName;
          var attrVal = spantemp.attributes[j].nodeValue;
          if(attrVal)
          {
            try
            {
               opt.setAttribute(attrName,attrVal);
               opt.setAttributeNode(spantemp.attributes[j].cloneNode(true));
            }
            catch(e){}
          }
        }
	   
	   //getting styles
	   if(spantemp.style)
	   {
	      for(var y in spantemp.style)
	      {
	         try{opt.style[y] = spantemp.style[y];}catch(e){}
	      }
	   }
	   
	   //value and text
	   opt.value = spantemp.getAttribute("value");
	   opt.text = spantemp.innerHTML;
	   //IE
	   opt.selected = spantemp.getAttribute('selected');
	   opt.className = spantemp.className;
	   
	   if (i==0)
	   {
	     newValue = opt.value;
	   }
	} 
 }    
 document.body.removeChild(selTemp);
 selTemp = null;
 return newValue;
 
}
