<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/pager-taglib.tld" prefix="pg"%>
<%@ page import="com.midtronics.esp.common.*"%>


<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">

<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<script type="text/javascript" src="../js/jquery-1.4.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>	

<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/report.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/excel.js?v=<bean:write name="APP-VERSION" />"></script>

<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>

<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>

<script language="javascript"> 

jQuery(document).ready(function($){
	//document.getElementById("list-div").style.height =  document.body.clientHeight - 215;
	
    $('#nodeview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 200
    });
});


</script>


</head>

<body onresize="resizeTable(nodeview, 200);">

<span id="forward" style="display:none"><bean:write
	name="<%=Constant.NodeSessionFlag%>" property="parentID" /></span>
<span id="objectID" style="display:none"><bean:write
	name="<%=Constant.NodeSessionFlag%>" property="nodeID" /></span>
<span id="objectName" style="display:none"><bean:write
	name="<%=Constant.NodeSessionFlag%>" property="nodeName" /></span>
<span id="rptype" style="display:none"><%=Constant.NODE_REPORT%></span>

<table width="100%" height="100%">
	<tr height="3%">
		<td>
			<div id="topnav">
			<div>
				<span id="viewtab" class="selected"> <span> 
					<html:link page="/node/view.do"><bean:message key="tab.overview" />	</html:link>
					</span>
				</span> 
				<span id="alertttab">
					<span> <a href="#"
						onclick="ViewAlarm('node');return false;"> 
						<bean:message key="tab.alert" /> </a>
					</span>
				</span>
				<span id="alertlimitttab">
					<span> <html:link page="/node/viewalarmlimit.do"> 
						<bean:message key="tab.alarmlimit" /> </html:link>
					</span>
				</span>  
				<span id="eventtab">
					<span>
					<a href="#" onclick="ViewEvent('node');return false;"> 
						<bean:message key="tab.event" /> </a>
					</span>
				</span> 
				
				<span id="contantstab">
					<span><html:link page="/node/listcontact.do"><bean:message key="tab.contact" /></html:link>
					</span>
				</span>
				
				<span id="warehouse" style="display:none">
					<span>
						<html:link page="/battery/viewbatteries.do">
							<bean:message key="tab.warehouse" /></html:link>
					</span>
				</span>
			</div>
			</div>
		</td>
	</tr>
	
	<tr height="3%">
		<td>
			<table>
				<tr>
					<td class="pageName"><bean:message key="pagename.node" />:&nbsp;
						<bean:write	name="<%=Constant.NodeSessionFlag%>" property="nodeName" />
					</td>
				</tr>
				<tr class="space">
					<td></td>
				</tr>
			</table>
		</td>
	</tr>
		

	<tr height="7%">
		<td>
			<table class="information">
				<tr class="footer">
					<td class="fieldName"><bean:message key="pageinf.description" />:&nbsp;&nbsp;&nbsp;&nbsp;</td>
					<td class="fieldName1">
						<bean:write	name="<%=Constant.NodeSessionFlag%>" property="description" />
					</td>
				</tr>
	
				<tr class="footer_tail">
					<td class="fieldName"><bean:message key="pageinf.alert-state" />:&nbsp;&nbsp;&nbsp;&nbsp;</td>
					<td class="fieldName1">
						<logic:switch name="<%=Constant.NodeSessionFlag%>" property="alarmState">
							<logic:case op="equal" value="0">
								<bean:message key="common.alarm-state.ok" />
							</logic:case>
							<logic:case op="equal" value="1">
								<bean:message key="common.alarm-state.warning" />
							</logic:case>
							<logic:case op="equal" value="2">
								<bean:message key="common.alarm-state.alarm" />
							</logic:case>
						</logic:switch>
					</td>
				</tr>
			</table>
		</td>
	</tr>

	<tr>
		<td valign="top">
		<div style="width:100%;height:100%;overflow:auto;" id="list-div">
		<table id='nodeview' cellpadding="0" cellspacing="0" class="fancyTable" >
		<thead>
			<tr>			      
				<th class="tableHead"><bean:message key="overview.tablehead.object-name" /></th>
				<th class="tableHead"><bean:message	key="overview.tablehead.alarms" /></th>
				<th class="tableHead"><bean:message	key="overview.tablehead.warnings" /></th>
				<th class="tableHead"><bean:message	key="overview.tablehead.acknowledged" /></th>
			</tr>
		</thead>
		
			<logic:present name="<%=Constant.NodeSessionFlag%>" scope="session">
				<tbody>
				<logic:iterate id="list" name="<%=Constant.NodeSessionFlag%>" property="subObjects">					
					<bean:define id="alert" name="list"	property="numberOfAlarmAndWarning" />
					<bean:define id="ack" name="list" property="numberOfAcknowledged" />

					<logic:equal name="alert" value="<%=ack.toString()%>">
						<tr valign="middle">
							<td>
								<logic:if name="list" property="objectType" op="equal" value="1">
								<logic:then>
									<logic:switch name="list" property="alarmState">
										<logic:case op="equal" value="0">
											<img src="../images/node_green.bmp">
										</logic:case>
										<logic:case op="equal" value="1">
											<img src="../images/node_yellow.bmp">
										</logic:case>
										<logic:case op="equal" value="2">
											<img src="../images/node_red.bmp">
										</logic:case>
									</logic:switch> 
									<html:link page="/node/selectMode.do"
										paramId="select" paramName="list"
										paramProperty="objectID">
										<bean:write name="list" property="objectName" />
									</html:link>
								</logic:then>
								<logic:else>
									<logic:switch name="list" property="alarmState">
										<logic:case op="equal" value="0">
											<img src="../images/site_green.bmp">
										</logic:case>
										<logic:case op="equal" value="1">
											<img src="../images/site_yellow.bmp">
										</logic:case>
										<logic:case op="equal" value="2">
											<img src="../images/site_red.bmp">
										</logic:case>
									</logic:switch> 
									<html:link page="/site/selectMode.do"
										paramId="select" paramName="list"
										paramProperty="objectID">
										<bean:write name="list" property="objectName" />
									</html:link>
								</logic:else>
								</logic:if>
							</td>
							<td class="normal"><bean:write name="list" property="numberOfAlarm" /></td>
							<td class="normal"><bean:write name="list" property="numberOfWarning" /></td>
							<td class="normal"><bean:write name="list" property="numberOfAcknowledged" /></td>
						</tr>
					</logic:equal>
					
					<logic:notEqual name="alert" value="<%=ack.toString() %>">
						<tr valign="middle">
							<td>
								<div class="attention_head">
								<logic:if name="list" property="objectType" op="equal" value="1">
									<logic:then>
										<logic:switch name="list"
											property="alarmState">
											<logic:case op="equal" value="0">
												<img src="../images/node_green.bmp">
											</logic:case>
											<logic:case op="equal" value="1">
												<img src="../images/node_yellow.bmp">
											</logic:case>
											<logic:case op="equal" value="2">
												<img src="../images/node_red.bmp">
											</logic:case>
										</logic:switch> 
										<html:link page="/node/selectMode.do"
											paramId="select" paramName="list"
											paramProperty="objectID">
											<bean:write name="list" property="objectName" />
										</html:link>
									</logic:then>
									<logic:else>
										<logic:switch name="list"
											property="alarmState">
											<logic:case op="equal" value="0">
												<img src="../images/site_green.bmp">
											</logic:case>
											<logic:case op="equal" value="1">
												<img src="../images/site_yellow.bmp">
											</logic:case>
											<logic:case op="equal" value="2">
												<img src="../images/site_red.bmp">
											</logic:case>
										</logic:switch> 
										<html:link page="/site/selectMode.do"
											paramId="select" paramName="list"
											paramProperty="objectID">
											<bean:write name="list" property="objectName" />
										</html:link>
									</logic:else>
								</logic:if>
								</div>
							</td>
							<td class="attention"><bean:write name="list" property="numberOfAlarm" /></td>
							<td class="attention"><bean:write name="list" property="numberOfWarning" /></td>
							<td class="attention"><bean:write name="list" property="numberOfAcknowledged" /></td>
						</tr>
					</logic:notEqual>
				</logic:iterate>
			</tbody>
			</logic:present>

		</table>
		</div>
		</td>
	</tr>

	<tr height="1%">
		<td>
		<table width="100%">
			<tr>
				<td>
					<html:button property="report" style="width:120px" onclick="ExpandingWindow();">
						<bean:message key="button.create-report" />
					</html:button> 
					<html:button property="reportexcel" style="width:120px"
					onclick="ExcelReport('object');return false;">
					<bean:message key="button.output-excel" />
				</html:button>
					<html:button property="back" style="width:120px" onclick="ForwardUpperLevel('node');">
						<bean:message key="button.view-upper-level" />
					</html:button>					
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>
</body>
</html>

<logic:if name="tree" op="equal" value="0">
<logic:then>
<script type="text/javascript">
  top.frames["tree"].ViewNode("<bean:write name="<%=Constant.NodeSessionFlag%>" property="nodeID" />", 1);
</script>
</logic:then>
</logic:if>
