<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//Dtd HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>

<%@ page import="com.midtronics.esp.common.*"%>
<%@ page import="com.midtronics.esp.model.measurement.*"%>


<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<style type="text/css">@import url(../js/calendar-win2k-1.css);</style>
<script type="text/javascript" src="../js/calendar.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/lang/calendar-<bean:write name="<%=Constant.LoginUserLanguageFlag%>" />.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/calendar-setup.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/common/common.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/report.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/alert.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/jsPopup.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/excel.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/battery-analysis-report.js?v=<bean:write name="APP-VERSION" />"></script>

<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">

<script type="text/javascript" src="../js/jquery-1.10.2.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>

<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>

<style type="text/css">
     div {border:0px;}
</style>

<script language="javascript">

jQuery(document).ready(function($){
		
    $('#batteryReport').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 200
    });
    
});
    
</script>


</head>

<body onresize="resizeTable(batteryReport, 200);" >

<span id="select" style="display:none"><bean:message key="combox.select" /></span>
<span id="root" style="display:none"><%=request.getContextPath()%></span>
<span id="rptype" style="display:none"><%=Constant.BATTERY_ANALYSIS_REPORT %></span>
<span id="no-site-selected" style="display:none"><bean:message key="battery-analysis-report.message.no-site-selected" /></span>

<table width="100%" height="100%">
	    <tbody>
			<tr height="10px">
				<td><span id="objectID" style="display:none"></span>
				<div id="topnav">
				<div>
					<span id="viewtab"> <span> <html:link page="/system/view.do">
						<bean:message key="tab.overview" />
					</html:link></span></span> 
					
					<logic:equal name="overview-only" value="0">
					<span id="alertttab"><span>
					<a href="#" onclick="ViewAlarm('system');return false;"> <bean:message key="tab.alert" /> </a></span></span>
					
					<span id="eventtab"><span><a href="#"
						onclick="ViewEvent('system');return false;"> <bean:message
						key="tab.event" /> </a></span></span>
					
					<span id="contantstab"><span><html:link
						page="/system/listcontact.do">
						<bean:message key="tab.contact" />
					</html:link></span></span>
					
					<span id="usertab"> <span><html:link
						page="/system/listuser.do">
						<bean:message key="tab.users" />
					</html:link></span></span>
					
					<span id="warehouse"><span><html:link
						page="/battery/viewbatteries.do">
						<bean:message key="tab.warehouse" />
					</html:link></span></span>
					
					<logic:equal name="<%=Constant.ModeSessionFlag %>" value="VIEW">
						<span id="recyclebintab"> <span><html:link
							page="/battery/viewrecycledbatteries.do">
							<bean:message key="tab.recycle-bin" />
						</html:link></span></span>
					</logic:equal>
					</logic:equal>
					
			
					<span id="alertreportstab" class="selected"><span><html:link
						page="/system/reporttype.jsp#">
						<bean:message key="tab.report" />
					</html:link></span></span>
					
				</div>
				</div>
				</td>
			</tr>
			
			<tr height="70px">
				<td class="pageName">
				    &nbsp;
				    <bean:message key="battery-analysis-report.report-title"/>
				</td>
			</tr>
			
			<tr style="height:30px">
				<td>
				<html:form action="/system/batteryanalysisreport.do">
					<table style="width:80%;margin-left:auto;margin-right:auto;">
						<tr>
							<td width="80px" align="right"><bean:message key="common.object.node"/>:</td>
							<td width="120px">
								<html:select property="entity" style="width:250px" styleId="entity" onchange="GetSite('all');">
								    <logic:equal name="show_celltraq" value="true">
										<html:option value="celltraq">Celltraq</html:option>
									</logic:equal>
									<html:optionsCollection name="<%=Constant.BatteryAnalysisReportEntityHierarchyFlag %>" filter="false" label="objectName" value="objectID"/>
								</html:select>
							</td>
							<td width="80px" align="right"><bean:message key="common.object.site"/>:</td>
							<td width="120px">
								<html:select property="site" style="width:200px" styleId="site"  onchange="SiteSelected();">
								</html:select>
							</td>
							<td style="text-align:left;">
								<html:submit property="submit" style="width:100px" onclick="return OnSubmit();" styleId="btnSubmit">
									<bean:message key="button.submit" />
								</html:submit>
							</td>
						</tr>
					</table>
				</html:form>
				</td>
			</tr>
			<tr>
			<td style="text-align:center;vertical-align:top">
			<div style="border:0px;height:100%;margin-left:auto;margin-right:auto;display:none;text-align:center;" id="loading-div">
				<img src="../images/loading.gif" style=""/>
			</div>
			<table id="batteryReport" class="fancyTable" cellpadding="0" cellspacing="0">
			<thead>
				<tr>
					<logic:iterate id="column" name="<%=Constant.BatteryAnalysisReportHeaderEntityColumnFlag %>" >
						<th class="tableHead" style="width:100px"><bean:message	key="common.object.node" /></th>
					</logic:iterate>
					<th class="tableHead" width="100px"><bean:message	key="common.object.site" /></th>
					<th class="tableHead" width="100px"><bean:message	key="common.object.stringsystem" /></th>
					<th class="tableHead" width="100px"><bean:message	key="common.object.string" /></th>
					<th class="tableHead" width="100px"><bean:message	key="common.object.battery" /></th>
					<th class="tableHead" width="100px"><bean:message	key="pageinf.conductance" /></th>
					<th class="tableHead" width="100px"><bean:message	key="pageinf.last-gt" /></th>
					<th class="tableHead" width="100px"><bean:message	key="pageinf.voltage" /></th>
					<th class="tableHead" width="100px"><bean:message	key="pageinf.temperature" /></th>
					<th class="tableHead"><bean:message	key="pageinf.manufacturer" /></th>
					<th class="tableHead"><bean:message	key="batteryspe.tablehead.model" /></th>
					<th class="tableHead"><bean:message	key="pageinf.battery-type" /></th>
				</tr>
			</thead>
			<tbody>
				<logic:present name="<%=Constant.BatteryAnalysisReportDataFlag %>" scope="session">
					<logic:iterate id="list" name="<%=Constant.BatteryAnalysisReportDataFlag %>">
					<tr>
						<logic:iterate id="entities" name="list" property="entities">
							<td class="normal"><bean:write name="entities"/></td>
						</logic:iterate>
						<td class="normal"><bean:write name="list" property="siteName"/></td>
						<td class="normal"><bean:write name="list" property="plantName"/></td>
						<td class="normal"><bean:write name="list" property="stringName"/></td>
						<td class="normal"><bean:write name="list" property="batteryNumber"/></td>
						
						<td class="normal">
							<bean:write name="list" property="conductanceDisplayValue" filter="false"/>
						</td>
						
						<td class="normal">
							<bean:write name="list" property="tcompConductanceDisplayValue"  filter="false"/>
						</td>
						
						<td class="normal">
							<bean:write name="list" property="voltageDisplayValue"  filter="false"/>
						</td>
						
						<td class="normal">
							<bean:write name="list" property="temperatureDisplayValue"  filter="false"/>
						</td>
						<td class="normal"><bean:write name="list" property="manufacturer"/></td>
						<td class="normal"><bean:write name="list" property="model"/></td>
						<td class="normal"><bean:write name="list" property="batteryType"/></td>
					</tr>
					</logic:iterate>
				</logic:present>
			</tbody>
			</table>
			</td>
		</tr>
		<tr height="30px">
			<td>
			<table width="100%">
		    <tr>
				<td>
					<html:submit property="create" style="width:100px" onclick="ExpandingWindow();return false;">
						<bean:message key="button.create-report"/>
					</html:submit>
					&nbsp;
					<html:button property="excel" style="width:100px" onclick="ExcelReport('batteryanalysisreport');return false;">
						<bean:message key="button.output-excel"/></html:button>
					&nbsp;				
				  	<html:button property="" style="width:100px" onclick="location.href='../system/reporttype.jsp';return false;">
						<bean:message key="button.cancel"/>	
				  	</html:button>
				</td>
			    <td width="150" align="right" >
					<logic:notEqual name="<%=Constant.RowNumberSessionFlag %>" value="">
						<B><bean:write name="<%=Constant.RowNumberSessionFlag %>"/> <bean:message key="pageinf.rows-returned"/></B>&nbsp;&nbsp;&nbsp;
					</logic:notEqual>
				</td>
			</tr>
			</table>
			</td>
		</tr>
</table>

<script type="text/javascript">
    GetSite('<bean:write name="<%=Constant.BatteryAnalysisReportSelectedSiteFlag %>"/>');
</script>

</body>
</html>

