<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/midtronics.tld" prefix="midtag"%>

<%@ page import="com.midtronics.esp.common.*"%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>
<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/excel.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/report.js?v=<bean:write name="APP-VERSION" />"></script>

<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">

<script type="text/javascript" src="../js/jquery-1.10.2.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>

<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>

<script language="javascript">

jQuery(document).ready(function($){
		
    $('#siteview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 150
    });
    
});
    
</script>


</head>

<body onresize="resizeTable(siteview, 150);" >

<span style="display:none" id="no-manufacturer"><bean:message 
key="report.prompt.choose-a-manufacturer"/></span>

<span style="display:none" id="no-model"><bean:message 
key="report.prompt.choose-a-model"/></span>

<span id="rptype" style="display:none"><%=Constant.SPEC_REPORT%></span>

<table height="100%" width="100%">
	<tr height="3%">
		<td>
		<div id="topnav">
		<div><span id="viewtab" > <span> <html:link
			page="/system/view.do">
			<bean:message key="tab.overview" />
		</html:link></span></span> 
		
		<logic:equal name="overview-only" value="0">
		<span id="alertttab"> <span><a href="#"
			onclick="ViewAlarm('system');return false;"> <bean:message
			key="tab.alert" /> </a></span></span>
			
		<span id="eventtab"> <span><a
			href="#" onclick="ViewEvent('system');return false;"> <bean:message
			key="tab.event" /> </a></span></span> 
		
		<span id="contantstab"><span><html:link
			page="/system/listcontact.do"> 
			<bean:message key="tab.contact" />
		</html:link></span></span>
		
		<span id="usertab"> <span><html:link
			page="/system/listuser.do">
			<bean:message key="tab.users" />
		</html:link></span></span> 
		
		<span id="warehousetab"> <span><html:link
			page="/battery/viewbatteries.do">
			<bean:message key="tab.warehouse" />
		</html:link></span></span>
		
		<logic:equal name="<%=Constant.ModeSessionFlag %>" value="VIEW">
			<span id="recyclebintab"> <span><html:link
				page="/battery/viewrecycledbatteries.do">
				<bean:message key="tab.recycle-bin" />
			</html:link></span></span>
		</logic:equal>
		</logic:equal>
		
		<span id="viewtab" class="selected"> <span> <html:link
			page="/system/reporttype.jsp">
			<bean:message key="tab.report" />
		</html:link></span></span></div>
		</div>
		</td>
	</tr>
	<tr height="1%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName">
					<bean:message key="pageinf.manufacturer"/>&nbsp;<bean:write name="report-by-spec-manufacturer"/>
				</td>
			</tr>
			<tr>
				<td>
				<b>&nbsp;
					<bean:message key="pageinf.latest-measurements"/>
				</b>
				</td>
			</tr>
			<tr>
				<td><html:errors /></td>
			</tr>
		</table>
		</td>
	</tr>
	
	<tr>
	<td valign="top">
		<table id="siteview" width="100%" cellpadding="0" cellspacing="0" class="fancyTable">
		<thead>
			<tr>											
				<th class="tableHead"><bean:message key="batteryspe.tablehead.model-number" /></th>
				<th class="tableHead"><bean:message key="common.object.site" /></th>
				<th class="tableHead"><bean:message key="common.object.stringsystem" /></th>
				<th class="tableHead"><bean:message key="common.object.string" /></th>
				<th class="tableHead"><bean:message key="common.object.battery" /></th>
				<th class="tableHead"><bean:message key="pageinf.installation-date" /></th>
				<th class="tableHead"><bean:message key="pageinf.manufacture-date" /></th>
				<th class="tableHead"><bean:message key="pageinf.last-g" /></th>
				<th class="tableHead"><bean:message key="pageinf.ref-g" /></th>
				<th class="tableHead"><bean:message key="pageinf.last-gt" /></th>
				<th class="tableHead"><bean:message key="pageinf.last-v" /></th>
				<th class="tableHead"><bean:message key="pageinf.last-t" /></th>
			</tr>
		</thead>
		<tbody>
			
			<logic:present name="<%=Constant.ReportDataBySpec %>">
			<logic:iterate id="data" name="<%=Constant.ReportDataBySpec %>">
				<tr>
					<td class="normal">
						<bean:write name="data" property="modelNumber"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="siteName"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="stringSystemName"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="stringName"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="batteryIndex"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="installationDate"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="manufactureDate"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="g"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="GRef"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="GPercent"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="v"/>
					</td>
					<td class="normal">
						<bean:write name="data" property="t"/>
					</td>
				</tr>
			</logic:iterate>
			</logic:present>	
					
		</tbody>	
		</table>
	</td>
	</tr>
	<tr>
		<td valign="top">
			<input style="width:100px" type="button" 
				value="<bean:message key="button.create-report"/>" 
				onclick="ExpandingWindow();" />
				
			<input style="width:100px" type="button" 
				value="<bean:message key="button.output-excel"/>" 
				onclick="ExcelReportWithParameter('specreport', '');return false;" />
				
			<input style="width:100px" type="button" 
				value="<bean:message key="button.cancel"/>"
				onclick='location.href="../system/reportbyspec.do";' />
		</td>
	</tr>
</table>
</body>
</html>

