<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/midtronics.tld" prefix="midtag"%>

<%@ page import="com.midtronics.esp.common.*"%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>
<script type="text/javascript" src="../js/quarterly-report.js?v=<bean:write name="APP-VERSION" />"></script>

</head>

<body>
<span style="display:none" id="no-site"><bean:message key="report.prompt.choose-a-site"/></span>
<span style="display:none" id="no-quarter"><bean:message key="report.prompt.choose-a-quarter"/></span>
<table height="100%" width="100%">
	<tr height="3%">
		<td>
		<div id="topnav">
		<div><span id="viewtab" > <span> <html:link
			page="/system/view.do">
			<bean:message key="tab.overview" />
		</html:link></span></span> 
		
		<logic:equal name="overview-only" value="0">
		<span id="alertttab"> <span><a href="#"
			onclick="ViewAlarm('system');return false;"> <bean:message
			key="tab.alert" /> </a></span></span>
			
		<span id="eventtab"> <span><a
			href="#" onclick="ViewEvent('system');return false;"> <bean:message
			key="tab.event" /> </a></span></span> 

		<span id="contantstab"><span><html:link
			page="/system/listcontact.do"> 
			<bean:message key="tab.contact" />
		</html:link></span></span>
		
		<span id="usertab"> <span><html:link
			page="/system/listuser.do">
			<bean:message key="tab.users" />
		</html:link></span></span> 
		
		<span id="warehousetab"> <span><html:link
			page="/battery/viewbatteries.do">
			<bean:message key="tab.warehouse" />
		</html:link></span></span>
		
		<logic:equal name="<%=Constant.ModeSessionFlag %>" value="VIEW">
			<span id="recyclebintab"> <span><html:link
				page="/battery/viewrecycledbatteries.do">
				<bean:message key="tab.recycle-bin" />
			</html:link></span></span>
		</logic:equal>
		</logic:equal>
			
		<span id="viewtab" class="selected"> <span> <html:link
			page="/system/reporttype.jsp">
			<bean:message key="tab.report" />
		</html:link></span></span></div>
		</div>
		</td>
	</tr>
	<tr height="1%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName">&nbsp;&nbsp;&nbsp;<bean:message key="report.quarterly-report.page-title" /></td>
			</tr>
			<tr>
				<td><html:errors /></td>
			</tr>
		</table>
		</td>
	</tr>
	
	<tr height="250px">
		<td valign="top">
		<br/>
		<html:form action="/system/sitequarterlyreport.do" method="POST">
		<table>
			<tr>
				<td width="20px" valign="top"></td>
				<td width="100px" valign="top"><bean:message key="report.quarterly-report.choose-quarter" />:</td>
				<td>
					<select id="quarter-list" style="width:400px">
					</select>
				</td>
			</tr>
			<tr>
				<td width="20px" valign="top"></td>
				<td width="100px" valign="top"><bean:message key="report.quarterly-report.choose-site" />:</td>
				<td>
					<div id="sitediv" style="width:400px;height:230px;overflow:auto;border:1px solid">
					<logic:present name="<%=Constant.MySiteList%>"  scope="session" >
						<table>
							<logic:iterate id="site" name="<%=Constant.MySiteList%>" indexId="index">
							<tr>
								<td>
								<logic:equal name="index" value="0">
									<input type="radio" name="site-list" checked onclick="CheckSite('<bean:write name="site" property="siteID" />');"  
										value='<bean:write name="site" property="siteID" />' />
										<bean:write name="site" property="siteName" />
									<input type="hidden" id="first-site-id" value="<bean:write name="site" property="siteID" />"/>
								</logic:equal>
								<logic:notEqual name="index" value="0">
									<input type="radio" name="site-list" onclick="CheckSite('<bean:write name="site" property="siteID" />');"  
										value='<bean:write name="site" property="siteID" />' />
										<bean:write name="site" property="siteName" />
								</logic:notEqual>
								</td>
							</tr>
							</logic:iterate>
						</table>
					</logic:present>
					</div>
					<html:hidden property="site" styleId="site"/>
				<i><bean:message key="pageinf.limited-by-access"/></i>
				</td>
			</tr>
		</table>
		</html:form>
		</td>
	</tr>
	
	<tr>
		<td valign="top">
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input style="width:100px" type="button" 
				value="<bean:message key="button.view-report" />" 
				onclick="Submit();">
			<input style="width:100px" type="button" 
				value="<bean:message key="button.cancel"/>"
				onclick='location.href="../system/reporttype.jsp";'>
		</td>
	</tr>
</table>

<script type="text/javascript">
	document.getElementById('sitediv').style.height = document.body.clientHeight - 220;
	CheckSite(document.getElementById('first-site-id').value);
</script>
</body>
</html>

