<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/midtronics.tld" prefix="midtag"%>

<%@ page import="com.midtronics.esp.common.*"%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<script src="../tree/xtree.js?v=<bean:write name="APP-VERSION" />"></script>
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/report.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/excel.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>

<style type="text/css">
@import url(../js/calendar-win2k-1.css);
</style>
<script type="text/javascript" src="../js/calendar.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/lang/calendar-<bean:write name="<%=Constant.LoginUserLanguageFlag%>" />.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/calendar-setup.js?v=<bean:write name="APP-VERSION" />"></script>

<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">

<script type="text/javascript" src="../js/jquery-1.10.2.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>

<script language="javascript">

jQuery(document).ready(function($){
		
    $('#batteryview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 200
    });
        
    $('#stringview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 200
    });
    
});

function SwitchDisplay()
{
    if(document.getElementById('chartdisplayed').innerHTML =='no')
    {    
    	document.getElementById('chartDisplay').style.display = 'none';
    	document.getElementById('tableDisplay').style.display = '';       
    }
    else
    {
    	document.getElementById('chartDisplay').style.display = '';
    	document.getElementById('tableDisplay').style.display = 'none';       
    }

	if(document.getElementById('batteryorstring').innerHTML =='battery')
	{
		document.getElementById('batteryTable').style.display = '';
		document.getElementById('batterydiv').style.display = '';
		document.getElementById('stringTable').style.display = 'none';
		document.getElementById('stringdiv').style.display = 'none';
	}
	else
	{
		document.getElementById('batteryTable').style.display = 'none';
		document.getElementById('batterydiv').style.display = 'none';
		document.getElementById('stringTable').style.display = '';
		document.getElementById('stringdiv').style.display = '';
	}
}

function outputExcel()
{
    ExcelReportWithParameter("currentalertcomparison",
    document.getElementById("span-level").innerHTML + "," +  
    document.getElementById("batteryorstring").innerHTML);
}

function resizeTable() {
	
	$('#batteryview').fixedHeaderTable('destroy');
	$('#stringview').fixedHeaderTable('destroy');
	
    $('#batteryview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 200
    });
        
    $('#stringview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 200
    });
    
}


</script>
</head>

<body onresize="resizeTable();">

<span id="objectID" style="display: none"><bean:write
	name="<%=Constant.SystemSessionFlag%>" property="systemID" /></span>
<span id="objectName" style="display: none"><bean:write
	name="<%=Constant.SystemSessionFlag%>" property="systemName" /></span>
<span id="rptype" style="display: none"><%=Constant.CELLTRAQ_CURRENT_REPORT%></span>
<span id="batteryorstring" style="display: none">battery</span>
<span id="chartdisplayed" style="display: none">no</span>


<logic:switch name="<%=Constant.CelltraqReportTypeFlag%>">
	<logic:case op="equal" value="siteID">
		<span style="display:none" id="span-level"><bean:message key="common.object.site" /></span>
	</logic:case>
	<logic:case op="equal" value="manufacturerID">
		<span style="display:none" id="span-level"><bean:message key="pageinf.manufacturer" /></span>
	</logic:case>
	<logic:case op="equal" value="batteryModelID">
		<span style="display:none" id="span-level"><bean:message key="pageinf.model-number" /></span>
	</logic:case>
</logic:switch>


<table height="100%" width="100%">
	<tr height="3%">
		<td>
		<div id="topnav">
		<div><span id="viewtab"> <span> <html:link
			page="/system/view.do">
			<bean:message key="tab.overview" />
		</html:link></span></span> 
		
		<logic:equal name="overview-only" value="0">
		<span id="alertttab"> <span><a href="#"
			onclick="ViewAlarm('system');return false;"> <bean:message
			key="tab.alert" /> </a></span></span>
			
		<span id="eventtab"> <span><a
			href="#" onclick="ViewEvent('system');return false;"> <bean:message
			key="tab.event" /> </a></span></span> 
			
		<span id="contantstab"><span><html:link
			page="/system/listcontact.do">
			<bean:message key="tab.contact" />
		</html:link></span></span><span id="usertab"> <span><html:link
			page="/system/listuser.do">
			<bean:message key="tab.users" />
		</html:link></span></span> <span id="warehousetab"> <span><html:link
			page="/battery/viewbatteries.do">
			<bean:message key="tab.warehouse" />
		</html:link></span></span> 
		
		<span id="recyclebintab"> <span><html:link
			page="/battery/viewrecycledbatteries.do">
			<bean:message key="tab.recycle-bin" />
		</html:link></span></span>
		</logic:equal>
		
		<span id="reporttab" class="selected"> <span> <html:link
			page="/system/reporttype.jsp">
			<bean:message key="tab.report" />
		</html:link></span></span></div>
		</div>
		</td>
	</tr>
	<tr height="3%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName"><logic:switch
					name="<%=Constant.CelltraqReportTypeFlag%>">
					<logic:case op="equal" value="siteID">
						<bean:message key="common.object.site" />
					</logic:case>
					<logic:case op="equal" value="manufacturerID">
						<bean:message key="pageinf.manufacturer" />
					</logic:case>
					<logic:case op="equal" value="batteryModelID">
						<bean:message key="pageinf.model-number" />
					</logic:case>
				</logic:switch> <bean:message key="pagename.alert-comparision" /></td>
			</tr>
			<tr class="space">
				<td></td>
			</tr>
		</table>
		</td>
	</tr>
	<tr height=20px>
		<td align='center'>
		<table>
			<logic:equal name="<%=Constant.CelltraqReportTypeFlag%>" value="siteID">
			<tr>
				<td  align="right">
					<b><bean:message key="pageinf.data-level" />:</b>&nbsp;&nbsp;
				</td>
				<td>
					<input type='radio' name='mode' checked
						onclick="
							document.getElementById('batteryorstring').innerHTML ='battery';
							SwitchDisplay();" />
					<bean:message key="common.object.battery" />
					<input type='radio' name='mode'
						onclick="
							document.getElementById('batteryorstring').innerHTML = 'string';
							SwitchDisplay();" />
					<bean:message key="common.object.string" />
				</td>
			</tr>
			</logic:equal>

			<tr>
				<td align="right"><b><bean:message
					key="pageinf.chart-type" />:</b>&nbsp;&nbsp;
				</td>
				<td>
					<html:button
						style="width:100px" property=""
						onclick="document.getElementById('chartdisplayed').innerHTML = 'no';
							SwitchDisplay();">
						<bean:message key="button.table" />
					</html:button> 
					<html:button style="width:100px" property=""
						onclick="document.getElementById('chartdisplayed').innerHTML = 'yes';
							SwitchDisplay();">
						<bean:message key="button.bar" />
					</html:button>
				</td>
			</tr>
		</table>
		</td>
	</tr>

	<tr>
		<td>
		<div width=100% height=100% id='tableDisplay'>
			<div id="batteryTable">
				<div id="battery-list-div"
					style="width: 100%; border-width: 1px; height: 100%; overflow: auto;">
				<table id="batteryview" class="fancyTable" cellpadding="0" cellspacing="1">
				<thead>
					<tr>
						<th class="tableHead"><logic:switch
							name="<%=Constant.CelltraqReportTypeFlag%>">
							<logic:case op="equal" value="siteID">
								<bean:message key="common.object.site" />
							</logic:case>
							<logic:case op="equal" value="manufacturerID">
								<bean:message key="pageinf.manufacturer" />
							</logic:case>
							<logic:case op="equal" value="batteryModelID">
								<bean:message key="pageinf.model-number" />
							</logic:case>
						</logic:switch></th>
						<th class="tableHead"><bean:message key="report.state.ok" /></th>
						<th class="tableHead"><bean:message
							key="report.state.warning" /></th>
						<th class="tableHead"><bean:message key="report.state.alarm" /></th>
						<th class="tableHead"><bean:message
							key="report.battery-total" /></th>
					</tr>
				</thead>
				<tbody>
					<logic:present name="<%=Constant.BatteryReportSessionFlag%>"
						scope="session">
						<logic:iterate id="list"
							name="<%=Constant.BatteryReportSessionFlag%>">
							<tr>
								<td class="normal"><bean:write name="list"
									property="itemName" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfOkey" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfWarning" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfAlarm" /></td>
								<td class="normal"><bean:write name="list" property="total" />
								</td>
							</tr>
						</logic:iterate>
					</logic:present>
				</table>
				</div>

			</div>
			<div style="display: none" id="stringTable">
				<div id="string-list-div"
					style="width: 100%; border-width: 1px; height: 100%; overflow: auto;">
				<table id="stringview" class="fancyTable" cellpadding="0" cellspacing="1">
				<thead>
					<tr>
						<th class="tableHead"><logic:switch
							name="<%=Constant.CelltraqReportTypeFlag%>">
							<logic:case op="equal" value="siteID">
								<bean:message key="common.object.site" />
							</logic:case>
							<logic:case op="equal" value="manufacturerID">
								<bean:message key="pageinf.manufacturer" />
							</logic:case>
							<logic:case op="equal" value="batteryModelID">
								<bean:message key="pageinf.model-number" />
							</logic:case>
						</logic:switch></th>
						<th class="tableHead"><bean:message key="report.state.ok" /></th>
						<th class="tableHead"><bean:message
							key="report.state.warning" /></th>
						<th class="tableHead"><bean:message key="report.state.alarm" /></th>
						<th class="tableHead"><bean:message
							key="report.battery-total" /></th>
					</tr>
				</thead>
				<tbody>
					<logic:present name="<%=Constant.StringReportSessionFlag%>"
						scope="session">
						<logic:iterate id="list"
							name="<%=Constant.StringReportSessionFlag%>">
							<tr>
								<td class="normal"><bean:write name="list"
									property="itemName" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfOkey" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfWarning" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfAlarm" /></td>
								<td class="normal"><bean:write name="list" property="total" />
								</td>
							</tr>
						</logic:iterate>
					</logic:present>
				</tbody>	
				</table>
				</div>
			</div>	
		</div>
		</td>
	</tr>

	<tr id='chartDisplay' style='display: none'>
		<td align='center'>
		<div id="batterydiv"
			style="width: 810px; border-width: 0px; height: 302px; overflow: auto;">
		<table>
			<tr>
				<td align='center'><img
					src="../batterystringreport.do?type=battery&y=280"></td>
			</tr>
		</table>
		</div>

		<div id="stringdiv"
			style="width: 810px; border-width: 0px; height: 302px; overflow: auto;">
		<table>
			<tr>
				<td align='center'><img
					src="../batterystringreport.do?type=string&y=280"></td>
			</tr>
		</table>
		</div>
		</td>
	</tr>

	<tr height="1%">
		<td><html:button property="report" style="width:120px"
			onclick="ExpandingWindow();">
			<bean:message key="button.create-report" />
		</html:button> <html:button property="reportexcel" style="width:120px"
			onclick="outputExcel();">
			<bean:message key="button.output-excel" />
		</html:button> <html:button style="width:100px" property="cancel"
			onclick="location.href='./celltraqreport.do';return false;">
			<bean:message key="button.cancel" />
		</html:button></td>
	</tr>
</table>

</body>
</html>

