<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ page import="com.midtronics.esp.common.*"%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<script type="text/javascript" src="../js/hierarchy.js?v=<bean:write name="APP-VERSION" />"></script>
</head>
<body>
<span id="root" style="display:none"><%=request.getContextPath()%></span>

<span id="objectID" style="display:none"><bean:write name="<%=Constant.SystemSessionFlag%>" property="systemID" /></span>

<span id="objectName" style="display:none"><bean:write name="<%=Constant.SystemSessionFlag%>" property="systemName" /></span>
	
<span id="celltraq-not-running" style="display:none"><bean:message key="error.celltraq-not-running" /></span>

<span id="request-error" style="display:none"><bean:message key="common.request-error" /></span>
	
<span id="system-error" style="display:none"><bean:message key="common.system-error" /></span>
	
<span id="error-source-is-required" style="display:none"><bean:message key="error.source-is-required" /></span>
	
<span id="error-destination-is-required" style="display:none"><bean:message key="error.destination-is-required" /></span>

<html:form action="/system/hierarchy.do" styleId="form1" method="post" enctype="multipart/form-data">
	<table height="15%" width="100%">
		<TR height="3%">
			<TD>
			<div id="topnav">
			<div>
				<span id="detailtab">
				<span><html:link page="/system/detail.do">
					<bean:message key="tab.overview" />
				</html:link></span></span> 
				
				<span id="alarmlimittab"><span><html:link
					page="/system/listalarmlimit.do">
					<bean:message key="tab.alarmlimit" />
				</html:link></span></span>
				
				<span id="nodetab"><span><html:link
					page="/system/viewnode.do">
					<bean:message key="tab.node" />
				</html:link></span></span>  
				
				<span id="contacttab"><span><html:link
					page="/system/listcontact.do">
					<bean:message key="tab.contact" />
				</html:link></span></span>
				
				<span id="batteryspec"><span><html:link
					page="/batteryspec/getbatteryspeclist.do">
					<bean:message key="tab.specification" />
				</html:link></span></span> 
				
				<span id="warehouse"><span><html:link
					page="/battery/viewbatteries.do">
					<bean:message key="tab.warehouse" />
				</html:link></span></span>
				
				<span id="hierarchytab" class="selected">
				<span><html:link page="/system/hierarchy.do">
					<bean:message key="tab.hierarchy" />
				</html:link></span></span> 
				
				<span id="recyclebintab" > <span><html:link
					page="/battery/editrecycledbatteries.do">
					<bean:message key="tab.recycle-bin" />
				</html:link></span></span>
			</div>
			</div>
			</TD>
		</TR>
		
		<tr height="3%">
			<td>
			<table>
				<tr class="space">
					<td></td>
				</tr>
				<tr>
					<td class="pageName">
						<span class="pageName">	&nbsp;&nbsp;&nbsp;<bean:message key="hierarchy.page-title" /> </span>
						<br />
						<span class="subPageName">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<bean:message key="hierarchy.page-sub-title" /> </span>
					</td>
				</tr>
				<tr class="space">
					<td></td>
				</tr>
			</table>
			</td>
		</tr>
	
		<tr height="2%">
			<td style="text-align:center;vertical-align:top">
			<table width="100%">
				<tr>
					<td width="50%" style="text-align:center;vertical-align:top">
						<div id="div-src" style="overflow:auto;padding:5px 5px 5px 5px; width:80%;margin-left:auto;margin-right:auto;border:1px #000000 solid">
							<bean:write name="<%=Constant.SrcTreeFlag %>" filter="false"/>
							<p style="clear:both"></p>
						</div>
						<p style="clear:both; width:100%; text-align:center">
							<b><bean:message key="pageinf.select-source"/></b> 
						</p>
					</td>
					<td width="50%" style="text-align:center;vertical-align:top">
						<div id="div-dest" style="overflow:auto;padding:5px 5px 5px 5px;width:80%;margin-left:auto;margin-right:auto;border:1px #000000 solid">
							<bean:write name="<%=Constant.DesTreeFlag %>" filter="false"/>
							<p style="clear:both"></p>
						</div>
						<p style="clear:both; width:100%; text-align:center">
							<b><bean:message key="pageinf.select-destination"/></b> 
						</p>
					</td>
				</tr>
			</table>
			</td>
		</tr>

		<tr height="60px">
			<td style="text-align:center">
				<input style="width:80px;margin-bottom:10px;" type="button" value="<bean:message key="button.move" />" onclick="OnMoveClick(); return false;"/>
				<br />
				<span id="span-progress" style="display:none"></span>
				<span id="span-success">
					<html:messages id="message" message="true">
						<b><bean:write name="message" /></b>
					</html:messages>
				</span>
				<br />
				<img style="margin-top:2px;display:none" id="img-progress" src="../images/progressbar.gif">
			</td>
		</tr>
		</table>
		</html:form>
</body>
</html>

<script type="text/javascript">
  top.frames["tree"].view("system");
  document.getElementById("div-src").style.height = document.body.clientHeight - 245 + "px";
  document.getElementById("div-dest").style.height = document.body.clientHeight - 245 + "px";
</script>



