<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/pager-taglib.tld" prefix="pg"%>
<%@ page import="com.midtronics.esp.common.*"%>

<html>

<head>
	<title>View System</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
	<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
	<script type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
	<script type="text/javascript" src="../js/add-children.js?v=<bean:write name="APP-VERSION" />"></script>
	
	<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
	<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
	<script type="text/javascript" src="../js/jquery-1.4.js?v=<bean:write name="APP-VERSION" />"></script>
	<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>	
	
	<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>
	
	<script language="javascript"> 
	
	jQuery(document).ready(function($){
	    $('#entitylist').fixedHeaderTable({ 
	    	footer: false, 
	    	autoShow: true, 
	    	altClass: 'odd',
	    	height: document.body.clientHeight - 135
	    });
	});

	
	top.frames['bottom'].location.href='../bottom.jsp'; 
	
	</script>
	
</head>

<body onresize="resizeTable(entitylist,135);">

<span id="objectID" style="display:none"><bean:write
	name="<%=Constant.SystemSessionFlag%>" property="systemID" /></span>
<table height="100%" width="100%">
			<TR height="3%">
			<TD>
			<div id="topnav">
			<div>
				<span id="detailtab"><span><html:link
					page="/system/detail.do">
					<bean:message key="tab.overview" />
				</html:link></span></span> 
				
				<span id="alarmlimittab"><span><html:link
				page="/system/listalarmlimit.do">
				<bean:message key="tab.alarmlimit" />
				</html:link></span></span>
				
				<span id="nodetab" class="selected"><span><html:link
					page="/system/viewnode.do">
					<bean:message key="tab.node" />
				</html:link></span></span> 
				
				<span id="contacttab"><span><html:link
					page="/system/listcontact.do">
					<bean:message key="tab.contact" />
				</html:link></span></span>
				
				<span id="batteryspec"><span><html:link
					page="/batteryspec/getbatteryspeclist.do">
					<bean:message key="tab.specification" />
				</html:link></span></span> 
				
				<span id="warehouse"><span><html:link
					page="/battery/viewbatteries.do">
					<bean:message key="tab.warehouse" />
				</html:link></span></span>  
	
				<span id="hierarchytab">
				<span><html:link page="/system/hierarchy.do">
					<bean:message key="tab.hierarchy" />
				</html:link></span></span> 
				
				<span id="recyclebintab" > <span><html:link
					page="/battery/editrecycledbatteries.do">
					<bean:message key="tab.recycle-bin" />
				</html:link></span></span>
			</div>
			</div>
			</TD>
		</TR>

		<tr height="3%">
		<td>
			<table>
				<tr class="space">
					<td></td>
				</tr>
				<tr>
					<td class="pageName">
					<bean:write
						name="<%=Constant.SystemSessionFlag%>" property="systemName" />&nbsp;
						<bean:message key="tab.node" /></td>
				</tr>
				<tr class="space">
					<td></td>
				</tr>
			</table>
		</td>
	</tr>				
		
	<tr>
		<td valign="top">
		<div style="width:100%;height:100%;overflow:auto;" id="list-div">
		<table width="100%" cellpadding="0" cellspacing="1" class="fancyTable" id="entitylist">
			<thead>
				<tr>
					<th class="tableHead"><bean:message key="overview.tablehead.object-name" /></th>
					<th class="tableHead"><bean:message	key="overview.tablehead.alarms" /></th>
					<th class="tableHead"><bean:message	key="overview.tablehead.warnings" /></th>
					<th class="tableHead"><bean:message	key="overview.tablehead.acknowledged" /></th>
				</tr>
			</thead>

				<logic:present name="<%=Constant.SystemSessionFlag%>" scope="session">
					<logic:iterate id="list" name="<%=Constant.SystemSessionFlag%>"
						property="subNodeList">	
						<bean:define id="alert" name="list"	property="numberOfAlarmAndWarning" />
						<bean:define id="ack" name="list" property="numberOfAcknowledged" />	
						<logic:equal name="alert" value="<%=ack.toString() %>">	
							<tr valign="middle">
								<td>
										<logic:if name="list" property="objectType"	op="equal" value="1">
										<logic:then>
											<logic:switch name="list" property="alarmState">
												<logic:case op="equal" value="0">
													<img src="../images/node_green.bmp">
												</logic:case>
												<logic:case op="equal" value="1">
													<img src="../images/node_yellow.bmp">
												</logic:case>
												<logic:case op="equal" value="2">
													<img src="../images/node_red.bmp">
												</logic:case>
											</logic:switch> 
											
											<html:link page="/node/selectMode.do"
												paramId="select" paramName="list"
												paramProperty="objectID">
												<bean:write name="list" property="objectName" />
											</html:link>
										</logic:then>
										<logic:else>
											<logic:switch name="list" property="alarmState">
												<logic:case op="equal" value="0">
													<img src="../images/site_green.bmp">
												</logic:case>
												<logic:case op="equal" value="1">
													<img src="../images/site_yellow.bmp">
												</logic:case>
												<logic:case op="equal" value="2">
													<img src="../images/site_red.bmp">
												</logic:case>
											</logic:switch> 
											
											<html:link page="/site/selectMode.do"
												paramId="select" paramName="list"
												paramProperty="objectID">
												<bean:write name="list" property="objectName" />
											</html:link>
										</logic:else>
										</logic:if>

								</td>
								<td class="normal"><bean:write name="list"
									property="numberOfAlarm" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfWarning" /></td>
								<td class="normal"><bean:write name="list"
									property="numberOfAcknowledged" /></td>
							</tr>
						</logic:equal>
						
						<logic:notEqual name="alert" value="<%=ack.toString() %>">	
							<tr valign="middle">
								<td>

										<div class="attention_head">
											<logic:if name="list" property="objectType"	op="equal" value="1">
											<logic:then>
												<logic:switch name="list" property="alarmState">
													<logic:case op="equal" value="0">
														<img src="../images/node_green.bmp">
													</logic:case>
													<logic:case op="equal" value="1">
														<img src="../images/node_yellow.bmp">
													</logic:case>
													<logic:case op="equal" value="2">
														<img src="../images/node_red.bmp">
													</logic:case>
												</logic:switch> 
												
												<html:link page="/node/selectMode.do"
													paramId="select" paramName="list"
													paramProperty="objectID">
													<bean:write name="list" property="objectName" />
												</html:link>
											</logic:then>
											<logic:else>
												<logic:switch name="list" property="alarmState">
													<logic:case op="equal" value="0">
														<img src="../images/site_green.bmp">
													</logic:case>
													<logic:case op="equal" value="1">
														<img src="../images/site_yellow.bmp">
													</logic:case>
													<logic:case op="equal" value="2">
														<img src="../images/site_red.bmp">
													</logic:case>
												</logic:switch> 
												
												<html:link page="/site/selectMode.do"
													paramId="select" paramName="list"
													paramProperty="objectID">
													<bean:write name="list" property="objectName" />
												</html:link>
											</logic:else>
											</logic:if>
										</div>

								</td>
								<td class="attention"><bean:write name="list"
									property="numberOfAlarm" /></td>
								<td class="attention"><bean:write name="list"
									property="numberOfWarning" /></td>
								<td class="attention"><bean:write name="list"
									property="numberOfAcknowledged" /></td>
							</tr>
						</logic:notEqual>
					</logic:iterate>
	
				</logic:present>

		</table>
		</div>
		</td>
	</tr>

	<tr height="2%">
		<td>
			<html:button property="addnode" style="width:150px"
				onclick="AddNode()">
				<bean:message key="button.add-node" />
			</html:button>
			<html:button property="addsite" style="width:150px"
				onclick="AddSite()">
				<bean:message key="button.add-site" />
			</html:button>
		</td>
	</tr>
</table>
</body>
</html>

<script type="text/javascript">
  //document.getElementById("list-div").style.height =  document.body.clientHeight - 135;
  top.frames["tree"].view("system");
</script>