var ajaxObj;
function CheckComment(comment)
{
  if (comment.length>0)
  {
    document.getElementById('btnAck').disabled = false;
  }
  else
  {
    document.getElementById('btnAck').disabled = true;
  }
}

function showViewWindow()
{
  var type = 0;
  type = document.getElementById('alarm-type').innerHTML;
  if (type<30)  //data alarm
  {
    document.getElementById('view-popup').style.display = "block";
    document.getElementById('filter').style.display = "";
  }
  else  //bad sensor alarm
  {
    document.getElementById('sensor-alert-popup').style.display = "block";
    document.getElementById('filter').style.display = "";
  }
}

function hideViewWindow()
{
  var type = 0;
  type = document.getElementById('alarm-type').innerHTML;
  if (type<30) //data alarm
  {
    document.getElementById('view-popup').style.display = "none";
    document.getElementById('filter').style.display = "none";
  }
  else  //bad sensor alarm
  {
    document.getElementById('sensor-alert-popup').style.display = "none";
    document.getElementById('filter').style.display = "none";
  }
}

function showAcknowledgeWindow(objectID)
{
  document.getElementById('btnAck').disabled = true;
  document.getElementById('description').value = "";
  document.getElementById('alarm-id').innerHTML = objectID;
  document.getElementById('acknowledge-popup').style.display = "block";
  document.getElementById('filter').style.display = "block";
  document.getElementById('description').focus();
}

function hideAcknowledgeWindow()
{
  document.getElementById('alarm-id').innerHtml = "";
  document.getElementById('acknowledge-popup').style.display = "none";
  document.getElementById('filter').style.display = "none";
}

function createRequestObject()
{
  var request_o; 
  var browser = navigator.appName; 
  if(browser == "Microsoft Internet Explorer")
  {
    request_o = new ActiveXObject("Microsoft.XMLHTTP");
  }
  else
  {
    request_o = new XMLHttpRequest();
  }
  return request_o; 
}

function viewAlarmReady()
{
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
             var result = ajaxObj.responseText;
             analyzeView(result, objectID);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
}

function viewAlarm(objectID, type)
{
  document.getElementById('alarm-id').innerHTML = objectID;
  document.getElementById('alarm-type').innerHTML = type;
  
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  var url = document.getElementById("root").innerHTML+ '/alarm/viewalarm.do';
  var para = 'a=' + objectID;
  ajaxObj.open('POST', url, true);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
  ajaxObj.onreadystatechange = viewAlarmReady; 
  ajaxObj.send(para);
}

function analyzeView(result, objectID)
{
  var right = 0;
  right = result;
  if (result=='-1')
  {
    alert(document.getElementById('system-error').innerHTML);
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../relogon.do";
  }
  else
  {
	//alert(result.replace(/`/g,"\\\'"));
    eval(result.replace(/`/g,"\\\'"));
    showViewWindow();
  }
}

function acknowledge()
{
  var objectID = document.getElementById("alarm-id").innerHTML;
  var description = document.getElementById("description").value;
  if (description==''){ return; }
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  var url = document.getElementById("root").innerHTML+ '/alarm/acknowledge.do';
  var post = 'a=' + objectID + '&d=' + description;
  
  ajaxObj.open('POST', url, true);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');    
  
  ajaxObj.onreadystatechange = function() 
  {
      if(ajaxObj.readyState == 4) 
      {
          if(ajaxObj.status == 200)
          {
            var result = ajaxObj.responseText;
            analyze(result, objectID);
          }
          else
          {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
          }
      }
  };
  ajaxObj.send(post);
}

function analyze(result, objectID)
{
  var right = 0;
  right = result;
  var description = document.getElementById("description").value;
  if (result=='-1')
  {
    alert(document.getElementById('system-error').innerHTML);
  }
  else if(result=='-2')
  {
    alert(document.getElementById('invalid-parameter').innerHTML);
  }
  else if(result=='-3')
  {
    alert(document.getElementById('need-login').innerHTML);
    top.location.href = "../logon.jsp";
  }
  else
  {
    var tmp = result.split("`");
    time = tmp[0];
    user = tmp[1];
    document.getElementById('button-' + objectID).style.display = 'none';
    document.getElementById('span-' + objectID).style.display = '';
    document.getElementById('description-' + objectID).innerHTML = document.getElementById('description-' + objectID).innerHTML + description;     
    document.getElementById('time-' + objectID).innerHTML = time;     
    document.getElementById('ack-user-' + objectID).innerHTML = user;     
    hideAcknowledgeWindow();
  }
}

//-----------------------------view trend------------------------
function viewTrend(objectID, itemID)
{
  if (ajaxObj==null)
  {
    ajaxObj = createRequestObject();
  }
  var url = document.getElementById("root").innerHTML + '/listmeasurement.do';
  para = 'o=' + objectID;
  para = para + '&i=' + itemID;
  
  ajaxObj.open('POST', url, true);
  ajaxObj.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
  ajaxObj.onreadystatechange = viewTrendReady; 
  ajaxObj.send(para);
  document.getElementById("item").innerHTML = itemID;  
  document.getElementById("object").innerHTML = objectID;  
}


function viewTrendReady()
{
	if(ajaxObj.readyState == 4) 
	{
	    if(ajaxObj.status == 200)
	    {
	       var result = ajaxObj.responseText;
			var rightnow = new Date();
			document.getElementById('trend').src = ""; 
			var src = document.getElementById("root").innerHTML + 
			   '/getmeasurementline.do?w=800&h=320&fn=yes' + 
			   '&o=' + document.getElementById("object").innerHTML + 	       
			   '&ts=' + rightnow.getTime();	       

			document.getElementById('trend').src = src; 
			document.getElementById('trend').style.width = '800px'; 
	       
		    document.getElementById('trend-popup').style.display = "block";
            document.getElementById('filter').style.display = "";
	    }
	    else
	    {
            if (ajaxObj.status == 0)
            {
	          alert(document.getElementById('request-error').innerHTML + "\n\r" 
	             + document.getElementById('celltraq-not-running').innerHTML);
	        }
	    }
	}
}


function hideTrendWindow()
{
    document.getElementById('trend-popup').style.display = "none";
    document.getElementById('filter').style.display = "none";
}

