function ExpandingWindow() 
{
  var rptype = document.getElementById('rptype').innerHTML; 

  console.log('rptype: '+rptype);
  var website = '';   
  if(rptype == 7 || rptype == 8) 
  {
     website = '../report/getreport.pdf?rptype=' + rptype 
     	+ '&msg=' + document.getElementById('came-from').innerHTML
     	+ '&s=' + document.getElementById('startTime').value
     	+ '&e=' + document.getElementById('endTime').value;
  }
  else if(rptype == 9 || rptype == 24) //Create report
  {
  	 var chartDisplayed =  document.getElementById('chartdisplayed').innerHTML;
     website = '../report/getreport.pdf?rptype=' + rptype 
     	+ '&chartdisplayed=' + chartDisplayed
     	+ '&id=' + getGraphID()
     	+ '&view=' + document.getElementById('view').value;
  }
  else if(rptype == 25)  // compare batteries
  {
	 website = '../report/getreport.pdf?rptype=' + rptype 
	     	+ '&selectedDate=' + document.getElementById('selectedDate').value
	     	+ '&item=' + document.getElementById('itemID').value;	  
  }
  else if(rptype == 11)
  {
  	 var chartDisplayed =  document.getElementById('chartdisplayed').innerHTML; 
  	 var batteryorstring =  document.getElementById('batteryorstring').innerHTML; 	 
     website = '../report/getreport.pdf?rptype=' + rptype + 
     '&showchart=' + chartDisplayed + 
     '&level=' + batteryorstring;
  }
  else if(rptype == 12)
  {
  	 var chartDisplayed =  document.getElementById('chartdisplayed').innerHTML;  	 
  	 var batteryorstring =  document.getElementById('batteryorstring').innerHTML; 	 
  	 var startDate = document.getElementById('start-date').innerHTML; 	 
  	 var endDate = document.getElementById('end-date').innerHTML; 	 
     website = '../report/getreport.pdf?rptype=' + rptype + 
     	'&showchart=' + chartDisplayed +
     	'&level=' + batteryorstring +
     	'&start=' + startDate +
     	'&end=' + endDate;
  }
  else if(rptype == 13)
  {
  	 var level =  document.getElementById('level').innerHTML; 
  	 var batteryorstring =  document.getElementById('batteryorstring').innerHTML; 	 
     website = '../report/getreport.pdf?rptype=' + rptype + '&level=' + level + '&batteryorstring=' + batteryorstring;
  }
  else if(rptype == 14 || rptype == 21)
  {
     website = '../report/getreport.pdf?rptype=' + rptype
     	+ '&s=' + document.getElementById('startTime').value
     	+ '&e=' + document.getElementById('endTime').value;
  }
  else if(rptype == 15) //degradation report
  {
     website = '../report/getreport.pdf?rptype=' + rptype
     	+ '&percent=' + document.getElementById('degradation').value;
  }
  else if(rptype == 16) //report by spec
  {
     website = '../report/getreport.pdf?rptype=' + rptype;
  }
  else if(rptype == 18) //import report
  {
     website = '../report/getreport.pdf?rptype=' + rptype;
  }
  else if(rptype == 22) //general report
  {
     website = '../report/getreport.pdf?rptype=' + rptype;
  }
  else if(rptype == 23) // generate discharge line graph
  {
	  var objBatch =  document.getElementById('batchID'); 
	  
	  if(objBatch == null) {
		  alert("No Discharge Event Found!");
		  return;
	  }
	  	  
	  var index = objBatch.selectedIndex;
	  var batchId = objBatch.options[index].value;
	  var objectId =  document.getElementById('objectID').innerHTML; 
	  var objectType = document.getElementById('objectType').value;

	  
	  if(objectType == "string") {
		  var combinedJarVoltageChk = document.getElementById('combinedJarVoltageChk').checked;
		  var stringVoltageChk = document.getElementById('stringVoltageChk').checked;
		  var stringCurrentChk = document.getElementById('stringCurrentChk').checked;
		  var dischargeGraphChk = document.getElementById('dischargeGraphChk').checked;
		  
		  website = '../report/getreport.pdf?rptype=' + rptype + 
	   		'&batchId=' + batchId +
	   		'&objectId=' + objectId +
	   		'&objectType=' + objectType +
	   		'&combinedJarVoltageChk=' + combinedJarVoltageChk +
	   		'&stringVoltageChk=' + stringVoltageChk +
	   		'&stringCurrentChk=' + stringCurrentChk +
	   		'&dischargeGraphChk=' + dischargeGraphChk;
	  } else {
		  var batteryVoltageChk = document.getElementById('batteryVoltageChk').checked;
		  var temperatureChk = document.getElementById('temperatureChk').checked;
		  
		  website = '../report/getreport.pdf?rptype=' + rptype + 
	   		'&batchId=' + batchId +
	   		'&objectId=' + objectId +
	   		'&objectType=' + objectType +
	   		'&batteryVoltageChk=' + batteryVoltageChk +
	   		'&temperatureChk=' + temperatureChk;		  
	  }
  }
  else
  {
     var website = '../report/getreport.pdf?rptype=' + rptype;
  }
     
  
  
  var winwidth = window.screen.availWidth;
  var winheight = window.screen.availHeight;
  document.location.href = website;
} 

function ViewActiveAlertPdfReport()
{
	var level =  document.getElementById('level').innerHTML; 
	var batteryorstring =  "";
	var website = "";
	if(document.getElementById('radio-battery').checked)
	{
		website = '../report/getreport.pdf?rptype=13&level=' + level + '&type=battery';
	}
	else
	{
		website = '../report/getreport.pdf?rptype=13&level=' + level + '&type=string';
	}
    var winwidth = window.screen.availWidth;
    var winheight = window.screen.availHeight;
    var sizer = window.open(website,'','left=0,top=0,toolbar=no,width='+ (winwidth-8) + ',height='+ (winheight-30) + ',scrollbars=yes,status=yes');  
}