<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/midtronics.tld" prefix="midtag"%>

<%@ page import="com.midtronics.esp.common.*"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<!--  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">-->

<title>Celltraq - Logon</title>
<link rel="stylesheet" type="text/css" href="css/system.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="css/c.css?v=<bean:write name="APP-VERSION" />">
<link rel="shortcut icon" href="images/celltraq.ico" >
<script type="text/javascript" src="js/password.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="js/timezone.js?v=<bean:write name="APP-VERSION" />"></script>

<script language="javascript">
function verifyInfo()
{   
   var s = document.getElementById('password').value;     
   return verifyPassword(s); 
}
</script>

</head>
<body onload="calculate_time_zone();">
<span id="password-required" style="display:none"><bean:message key="error.logon.password-required"/></span>
<span id="password-too-long" style="display:none"><bean:message key="error.logon.password-too-long"/></span>
<span id="password-with-space" style="display:none"><bean:message key="error.logon.password-with-space"/></span>

<Script LANGUAGE="JavaScript"> 
	if(self!=top){top.location=self.location;} 
</script>

<table height="100%" width="100%" cellspacing="0" cellpadding="0">
	<tr height="72px">
		<td>
			<div id="banner-div" style="width:100%;border:none;overflow:hidden;background:url('images/Banner-right.jpg') repeat-x">
				<img id="P3Banner" src="images/P3Banner.jpg">
				<logic:present name="<%=Constant.LoginUserIDFlag%>" scope="session">
					<logic:if name="<%=Constant.LoginUserIDFlag%>" scope="session" op="equal" value="">
						<logic:then>
							<span id="ok" style="display:none;">0</span>
						</logic:then>
						<logic:else>
							<span id="ok" style="display:none;">1</span>
						</logic:else>
					</logic:if>
				</logic:present>
				<logic:notPresent name="<%=Constant.LoginUserIDFlag%>" scope="session">
					<span id="ok" style="display:none;">0</span>
				</logic:notPresent>
			</div>			
		</td>
	</tr>

	<tr align="center">
		<td>
		<table>
			<tr>
				<td colspan="3" class="pageName" style="text-align:center" valign="middle">
					<bean:message key="pageinf.user-login" />
					<br /><br /><br />
				</td>
			</tr>
			<tr>
				<td rowspan="5" style="text-align:right">
					<img id="login_icon" src= "images/login_icon.jpg">
				</td>
				<td align="center" valign="middle">
					<div style="margin: 3px">
					<!-- Celltraq sign-on form  -->
					<html:form action="/logon.do" method="post">
						<table style="margin-left:auto; margin-right:auto; border-collapse: separate; border-spacing: 0 5px;" >
							<tr >
								<td align="right" style="width:85px"><b><bean:message key="pageinf.user-name"/>&nbsp;:&nbsp;&nbsp;&nbsp;</b></td>
								<td style="width:210px" ><html:text property="userNumber" style="width:200px" styleId="user_name"/></td>
							</tr>
							<tr>
								<td align="right"><b><bean:message key="pageinf.password"/>&nbsp;:&nbsp;&nbsp;&nbsp;</b></td>
								<td ><html:password property="password" style="width:200px" styleId="password"/></td>
							</tr>
							<tr>
								<td align="right"><b><bean:message key="pageinf.timezone"/>&nbsp;:&nbsp;&nbsp;&nbsp;</b></td>
								<td>
									<select style="width:200px" name="timezone" id="timezone">
										<option value='-12:00'>(-12:00) International Date Line West</option>
										<option value='-11:00'>(-11:00) Midway Island, Samoa</option>
										<option value='-10:00'>(-10:00) Hawaii</option>
										<option value='-09:00,1'>(-09:00) Alaska</option>
										<option value='-08:00,1'>(-08:00) Pacific Time (US &amp; Canada)</option>
										<option value='-07:00'>(-07:00) Arizona</option>
										<option value='-07:00,1'>(-07:00) Mountain Time (US &amp; Canada)</option>
										<option value='-06:00'>(-06:00) Central America, Saskatchewan</option>
										<option value='-06:00,1'>(-06:00) Central Time (US &amp; Canada), Guadalajara, Mexico city</option>
										<option value='-05:00'>(-05:00) Indiana, Bogota, Lima, Quito, Rio Branco</option>
										<option value='-05:00,1'>(-05:00) Eastern time (US &amp; Canada)</option>
										<option value='-04:00,1'>(-04:00) Atlantic time (Canada), Manaus, Santiago</option>
										<option value='-04:00'>(-04:00) Caracas, La Paz</option>
										<option value='-03:30,1'>(-03:30) Newfoundland</option>
										<option value='-03:00,1'>(-03:00) Greenland, Brasilia, Montevideo</option>
										<option value='-03:00'>(-03:00) Buenos Aires, Georgetown</option>
										<option value='-02:00,1'>(-02:00) Mid-Atlantic</option>
										<option value='-01:00,1'>(-01:00) Azores</option>
										<option value='-01:00'>(-01:00) Cape Verde Is.</option>
										<option value='00:00'>(00:00) Casablanca, Monrovia, Reykjavik</option>
										<option value='00:00,1'>(00:00) GMT: Dublin, Edinburgh, Lisbon, London</option>
										<option value='+01:00,1'>(+01:00) Amsterdam, Berlin, Rome, Vienna, Prague, Brussels</option>
										<option value='+01:00'>(+01:00) West Central Africa</option>
										<option value='+02:00,1'>(+02:00) Amman, Athens, Istanbul, Beirut, Cairo, Jerusalem</option>
										<option value='+02:00'>(+02:00) Harare, Pretoria</option>
										<option value='+03:00,1'>(+03:00) Baghdad, Moscow, St. Petersburg, Volgograd</option>
										<option value='+03:00'>(+03:00) Kuwait, Riyadh, Nairobi, Tbilisi</option>
										<option value='+03:30'>(+03:30) Tehran</option>
										<option value='+04:00'>(+04:00) Abu Dhadi, Muscat</option>
										<option value='+04:00,1'>(+04:00) Baku, Yerevan</option>
										<option value='+04:30'>(+04:30) Kabul</option>
										<option value='+05:00,1'>(+05:00) Ekaterinburg</option>
										<option value='+05:00'>(+05:00) Islamabad, Karachi, Tashkent</option>
										<option value='+05:30'>(+05:30) Chennai, Kolkata, Mumbai, New Delhi, Sri Jayawardenepura</option>
										<option value='+05:45'>(+05:45) Kathmandu</option>
										<option value='+06:00'>(+06:00) Astana, Dhaka</option>
										<option value='+06:00,1'>(+06:00) Almaty, Nonosibirsk</option>
										<option value='+06:30'>(+06:30) Yangon (Rangoon)</option>
										<option value='+07:00,1'>(+07:00) Krasnoyarsk</option>
										<option value='+07:00'>(+07:00) Bangkok, Hanoi, Jakarta</option>
										<option value='+08:00'>(+08:00) Beijing, Hong Kong, Singapore, Taipei</option>
										<option value='+08:00,1'>(+08:00) Irkutsk, Ulaan Bataar, Perth</option>
										<option value='+09:00,1'>(+09:00) Yakutsk</option>
										<option value='+09:00'>(+09:00) Seoul, Osaka, Sapporo, Tokyo</option>
										<option value='+09:30'>(+09:30) Darwin</option>
										<option value='+09:30,1'>(+09:30) Adelaide</option>
										<option value='+10:00'>(+10:00) Brisbane, Guam, Port Moresby</option>
										<option value='+10:00,1'>(+10:00) Canberra, Melbourne, Sydney, Hobart, Vladivostok</option>
										<option value='+11:00'>(+11:00) Magadan, Solomon Is., New Caledonia</option>
										<option value='+12:00,1'>(+12:00) Auckland, Wellington</option>
										<option value='+12:00'>(+12:00) Fiji, Kamchatka, Marshall Is.</option>
										<option value='+13:00'>(+13:00) Nuku'alofa</option>
									</select>
								</td>
							</tr>
							<tr>
							    <td></td>				
								<td >
									<html:submit
										onclick="return verifyInfo();return false" style="width:98px">
										<bean:message key="button.login" />
									</html:submit> 
									<html:button property="exit" style="width:98px"
										onclick="self.close();">
										<bean:message key="button.cancel" />
									</html:button>
								</td>
							</tr>
							<tr valign="middle">
							    <td></td>				
								<td align="left" style="width:210px">
									<b>
									<html:errors />
									<font color="red"> <html:messages id="message" message="true">
										<bean:write name="message" />
									</html:messages> </font> </b>
								</td>
							</tr>
					</table>
				</html:form>
	            </div>
				<br />
				<div style="margin: 3px">
				<logic:equal name="is-celltraq-net" value="true">
				</logic:equal>
				<logic:equal name="is-celltraq-net" value="false">
					<!-- Single sign-on form  -->
					<html:form method="post" action="/singlelogon.do?j_negotiate_check">
						<table style="margin-left:auot; margin-right:auto">
							<tr>
								<td style="width:85px"></td>
								<td style="width:210px" align="center">
										<div id="headingWithLines" align="center">
											<h3><span>OR</span></h3>
										</div>
								</td>
							</tr>
							<tr>
								<td style="width:85px"></td>
								<td style="width:210px">
									<!-- time zone is required for Celltraq to function, make it a hidden field and the time zero is picked by user location -->
									<select style="width: 200px; display: none" name="hiddentimezone" id="hiddentimezone">
										<option value='-12:00'>(-12:00) International Date Line West</option>
										<option value='-11:00'>(-11:00) Midway Island, Samoa</option>
										<option value='-10:00'>(-10:00) Hawaii</option>
										<option value='-09:00,1'>(-09:00) Alaska</option>
										<option value='-08:00,1'>(-08:00) Pacific Time (US &amp; Canada)</option>
										<option value='-07:00'>(-07:00) Arizona</option>
										<option value='-07:00,1'>(-07:00) Mountain Time (US &amp; Canada)</option>
										<option value='-06:00'>(-06:00) Central America, Saskatchewan</option>
										<option value='-06:00,1'>(-06:00) Central Time (US &amp; Canada), Guadalajara, Mexico city</option>
										<option value='-05:00'>(-05:00) Indiana, Bogota, Lima, Quito, Rio Branco</option>
										<option value='-05:00,1'>(-05:00) Eastern time (US &amp; Canada)</option>
										<option value='-04:00,1'>(-04:00) Atlantic time (Canada), Manaus, Santiago</option>
										<option value='-04:00'>(-04:00) Caracas, La Paz</option>
										<option value='-03:30,1'>(-03:30) Newfoundland</option>
										<option value='-03:00,1'>(-03:00) Greenland, Brasilia, Montevideo</option>
										<option value='-03:00'>(-03:00) Buenos Aires, Georgetown</option>
										<option value='-02:00,1'>(-02:00) Mid-Atlantic</option>
										<option value='-01:00,1'>(-01:00) Azores</option>
										<option value='-01:00'>(-01:00) Cape Verde Is.</option>
										<option value='00:00'>(00:00) Casablanca, Monrovia, Reykjavik</option>
										<option value='00:00,1'>(00:00) GMT: Dublin, Edinburgh, Lisbon, London</option>
										<option value='+01:00,1'>(+01:00) Amsterdam, Berlin, Rome, Vienna, Prague, Brussels</option>
										<option value='+01:00'>(+01:00) West Central Africa</option>
										<option value='+02:00,1'>(+02:00) Amman, Athens, Istanbul, Beirut, Cairo, Jerusalem</option>
										<option value='+02:00'>(+02:00) Harare, Pretoria</option>
										<option value='+03:00,1'>(+03:00) Baghdad, Moscow, St. Petersburg, Volgograd</option>
										<option value='+03:00'>(+03:00) Kuwait, Riyadh, Nairobi, Tbilisi</option>
										<option value='+03:30'>(+03:30) Tehran</option>
										<option value='+04:00'>(+04:00) Abu Dhadi, Muscat</option>
										<option value='+04:00,1'>(+04:00) Baku, Yerevan</option>
										<option value='+04:30'>(+04:30) Kabul</option>
										<option value='+05:00,1'>(+05:00) Ekaterinburg</option>
										<option value='+05:00'>(+05:00) Islamabad, Karachi, Tashkent</option>
										<option value='+05:30'>(+05:30) Chennai, Kolkata, Mumbai, New Delhi, Sri Jayawardenepura</option>
										<option value='+05:45'>(+05:45) Kathmandu</option>
										<option value='+06:00'>(+06:00) Astana, Dhaka</option>
										<option value='+06:00,1'>(+06:00) Almaty, Nonosibirsk</option>
										<option value='+06:30'>(+06:30) Yangon (Rangoon)</option>
										<option value='+07:00,1'>(+07:00) Krasnoyarsk</option>
										<option value='+07:00'>(+07:00) Bangkok, Hanoi, Jakarta</option>
										<option value='+08:00'>(+08:00) Beijing, Hong Kong, Singapore, Taipei</option>
										<option value='+08:00,1'>(+08:00) Irkutsk, Ulaan Bataar, Perth</option>
										<option value='+09:00,1'>(+09:00) Yakutsk</option>
										<option value='+09:00'>(+09:00) Seoul, Osaka, Sapporo, Tokyo</option>
										<option value='+09:30'>(+09:30) Darwin</option>
										<option value='+09:30,1'>(+09:30) Adelaide</option>
										<option value='+10:00'>(+10:00) Brisbane, Guam, Port Moresby</option>
										<option value='+10:00,1'>(+10:00) Canberra, Melbourne, Sydney, Hobart, Vladivostok</option>
										<option value='+11:00'>(+11:00) Magadan, Solomon Is., New Caledonia</option>
										<option value='+12:00,1'>(+12:00) Auckland, Wellington</option>
										<option value='+12:00'>(+12:00) Fiji, Kamchatka, Marshall Is.</option>
										<option value='+13:00'>(+13:00) Nuku'alofa</option>				
									</select> 
								</td>
							</tr>
							<tr>
								<td style="width:85px"></td>
								<td style="width:210px">
									<input type="submit" name="loginbutton" value="Login with Windows Credentials" />
								</td>
							</tr>
						</table>
					</html:form>
					</logic:equal>
				</div>
			</td>
		</tr>
	</table>
	</td>
	</tr>
</table>




</body>

<script language="javascript">
function ExpandingWindow(website) 
{
  var winwidth = window.screen.availWidth;
  var winheight = window.screen.availheight;
  var sizer = window.open(website,'','left=0,top=0,toolbar=no,width='+ (winwidth-8) + ',height='+ (winheight-30) + ',scrollbars=yes,status=yes');  
}
if(document.getElementById('ok').innerHTML=='1')
{
  ExpandingWindow('./buildtree.do');
  document.all.WebBrowser.ExecWB(45,1); 
}

var imgBanner = document.getElementById("P3Banner");
imgBanner.onerror = function () { 
    this.style.display = "none";
}

var imgLogin = document.getElementById("login_icon");
imgLogin.onerror = function () { 
    this.style.display = "none";
}
document.getElementById('user_name').focus();

document.getElementById("banner-div").style.width = document.body.clientWidth;
</script>
</html>
