<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//Dtd HTML 4.01 Transitional//EN">

<%@ page import="com.midtronics.esp.common.*"%>

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<script type="text/javascript" src="../js/access-control.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">

<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<script type="text/javascript" src="../js/jquery-1.4.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>	

<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>

<script language="javascript">

jQuery(document).ready(function($){
    $('#userlist').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd'
    });
});	

</script>

</head>

<body onresize="resizeTable(userlist);" >

<span id="selectedUserID" style="display:none"></span>
<span id="no-user-selected" style="display:none"><bean:message key="common.no-user-selected" /></span>
<span id="objectID" style="display:none"><bean:write name="<%=Constant.NodeSessionFlag%>" property="nodeID" /></span>
<span id="root" style="display:none"><%=request.getContextPath()%></span>
<span id="invalid-parameter" style="display:none"><bean:message key="common.invalid-parameter" /></span>
<span id="system-error" style="display:none"><bean:message key="common.system-error" /></span>
<span id="request-error" style="display:none"><bean:message key="common.request-error" /></span>
<span id="need-login" style="display:none"><bean:message key="common.need-login" /></span>
<span id="celltraq-not-running" style="display:none"><bean:message key="error.celltraq-not-running" /></span>

<table height="100%" width="100%">
	<tr height="3%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName">
					<bean:message key="pagename.node" />&nbsp;
					<bean:message key="pagename.access" />
				</td>
			</tr>
			<tr class="space">
				<td></td>
			</tr>
		</table>
		</td>
	</tr>		

	<tr valign="top">
		<td>
		<table width="100%" cellpadding="0" cellspacing="0" class="fancyTable" id="userlist">
		<thead>
			<tr>
				<th class="tableHead"><bean:message key="access-control.tablehead.full-name" /></th>
				<th class="tableHead"><bean:message key="access-control.tablehead.user-name" /></th>
				<th class="tableHead"><bean:message key="access-control.tablehead.view" /></th>
				<th class="tableHead"><bean:message key="access-control.tablehead.configure" /></th>
				<th class="tableHead"><bean:message key="access-control.tablehead.measurements" /></th>
				<th class="tableHead"><bean:message key="access-control.tablehead.alert-limits" /></th>
				<th class="tableHead"><bean:message key="access-control.tablehead.acknowledge" /></th>
			</tr>
		</thead>
			<logic:present name="<%=Constant.NodeSessionFlag%>" scope="session">
				<logic:iterate id="acl" name="<%=Constant.NodeSessionFlag%>" property="accessControlList">
					<tr>
					<td class="normal"><bean:write name="acl" property="userName" /></td>
						<td class="normal"><bean:write name="acl" property="userNumber" /></td>
						<td class="normal">
							<logic:equal name="acl" property="read" value="true">
								<bean:message key="common.true" />
							</logic:equal> 
							<logic:notEqual name="acl" property="read"
								value="true">&nbsp;
							</logic:notEqual>
						</td>
						
						<td class="normal">
							<logic:equal name="acl" property="configure" value="true">
								<bean:message key="common.true" />
							</logic:equal> 
							<logic:notEqual name="acl" property="configure"	value="true">&nbsp;
							</logic:notEqual>
						</td>

						<td class="normal">
							<logic:equal name="acl" property="measure" value="true">
								<bean:message key="common.true" />
							</logic:equal> 
							<logic:notEqual name="acl" property="measure" value="true">&nbsp;
							</logic:notEqual>
						</td>
						
						<td class="normal">
							<logic:equal name="acl" property="alarmSetting"	value="true">
								<bean:message key="common.true" />
							</logic:equal> 
							<logic:notEqual name="acl" property="alarmSetting"	value="true">&nbsp;
							</logic:notEqual>
						</td>
						<td class="normal">
							<logic:equal name="acl" property="alarmAcknowledge" value="true">
								<bean:message key="common.true" />
							</logic:equal> 
							<logic:notEqual name="acl" property="alarmAcknowledge" value="true">&nbsp;
							</logic:notEqual>
						</td>
					</tr>
				</logic:iterate>
			</logic:present>
		</table>
		</td>
	</tr>

	<tr height="48%" valign="top">
		<td><html:form action="/node/updateacl.do">
			<table cellpadding="0" cellspacing="1" class="information" width="100%">				
				<tr class="footer_head">
					<td class="domainname">
						<bean:message key="pageinf.set-access-control" /></td>
				</tr>
				<tr>
					<td>
					<table>
						<tr height="25px">
							<td><b><bean:message key="pageinf.choose-user" />:</b></td>
							<td></td>
							<td><b><bean:message key="pageinf.choose-access" />:</b></td>
						</tr>
						<tr height="205px">
							<td>
								<div style="width:250px;height:200px;overflow:scroll;">
								<table width="100%">
									<logic:present name="<%=Constant.SimpleUserListFlag%>" scope="session">
										<logic:iterate id="userList"
											name="<%=Constant.SimpleUserListFlag%>" property="userList">
											<bean:define id="value" name="userList" property="userID" />
											<tr>
												<td>
												<input type="radio" name="userID" id="userID-<%=value%>" value="<%=value%>"
													onclick="getAcl(this.value);"/><bean:write name="userList"
													property="userName" />
												</td>
											</tr>
										</logic:iterate>
									</logic:present>
								</table>
								</div>
							</td>
							
							<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							
							<td>					
							<table>
								<tr>
									<td valign="top"><html:checkbox property="read" styleId="read">
										<bean:message key="access.read" />
									</html:checkbox> <br>
									<html:checkbox property="configure" styleId="configure">
										<bean:message key="access.configure" />
									</html:checkbox> <br>
									<html:checkbox property="measure" styleId="measure">
										<bean:message key="access.measure" />
									</html:checkbox><br>
									<html:checkbox property="alarmSetting" styleId="alarmSetting">
										<bean:message key="access.alarmsetting" />
									</html:checkbox> <br>
									<html:checkbox property="alarmAcknowledge" styleId="alarmAcknowledge">
										<bean:message key="access.alarmacknowledge" />
									</html:checkbox> <br>
									</td>
								</tr>
							</table>							
							</td>
						</tr>
					</table>
					</td>
				</tr>

				<tr>
					<td>
						<html:submit onclick="return checkNULL();" style="width:100px">
							<bean:message key="button.save" />
						</html:submit>
						<html:messages header="" id="msg" message="true">
							<bean:write name="msg" />
						</html:messages>
					</td>
				</tr>
			</table>
		</html:form></td>
	</tr>
</table>
</body>
</html>
