<%@page import="com.midtronics.esp.action.report.*"%>
<%@page import="com.midtronics.esp.common.*"%>
<%@page import="com.midtronics.esp.model.location.*"%>
<%@page import="com.midtronics.esp.model.string.*"%>
<%@page import="com.midtronics.esp.model.measurement.*"%>
<%@page import="com.midtronics.esp.model.alarm.*"%>
<%@page import="java.io.OutputStream"%>
<%@page import="java.util.*"%>
<%
	response.reset();

	String attachment = "attachment; filename=data.xlsx";
	response.addHeader("content-disposition", attachment);

	String type = request.getParameter("t");
	IExcelReport report = null;
	String id = (String) request.getSession().getAttribute(
			Constant.CurrentObjectIDSessionFlag);
	String userId = (String) request.getSession().getAttribute(
			Constant.LoginUserIDFlag);	
	String parameter = "";
	HashMap parameters = new HashMap();
	if (type.equals("object")) {
		report = new ObjectExcelReport();
		if (id == null) {
			id = "";
		}
		report.LoadData(id);
	}
	if (type.equals("siteGeneral")) {
		report = new SiteGeneralExcelReport();
		report.LoadData(userId);
	}	
	if (type.equals("string")) {
		report = new StringExcelReport();
		if (id == null) {
			id = "";
		}
		report.CopyData(((StringBean) session
				.getAttribute(Constant.StringSessionFlag))
				.getLocationList());
	} else if (type.equals("battery")) {
		report = new BatteryOverviewExcelReport();
		LocationBean location = (LocationBean) request.getSession()
				.getAttribute(Constant.LocationSessionFlag);
		report.CopyData(location.getLastMesaurement());
	} else if (type.equals("measurement")) {
		report = new MeasurementExcelReport();
		ArrayList list = ((MeasurementBean) request.getSession()
				.getAttribute(Constant.MeasurementListSessionFlag))
				.getMeasurementList();
		MeasurementBean measurement = (MeasurementBean) session
				.getAttribute(Constant.MeasurementListSessionFlag2);
		if (measurement != null) {
			list.addAll(measurement.getMeasurementList());
		}
		report.CopyData(list);
	} else if (type.equals("measurement-discharge")) {
		parameter = ((DischargeMeasurementBean) request.getSession()
				.getAttribute(Constant.DischargeBeanSessionFlag))
				.getUnit();
		report = new MeasurementDischargeExcelReport();
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.FinalDischargeBeanSessionFlag));
	} else if (type.equals("jar-measurement-discharge")) {
		parameter = "Vdc";
		report = new JarMeasurementDischargeExcelReport();
		report.CopyData((ArrayList) request.getSession().getAttribute("STRING_BATTERY_DISCHARGE_DATA"));
	} else if (type.equals("stringbatterymeasurement")) {
		parameters.put("item-id-1", (String) session
				.getAttribute(Constant.MeasurementItemIDSessionFlag));
		parameters.put("item-id-2", (String) session
				.getAttribute(Constant.MeasurementItemIDSessionFlag2));
		report = new StringBatteryMeasurementExcelReport(parameters);
		report.CopyData(((ArrayList) request.getSession().getAttribute(
				Constant.StringBatteryMeasurementListSessionFlag)));
	} else if (type.equals("sitealertreport")) {
		report = new AlertExcelReport();
		report.CopyData(((SiteAlarmBean) request.getSession()
				.getAttribute(Constant.SiteAlertReportDataFlag))
				.getAlarmList());
		parameter = "["
				+ session
						.getAttribute(Constant.CurrentObjectTypeSessionFlag)
				+ "]"
				+ "["
				+ session
						.getAttribute(Constant.SiteAlertReportLevelFlag)
				+ "]";
	} else if (type.equals("specreport")) {
		parameters.put("type", (String) request.getParameter("p"));
		report = new SpecExcelReport(parameters);
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.ReportDataBySpec));
	} else if (type.equals("degradationreport")) {
		report = new DegradationExcelReport();
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.DegradationReportDataFlag));
	} else if (type.equals("importreport")) {
		report = new ImportExcelReport();
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.ImportReportDataFlag));
	} else if (type.equals("stringhealthreport")) {
		System.out.print(session.getAttribute(Constant.StringHealthReportHeaderEntityColumnFlag));
		int entityColumns = ((ArrayList)session.getAttribute(Constant.StringHealthReportHeaderEntityColumnFlag)).size();
		int alertColumns = ((ArrayList)session.getAttribute(Constant.StringHealthReportHeaderMeasurementColumnFlag)).size();
		ArrayList alertHeaderColumn = (ArrayList)session.getAttribute(Constant.StringHealthReportHeaderMeasurementColumnFlag);
		parameters.put("entity-columns", Integer.toString(entityColumns));
		parameters.put("alert-columns", Integer.toString(alertColumns));
		parameters.put("measurement-header-column", alertHeaderColumn);
		report = new StringHealthExcelReport(parameters);
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.StringHealthReportDataFlag));
	} else if (type.equals("batteryanalysisreport")) {
		System.out.print(session.getAttribute(Constant.BatteryAnalysisReportHeaderEntityColumnFlag));
		int entityColumns = ((ArrayList)session.getAttribute(Constant.BatteryAnalysisReportHeaderEntityColumnFlag)).size();
		parameters.put("entity-columns", Integer.toString(entityColumns));
		report = new BatteryAnalysisExcelReport(parameters);
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.BatteryAnalysisReportDataFlag));
	} else if (type.equals("recyclebinreport")) {
		report = new RecycleBinExcelReport();
		report.CopyData((ArrayList) request.getSession().getAttribute(
				Constant.RecycleBinSessionFlag));
	} else if (type.equals("currentalertcomparison")) {
		report = new CurrentAlertComparisonExcelReport();
		parameter = request.getParameter("p");
		String[] pList = parameter.split(",");

		if (pList[1].equalsIgnoreCase("battery")) { //battery
			report.CopyData(((ArrayList) request.getSession()
					.getAttribute(Constant.BatteryReportSessionFlag)));
		} else { //string
			report.CopyData(((ArrayList) request.getSession()
					.getAttribute(Constant.StringReportSessionFlag)));
		}
		//level parameter
		parameter = pList[0];
	} else if (type.equals("historyalertcomparison")) {
		report = new HistoryAlertComparisonExcelReport();
		parameter = request.getParameter("p");
		String[] pList = parameter.split(",");

		if (pList[1].equalsIgnoreCase("battery")) { //battery
			report.CopyData(((ArrayList) request.getSession()
					.getAttribute(Constant.BatteryReportSessionFlag)));
		} else { //string
			report.CopyData(((ArrayList) request.getSession()
					.getAttribute(Constant.StringReportSessionFlag)));
		}
		//level parameter
		parameter = pList[0];
	} else if (type.equals("batterycompare")) {
		report = new StringCompareBatteriesExcelReport();
		
		report.CopyData(((ArrayList) request.getSession()
				.getAttribute(Constant.CompareBatteryMeasurementsList)));
		
	}

	report.SetObjectId(id);
	String path = GlobalVars.RootPath + "images\\";
	report.SetImagePath(path);

	OutputStream os = response.getOutputStream();
	String language = request.getLocale().getLanguage();
	report.GenerateReport(os, "", parameter, language);

	os.flush();
	os.close();
	os = null;

	response.flushBuffer();

	out.clear();
	out = pageContext.pushBody();
%>
