<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/midtronics.tld" prefix="midtag"%>

<%@ page import="com.midtronics.esp.common.*"%>
<%@ page import="com.midtronics.esp.model.batteryspec.*"%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>

<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">

<script type="text/javascript" src="../js/jquery-1.10.2.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-ui-1.10.4.custom.min.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-ui-custom.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/i18n/jquery.ui.datepicker-<bean:write name="<%=Constant.LoginUserLanguageFlag%>" />.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>
<link rel="stylesheet" type="text/css" href="../images/smoothness/jquery-ui-1.10.4.custom.css?v=<bean:write name="APP-VERSION" />">

<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>

<script type="text/javascript">
	function CheckManufacturer()
	{
		document.getElementById("action").value = "load-model";
		document.forms[0].submit();
	}
	
	function Submit()
	{
		var checked = false;
		var list = document.getElementsByName('model');
		for(i = 0; i < list.length; i++)
		{
			if(list[i].checked)
			{
				checked = true;
			}
		}
		if (checked)
		{
			document.getElementById("action").value = "submit";
			document.forms[0].submit();
		}
	}
	
	function InitPage()
	{
		document.getElementById('manufacturerdiv').style.height = document.body.clientHeight - 240;
		document.getElementById('modeldiv').style.height = document.body.clientHeight - 240;
	}
	
	function SelectAllModel()
	{
		var list = document.getElementsByName('model');
		for( i = 0; i < list.length; i++)
		{
			list[i].checked = document.getElementById('select-all-model').checked;
		}
	}
	
</script>

</head>

<body>
<span style="display:none" id="no-manufacturer"><bean:message 
key="report.prompt.choose-a-manufacturer"/></span>

<span style="display:none" id="no-model"><bean:message 
key="report.prompt.choose-a-model"/></span>

<table height="100%" width="100%">
	<tr height="3%">
		<td>
		<div id="topnav">
		<div><span id="viewtab" > <span> <html:link
			page="/system/view.do">
			<bean:message key="tab.overview" />
		</html:link></span></span> 
		
		<logic:equal name="overview-only" value="0">
		<span id="alertttab"> <span><a href="#"
			onclick="ViewAlarm('system');return false;"> <bean:message
			key="tab.alert" /> </a></span></span>
			
		<span id="eventtab"> <span><a
			href="#" onclick="ViewEvent('system');return false;"> <bean:message
			key="tab.event" /> </a></span></span> 
		
		<span id="contantstab"><span><html:link
			page="/system/listcontact.do"> 
			<bean:message key="tab.contact" />
		</html:link></span></span>
		
		<span id="usertab"> <span><html:link
			page="/system/listuser.do">
			<bean:message key="tab.users" />
		</html:link></span></span> 
		
		<span id="warehousetab"> <span><html:link
			page="/battery/viewbatteries.do">
			<bean:message key="tab.warehouse" />
		</html:link></span></span>
		
		<logic:equal name="<%=Constant.ModeSessionFlag %>" value="VIEW">
			<span id="recyclebintab"> <span><html:link
				page="/battery/viewrecycledbatteries.do">
				<bean:message key="tab.recycle-bin" />
			</html:link></span></span>
		</logic:equal>
		</logic:equal>
		
			
		<span id="viewtab" class="selected"> <span> <html:link
			page="/system/reporttype.jsp">
			<bean:message key="tab.report" />
		</html:link></span></span></div>
		</div>
		</td>
	</tr>
	<tr height="1%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName">&nbsp;&nbsp;&nbsp;<bean:message key="pageinf.battery-specification" /></td>
			</tr>
			<tr>
				<td>
				<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<bean:message key="pageinf.latest-measurements"/>
				</b>
				</td>
			</tr>
			<tr>
				<td><html:errors /></td>
			</tr>
		</table>
		</td>
	</tr>
	
	<tr height="250px">
		<td valign="top">
		<br/>
		<html:form action="/system/reportbyspec.do" method="POST">
		<table>
			<tr>
				<td width="20px" valign="top"><html:hidden property="action" styleId="action"/> </td>
				<td width="80px" valign="top"></td>
				<td style="text-align:center">
					<bean:message key="report.battery-spec.choose-manufacturer"/>
					<br/>
					<div id="manufacturerdiv" style="width:250px;height:230px;overflow:auto;margin-top:5px;border:1px solid">
					<logic:present name="<%=Constant.ManufacturerInUseSessionFlag %>"  scope="session">
						<table>
							<logic:iterate id="mfg" name="<%=Constant.ManufacturerInUseSessionFlag%>" type="Manufacturer">
							<tr>
								<td>
									<html:radio property="manufacturer"
									onclick="CheckManufacturer();" 
									value="<%=mfg.getManufacturerID()%>" /><%=mfg.getManufacturerName()%>
								</td>
							</tr>
							</logic:iterate>
						</table>
					</logic:present>
					</div>
				</td>
				<td width="20px" valign="top"></td>
				<td style="text-align:center">
					<bean:message key="report.battery-spec.choose-model"/>
					<br/>
					<div id="modeldiv" style="width:250px;height:230px;overflow:auto;margin-top:5px;border:1px solid">
					<logic:present name="<%=Constant.BatteryModelInUseSessionFlag %>"  scope="session">
						<table>
							<logic:iterate id="spec" name="<%=Constant.BatteryModelInUseSessionFlag%>" type="BatterySpecBean">
							<tr>
								<td>
									<html:multibox property="model"><bean:write name="spec" property="batterySpecID"/></html:multibox>
									<bean:write name="spec" property="modelNumber"/>
								</td>
							</tr>
							</logic:iterate>
						</table>
					</logic:present>
					</div>
				</td>
			</tr>
			<tr>
				<td width="20px" valign="top"></td>
				<td width="80px" valign="top"></td>
				<td>
				</td>
				<td width="20px" valign="top"></td>
				<td style="text-align:center">
					<input type="checkbox" id="select-all-model" onclick="SelectAllModel();"><bean:message key="button.select-all"/>
				</td>
			</tr>
		</table>
		</html:form>
		</td>
	</tr>
	
	<tr>
		<td valign="top">
			<br/>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input style="width:100px" type="button" 
				value="<bean:message key="button.submit"/>" 
				onclick="Submit();return false;">
			<input style="width:100px" type="button" 
				value="<bean:message key="button.cancel"/>"
				onclick='location.href="../system/reporttype.jsp";'>
		</td>
	</tr>
</table>
</body>
</html>

<script type="text/javascript">
<!--
	InitPage();
//-->
</script>

