<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>

<%@ page import="com.midtronics.esp.common.*"%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title><bean:message key="pagename.create-site" /></title>
<script type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<logic:equal name="<%=Constant.NavigationModeFlag%>" value="map">
	<script type="text/javascript" src='http://maps.googleapis.com/maps/api/js?key=<bean:write name="<%=Constant.GoogleMapKey %>" />&sensor=false'></script>
</logic:equal>
<script type="text/javascript" src="../js/site.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript">
//  javascript to  alert user if name contains invalid chars, disable save button if invalid chars found. Only alphanumeric chars allowed
function validateNameField()
{
	var name= document.getElementById("new-name").value;
	var saveBtn=document.getElementById("specSaveButton");
	var result=name.match(/[^\w\s\d\&.,*#-]+/g);
	if(name.match(/[^\w\s\d\&.,*#-]+/g))
		{		
		saveBtn.disabled=true;
		document.getElementById("siteNameError").innerHTML="Special characters not allowed!! [ "+result+" ]";
		
		}
	else
		{
		document.getElementById("siteNameError").innerHTML="";
		saveBtn.disabled=false;
		}
	}</script>
</head>
<body>

<span id="map-key" style="display:none"><bean:write name="<%=Constant.GoogleMapKey %>"/></span>
<span id="view-mode" style="display:none"><bean:write name="<%=Constant.NavigationModeFlag%>"/></span>
<span id="invalid-address" style="display:none"><bean:message key="error.invalid-address"/></span>
<span id="incomplete-address" style="display:none"><bean:message key="error.incomplete-address"/></span>
<span id="came-from" style="display:none"><bean:write
	name="<%=Constant.CreateSiteFromSessionFlag%>" /></span>
<html:errors />
<html:messages id="message" message="true">
	<div id="error">
	<table height="100px" width="100%" cellSpacing="0" cellPadding="0">
		<tr valign="middle">
			<td align="center"><bean:message
				key="errors.input" /></td>
		</tr>
		<tr valign="middle">
			<td align="center"><bean:message key="errors.message" /></td>
		</tr>
		<tr valign="middle">
			<td align="center"><bean:write name="message" /></td>
		</tr>
	</table>
	</div>
</html:messages>
<html:form action="/site/insert.do">
<table height="12%" width="100%">
		<tr height="3%">
			<td>
				<table>
					<tr class="space">
						<td></td>
					</tr>
					<tr>
						<td class="pageName"><bean:message key="pagename.create-site" /></td>
					</tr>
					<tr class="space">
						<td></td>
					</tr>
				</table>
			</td>
		</tr>
				
		<tr height="7%">
			<td>
			<table height="100%" width="100%" class="information" cellpadding="1" cellspacing="1">
				<tr>
					<td class="fieldname"><bean:message key="pageinf.name" />:<font
						color="red" size="4px">&nbsp;*&nbsp;&nbsp;</font></td>
					<td><html:text property="siteName" style="width:300px"  styleId="new-name" onkeypress='validateNameField()' onblur='validateNameField()'/>
					<span style="color:red; font-weight:bold; font-size=8"><label  id="siteNameError"></label></span>
					</td>
				</tr>
		
				<tr style="display:none">
					<td class="fieldname"><bean:message key="pageinf.site-type" />:<font
						color="red" size="4px">&nbsp;*&nbsp;&nbsp;</font></td>
					<td>
						<html:select property="siteTypeID" style="width:300px">
							<html:optionsCollection
								name="<%=Constant.SiteTypeSessionFlag%>"
								property="siteTypeList" label="siteTypeName"
								value="siteTypeID" />					
						</html:select>
					</td>					
				</tr>
		
				<tr>
					<td class="fieldname"><bean:message key="pageinf.street" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td><html:text property="street" style="width:300px" styleId="street"/></td>
				</tr>
	
				<tr>
					<td class="fieldname"><bean:message key="pageinf.city" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td><html:text property="city" style="width:300px"  styleId="city"/></td>
				</tr>
				<tr>
					<td class="fieldname"><bean:message key="pageinf.state-or-province" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td><html:text property="province" style="width:300px"  styleId="province"/></td>
				</tr>
				
				<tr>
					<td class="fieldname"><bean:message
						key="pageinf.zip-code" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td><html:text property="zip" style="width:300px" styleId="zip" /></td>
				</tr>
				
				<tr>
					<td class="fieldname"><bean:message key="pageinf.country" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td>
						<html:select property="country" style="width:300px" styleId="country">
							<html:option value=""><bean:message key="pageinf.select-a-country"/></html:option>
							<html:optionsCollection name="<%=Constant.CountryList%>" value="code" label="name"/>
						</html:select>
					</td>
				</tr>
				<tr>
					<td class="fieldname"><bean:message
						key="pageinf.latitude" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td>
						<table style="width:300px" cellpadding="0" cellspacing="0px">
							<tr>
								<td>
									<html:text property="latitude" style="width:100px" styleId="latitude"/>
								</td>
								<td style="text-align:right">
									<b><bean:message key="pageinf.longitude" />:&nbsp;&nbsp;&nbsp;&nbsp;</b>
								</td>
								<td style="text-align:right;width:100px">
									<html:text property="longitude" style="width:100px" styleId="longitude"/>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td class="fieldname"><bean:message key="pageinf.description" />:<font
						color="red" size="4px">&nbsp;&nbsp;&nbsp;&nbsp;</font></td>
					<td><html:textarea property="siteDescription"
						style="word-break:break-all;width:100%;" rows="3" /></td>
				</tr>
				<tr class="space">
					<td></td>
					<td></td>
				</tr>
			</table>
			</td>
		</tr>
		<tr height="2%">
			<td><html:button style="width:100px" onclick="CheckAddress();return false;" property="save" styleId="specSaveButton">
				<bean:message key="button.save"/>
			</html:button> 
			
			<html:button style="width:100px" property="cancel"
				onclick="CancelCreateSite();">
				<bean:message key="button.cancel" />
			</html:button></td>
		</tr>
	</table>
</html:form>

<logic:equal name="<%=Constant.NavigationModeFlag%>" value="map">
<script type="text/javascript">
    var gCoder = new google.maps.Geocoder();
</script>
</logic:equal>

</body>
</html>

