<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/pager-taglib.tld" prefix="pg"%>
<%@ page import="com.midtronics.esp.common.*"%>

<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/report.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>

<script type="text/javascript" src="../js/jquery-1.10.2.js?v=<bean:write name="APP-VERSION" />"></script>
<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">

<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>

<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>

<script>

jQuery(document).ready(function($){
	
    $('#batteryList').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd',
    	height: document.body.clientHeight - 240
    });  
    
});
</script>


</head>
<body onresize="resizeTable(batteryList, 195);">

<input id="delete_confirmation" type="hidden" value="<bean:message key="pageinf.delete-measurement-confirmation" />" />
<span id="forward" style="display:none"><bean:write name="<%=Constant.StringSessionFlag%>" property="stringSystemID" /></span>
<span id="objectID" style="display:none"><bean:write name="<%=Constant.StringSessionFlag%>" property="stringID" /></span>
<span id="objectName" style="display:none"><bean:write name="<%=Constant.StringSessionFlag%>" property="stringName" /></span>
<span id="rptype" style="display:none"><%=Constant.STRING_REPORT%></span>
<table width="100%" height="100%">
	<tr height="3%">
		<td>
		<div id="topnav">
		<div><span id="detailtab"><span> <html:link page="/string/detail.do">
			<bean:message key="tab.overview" />
		</html:link></span></span> 
		
		<span id="alarmlimittab"><span><html:link
			page="/string/listalarmlimit.do">
			<bean:message key="tab.alarmlimit" />
		</html:link></span></span> 
		
		<span id="batterytab" class="selected"><span>
		<html:link page="/string/viewbattery.do">
			<bean:message key="tab.battery" />
		</html:link></span></span>
		
		<span id="phototab"><span><html:link page="/photo/editphoto.do">
			<bean:message key="tab.photo" />
		</html:link></span></span>
		
		</div>
		</div>
		</td>
	</tr>
	<tr height="3%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName"><bean:write
					name="<%=Constant.StringSessionFlag%>" property="stringName" />&nbsp;<bean:message
					key="tab.battery" /></td>
			</tr>
			<tr class="space">
				<td></td>
			</tr>
		</table>
		</td>
	</tr>

	<tr height="94%">
		<td VALIGN="TOP">

		<table width="100%" cellpadding="0" cellspacing="0" class="fancyTable" id="batteryList">
			<thead>
			<tr>
				<th class="tableHead"><bean:message key="overview.tablehead.battery" /></th>
				<th class="tableHead"><bean:message key="overview.tablehead.alarms" /></th>
				<th class="tableHead"><bean:message key="overview.tablehead.warnings" /></th>
				<th class="tableHead"><bean:message key="overview.tablehead.acknowledged" /></th>
			</tr>
			</thead>

			<logic:present name="<%=Constant.StringSessionFlag%>" scope="session">
				<logic:iterate id="list" name="<%=Constant.StringSessionFlag%>"
					property="locationList">
					<bean:define id="alert" name="list"
						property="numberOfAlarmAndWarning" />
					<bean:define id="ack" name="list" property="numberOfAcknowledged" />

					<logic:equal name="alert" value="<%=ack.toString() %>">

						<tr>
							<td>

									<logic:if name="list" property="batteryID" op="equal"
										value="">
										<logic:then>
											<img src="../images/tray_blank.bmp">
										</logic:then>
										<logic:else>
											<logic:switch name="list" property="alarmState">
												<logic:case op="equal" value="0">
													<img src="../images/tray_green.bmp">
												</logic:case>
												<logic:case op="equal" value="1">
													<img src="../images/tray_yellow.bmp">
												</logic:case>
												<logic:case op="equal" value="2">
													<img src="../images/tray_red.bmp">
												</logic:case>
											</logic:switch>
										</logic:else>
									</logic:if><html:link page="/location/selectMode.do" paramId="select"
										paramName="list" paramProperty="locationID">
										<bean:write name="list" property="locationName" />
									</html:link></td>

							</td>
							<td class="normal"><bean:write name="list"
								property="numberOfAlarm" /></td>
							<td class="normal"><bean:write name="list"
								property="numberOfWarning" /></td>
							<td class="normal"><bean:write name="list"
								property="numberOfAcknowledged" /></td>
						</tr>
					</logic:equal>
					<logic:notEqual name="alert" value="<%=ack.toString() %>">

						<tr>
							<td>
									<logic:if name="list"
										property="batteryID" op="equal" value="">
										<logic:then>
											<img src="../images/tray_blank.bmp">
										</logic:then>
										<logic:else>
											<logic:switch name="list" property="alarmState">
												<logic:case op="equal" value="0">
													<img src="../images/tray_green.bmp">
												</logic:case>
												<logic:case op="equal" value="1">
													<img src="../images/tray_yellow.bmp">
												</logic:case>
												<logic:case op="equal" value="2">
													<img src="../images/tray_red.bmp">
												</logic:case>
											</logic:switch>
										</logic:else>
									</logic:if><html:link page="/location/selectMode.do" paramId="select"
										paramName="list" paramProperty="locationID">
										<bean:write name="list" property="locationName" />
									</html:link></td>

							</td>
							<td class="attention"><bean:write name="list" property="numberOfAlarm" /></td>
							<td class="attention"><bean:write name="list" property="numberOfWarning" /></td>
							<td class="attention"><bean:write name="list" property="numberOfAcknowledged" /></td>
						</tr>
					</logic:notEqual>

				</logic:iterate>
			</logic:present>
		</TABLE>
		</td>
	</tr>
	
	<tr style="height:100px">
		<td>
		<table>
			<tr>
				<td colspan="2" style="font-weight:bold"><bean:message key="pageinf.last-measurement" /></td>
			</tr>
			
			<logic:equal name="monitoring-string" value="1">
			<tr>
				<td style="font-weight:bold;text-align:right;width:50px;">VT:&nbsp;</td>
				<td style="text-align:left;width:200px;"><bean:write name="last-vt-measurement-time"/> </td>
			</tr>
			<tr>
				<td style="font-weight:bold;text-align:right;">G:&nbsp;</td>
				<td style="text-align:left"><bean:write name="last-g-measurement-time"/> </td>
			</tr>
			</logic:equal>
			
			<logic:equal name="monitoring-string" value="0">
			<tr>
				<td style="font-weight:bold;text-align:right;width:50px;"></td>
				<td style="text-align:left;width:200px;"><bean:write name="last-vt-measurement-time"/> </td>
			</tr>
			</logic:equal>
			
			<tr>
				<td colspan="2">
					<logic:equal name="<%=Constant.StringSessionFlag%>" property="lastMeasurementDeleted" value="true">
						<input disabled="disabled" type="button" value="<bean:message key="pageinf.delete-measurement" />" 
							onclick="message=document.getElementById('delete_confirmation').value; if(confirm(message)) location.href='./viewbattery.do?action=delete'; return false;" />
					</logic:equal>
					<logic:equal name="<%=Constant.StringSessionFlag%>" property="lastMeasurementDeleted" value="false">
						<input  type="button" value="<bean:message key="pageinf.delete-measurement" />" 
							onclick="message=document.getElementById('delete_confirmation').value; if(confirm(message)) location.href='./viewbattery.do?action=delete'; return false;" />
					</logic:equal>
				</td>
			</tr>
		</table>
		</td>
	</tr>
	

</table>
</body>
</html>

<script language="JavaScript">
	//document.getElementById("list-div").style.height =  document.body.clientHeight - 240;
</script>
