<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tld/midtronics.tld" prefix="midtag"%>

<%@ page import="com.midtronics.esp.common.*"%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title></title>
<script src="../tree/xtree.js?v=<bean:write name="APP-VERSION" />"></script>
<link rel="stylesheet" type="text/css" href="../system.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../c.css?v=<bean:write name="APP-VERSION" />">
<script language="javascript"> top.frames['bottom'].location.href='../bottom.jsp'; </script>

<style type="text/css">@import url(../js/calendar-win2k-1.css);</style>
<script type="text/javascript" src="../js/calendar.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/event.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/report.js?v=<bean:write name="APP-VERSION" />"></script>
<script language="JavaScript" type="text/javascript" src="../js/excel.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/lang/calendar-<bean:write name="<%=Constant.LoginUserLanguageFlag%>" />.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/calendar-setup.js?v=<bean:write name="APP-VERSION" />"></script>


<link rel="stylesheet" type="text/css" href="../defaultFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">
<link rel="stylesheet" type="text/css" href="../myFixedHeaderTable.css?v=<bean:write name="APP-VERSION" />">

<script type="text/javascript" src="../js/jquery-1.10.2.js?v=<bean:write name="APP-VERSION" />"></script>
<script type="text/javascript" src="../js/jquery-fixedHeaderTable.js?v=<bean:write name="APP-VERSION" />"></script>

<script type="text/javascript" src="../js/table-resize.js?v=<bean:write name="APP-VERSION" />"></script>

<script language="javascript">

jQuery(document).ready(function($){
		
    $('#historybatteryview').fixedHeaderTable({ 
    	footer: false, 
    	autoShow: true, 
    	altClass: 'odd'
    });
    
});
    
function outputExcel()
{
    ExcelReportWithParameter("historyalertcomparison",
    document.getElementById("span-level").innerHTML + "," +  
    document.getElementById("batteryorstring").innerHTML);
}
</script>
</head>

<body onresize="resizeTable(historybatteryview);">

<span id="objectID" style="display:none"><bean:write
	name="<%=Constant.SystemSessionFlag%>" property="systemID" /></span>
<span id="objectName" style="display:none"><bean:write
	name="<%=Constant.SystemSessionFlag%>" property="systemName" /></span>
<span id="rptype" style="display:none"><%=Constant.CELLTRAQ_HISTORY_REPORT%></span>
<span id="chartdisplayed" style="display:none">no</span>
<span id="batteryorstring" style="display: none">battery</span>
<span id="start-date" style="display:none"><bean:write name="<%=Constant.StartTimeSessionFlag %>"/></span>
<span id="end-date" style="display: none"><bean:write name="<%=Constant.EndTimeSessionFlag %>"/></span>

<logic:switch name="<%=Constant.CelltraqReportTypeFlag%>">
	<logic:case op="equal" value="siteID">
		<span style="display:none" id="span-level">common.object.site</span>
	</logic:case>
	<logic:case op="equal" value="manufacturerID">
		<span style="display:none" id="span-level">pageinf.manufacturer</span>
	</logic:case>
	<logic:case op="equal" value="batteryModelID">
		<span style="display:none" id="span-level">pageinf.model-number</span>
	</logic:case>
</logic:switch>


<table height="100%" width="100%">
	<tr height="3%">
		<td>
		<div id="topnav">
		<div><span id="viewtab" > <span> <html:link
			page="/system/view.do">
			<bean:message key="tab.overview" />
		</html:link></span></span> 
		
		<logic:equal name="overview-only" value="0">		
		<span id="alertttab"> <span><a href="#"
			onclick="ViewAlarm('system');return false;"> <bean:message
			key="tab.alert" /> </a></span></span> <span id="eventtab"> <span><a
			href="#" onclick="ViewEvent('system');return false;"> <bean:message
			key="tab.event" /> </a></span></span> <span id="contantstab"><span><html:link
			page="/system/listcontact.do"> 
			<bean:message key="tab.contact" />
		</html:link></span></span><span id="usertab"> <span><html:link
			page="/system/listuser.do">
			<bean:message key="tab.users" />
		</html:link></span></span> <span id="warehousetab"> <span><html:link
			page="/battery/viewbatteries.do">
			<bean:message key="tab.warehouse" />
		</html:link></span></span>
		
		<span id="recyclebintab"> <span><html:link
			page="/battery/viewrecycledbatteries.do">
			<bean:message key="tab.recycle-bin" />
		</html:link></span></span>		
		</logic:equal>
		
		<span id="viewtab" class="selected"> <span> <html:link
			page="/system/generatecelltraqreport.do#">
			<bean:message key="tab.report" />
		</html:link></span></span></div>
		</div>
		</td>
	</tr>
	<tr height="3%">
		<td>
		<table>
			<tr class="space">
				<td></td>
			</tr>
			<tr>
				<td class="pageName">
					<logic:switch name="<%=Constant.CelltraqReportTypeFlag%>" >
						<logic:case op="equal" value="siteID">
							<bean:message key="common.object.site" />
						</logic:case>
						<logic:case op="equal" value="manufacturerID">
							<bean:message key="pageinf.manufacturer" />
						</logic:case>
						<logic:case op="equal" value="batteryModelID">
							<bean:message key="pageinf.model-number" />
						</logic:case>
					</logic:switch>	
					<bean:message key="pagename.alert-comparision" />
				</td>
			</tr>
			<tr class="space">
				<td></td>
			</tr>
		</table>
		</td>
	</tr>

    <tr height="3%">
            <td align='center' >
				<logic:switch name="<%=Constant.CelltraqReportTypeFlag%>" >
					<logic:case op="equal" value="siteID">
					<b><bean:message	key="pageinf.data-level" />:</b>
			          <input type='radio' name='mode' checked
						onclick="document.getElementById('batteryTable').style.display = '';
						document.getElementById('stringTable').style.display = 'none';
						document.getElementById('batteryorstring').innerHTML = 'battery';
						document.getElementById('chartdisplayed').innerHTML = 'no';"/>
						<bean:message key="common.object.battery" 
						/>
					
					<input type='radio' name='mode'
						onclick="
						document.getElementById('batteryTable').style.display = 'none';
						document.getElementById('stringTable').style.display = '';
						document.getElementById('batteryorstring').innerHTML = 'string';
						document.getElementById('chartdisplayed').innerHTML = 'yes';"
						/>
						<bean:message key="common.object.string" />
					</logic:case>
				</logic:switch>		       
            </td>
    </tr>

    <tr height="3%">
            <td align='center' >
  				<bean:write	name="<%=Constant.StartTimeSessionFlag %>" />&nbsp;&nbsp;-&nbsp;&nbsp;
   				<bean:write	name="<%=Constant.EndTimeSessionFlag %>" />
            </td>
    </tr>
    <tr height=10px>
	    <td>
	    &nbsp;
	    </td>
    </tr>
        <tr id="batteryTable">
            <td>
            <div style="width:100%;border-width:1px;height:100%;overflow:auto;" id="list-div1">
            <table id="historybatteryview" class="fancyTable" cellpadding="0" cellspacing="1" >
            <thead>
            	<tr>		
				<th class="tableHead">
				
					<logic:switch name="<%=Constant.CelltraqReportTypeFlag%>" >
						<logic:case op="equal" value="siteID">
							<bean:message	key="common.object.site" />
						</logic:case>
						<logic:case op="equal" value="manufacturerID">
							<bean:message key="pageinf.manufacturer" />
						</logic:case>
						<logic:case op="equal" value="batteryModelID">
							<bean:message key="pageinf.model-number" />
						</logic:case>
						</logic:switch>										
				</th>
				
				<th class="tableHead"><bean:message	key="pageinf.active-warnings" /></th>
				<th class="tableHead"><bean:message	key="pageinf.inactive-warnings" /></th>
				<th class="tableHead"><bean:message	key="pageinf.active-alarms" /></th>
				<th class="tableHead"><bean:message	key="pageinf.inactive-alarms" /></th>
				<th class="tableHead"><bean:message	key="pageinf.battery-total" /></th>
			</tr>
			</thead>
			<tbody>
            
            <logic:present name="<%=Constant.BatteryReportSessionFlag%>"
				scope="session">
				<logic:iterate id="list" name="<%=Constant.BatteryReportSessionFlag%>">
            <tr>
	            <td  class="normal">
		            <bean:write name="list" property="itemName" />
	            </td>
	             
	            <td class="normal">
	    	        <bean:write name="list" property="numberOfWarning" />
	            </td>
	            <td class="normal">
	        	    <bean:write name="list" property="numberOfInactiveWarning" />
	            </td>
	            <td class="normal">
	            	<bean:write name="list" property="numberOfAlarm" />
	            </td>
	            <td class="normal">
	            	<bean:write name="list" property="numberOfInactiveAlarm" />
	            </td>
	            <td  class="normal">
	            	<bean:write name="list" property="total" />
	            </td>
            </tr>
            </logic:iterate>
            </logic:present>
            </tbody>
            </table>
			</div>
           </td>
    </tr>

      <tr style="display:none" id="stringTable">
            <td>
            <div style="width:100%;border-width:1px;height:100%;overflow:auto;" id="list-div2">
            <table id="historystringview" class="fancyTable" cellpadding="0" cellspacing="1"'>
            <thead>
            	<tr>			
				<th class="tableHead">
					<logic:switch name="<%=Constant.CelltraqReportTypeFlag%>" >
						<logic:case op="equal" value="siteID">
							<bean:message	key="common.object.site" />
						</logic:case>
						<logic:case op="equal" value="manufacturerID">
							<bean:message key="pageinf.manufacturer" />
						</logic:case>
						<logic:case op="equal" value="batteryModelID">
							<bean:message key="pageinf.model-number" />
						</logic:case>
					</logic:switch>										
						
				</th>
				
				
				<th class="tableHead"><bean:message	key="pageinf.active-warnings" /></th>
				<th class="tableHead"><bean:message key="pageinf.inactive-warnings" /></th>
				<th class="tableHead"><bean:message key="pageinf.active-alarms" /></th>
				<th class="tableHead"><bean:message	key="pageinf.inactive-alarms" /></th>
				<th class="tableHead"><bean:message	key="pageinf.battery-total" /></th>
			</tr>
			</thead>
			<tbody>
            
            <logic:present name="<%=Constant.StringReportSessionFlag%>"	scope="session">
				<logic:iterate id="list" name="<%=Constant.StringReportSessionFlag%>">
            <tr>
            
            <td  class="normal">
            <bean:write name="list" property="itemName" />
            </td>
             
            <td class="normal">
            <bean:write name="list" property="numberOfWarning" />
            </td>
            <td class="normal">
            <bean:write name="list" property="numberOfInactiveWarning" />
            </td>
            <td class="normal">
            <bean:write name="list" property="numberOfAlarm" />
            </td>
            <td class="normal">
            <bean:write name="list" property="numberOfInactiveAlarm" />
            </td>
            <td  class="normal">
            <bean:write name="list" property="total" />
            </td>
            </tr>
            </logic:iterate>
            </logic:present>
            </tbody>
            </table>
			</div>
            
            </td>
    </tr>
	
	<tr height="2%">
		<td>
	        <html:button property="report" style="width:120px"
				onclick="ExpandingWindow();">
				<bean:message key="button.create-report" />
			</html:button>
			<html:button property="reportexcel" style="width:120px"
				onclick="outputExcel();">
				<bean:message key="button.output-excel" />
			</html:button>
			<html:button style="width:100px" property="cancel"
				onclick="location.href='./celltraqreport.do';return false;">
				<bean:message key="button.cancel" />
			</html:button>
		</td>
	</tr>
</table>

</body>
</html>
<script>
	document.getElementById("list-div1").style.height = document.body.clientHeight - 200;
	document.getElementById("list-div2").style.height = document.body.clientHeight - 200;
</script>

