<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>

<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tld/controls.tld" prefix="controls" %>

<%@ page import="com.midtronics.esp.common.*"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>System Tree</title>
	<%-- 
	<link rel="stylesheet" type="text/css" href="tree-control-test.css?v=<bean:write name="APP-VERSION" />"> --%>
	<script src="tree/xtree.js?v=<bean:write name="APP-VERSION" />"></script>
	<link type="text/css" rel="stylesheet" href="tree.css?v=<bean:write name="APP-VERSION" />">
	<script language="JavaScript" type="text/javascript" src="./js/tree-ajax.js?v=<bean:write name="APP-VERSION" />"></script>
	<script language="JavaScript" type="text/javascript" src="./js/tree.js?v=<bean:write name="APP-VERSION" />"></script>
</head>

<body rightmargin="2" leftmargin ="2" bottommargin="2" topmargin="2">
<span id="root" style="display:none"><%=request.getContextPath()%></span>
<table>
	<tr>
		<td>
		    <logic:present name="site-search-keyword">
				<input type="text" style="width:100px" id="keyword" value="<bean:write name="site-search-keyword"/>"/> 
		    </logic:present>
		    <logic:notPresent name="site-search-keyword">
				<input type="text" style="width:100px" id="keyword"/>
		    </logic:notPresent>
		</td>
		
		<td>
			<input type="button" id="btn-search" value="<bean:message key="pageinf.site-search" />" onclick="search();return false;"/>
		</td>
		
		<td>
			<input type="button" id="btn-search" value="&times;" style="width:22px;" onclick="resetSearch();return false;"/>
		</td>
	</tr>
</table>
<bean:write name="system-tree" filter="false" />

<script type="text/javascript">
	//if search button clicked, refresh main page
    <logic:present name="refresh-main-page">
	    top.frames['main'].location.href= './system/selectMode.do';  
    </logic:present>

	//site
	<logic:if name="view-site" op="notequal" value="">
	<logic:then>
	  viewAjax("<bean:write name="view-site"/>");
	</logic:then>
	</logic:if>


	//string system
	<logic:if name="view-string-system" op="notequal" value="">
	<logic:then>
	  viewAjax("<bean:write name="view-string-system"/>");
	</logic:then>
	</logic:if>

    //string
	<logic:if name="view-string" op="notequal" value="">
	<logic:then>
	  select("<bean:write name="view-string"/>");
	  RemoveTreeEvent('string');
	</logic:then>
	</logic:if>
</script>
</body>
</html>
